2012-02-13 17:22  jbrefort

	* [r30642] Cleaned configure.in from unuseful things

2012-02-13 10:44  jbrefort

	* [r30641] Fix champlain related tests

2012-02-13 07:41  monkeyiq

	* [r30640] and here are the new files / redistributed GUI functionality.

2012-02-13 07:41  monkeyiq

	* [r30639] Move UI stuff into other files as planned

2012-02-13 03:49  monkeyiq

	* [r30638] Make sure that the gtk champlain wants to use and the gtk we want
	  to use
	  are version compatible.

2012-02-13 03:05  hub

	* [r30637] Fix to build with [-Werror=format-security]. Patch from Debian,
	  by Dmitri Smirnov.

2012-02-13 03:05  hub

	* [r30636] IE_Exp_HTML_ListenerImpl is pure virtual. Fix the ensuing bugs.

2012-02-13 03:05  hub

	* [r30635] Warning fix

2012-02-13 03:05  hub

	* [r30634] const-ness

2012-02-13 03:05  hub

	* [r30633] Fix some warning, debug only code

2012-02-13 03:04  hub

	* [r30632] Fix an unitialized variable leading to a possible bug

2012-02-13 03:04  hub

	* [r30631] Warning fixing.

2012-02-13 03:04  hub

	* [r30630] Remove a #warning by fixing the bad cast. How did this ever
	  worked?

2012-02-11 21:43  hub

	* [r30629] Bug 13256 - fix linker flags. Patch from Mageia.

2012-02-11 21:43  hub

	* [r30628] Fix xpm warning.

2012-02-10 10:29  asfrent

	* [r30627] Double buffering for rulers (flickering occured on win32)

2012-02-09 19:30  asfrent

	* [r30626] Use UT_std_vector_freeall() in GR_CairoGraphics destructor to
	  free m_vSaveRectBuf

2012-02-09 19:08  asfrent

	* [r30625] Added UT_std_vector_freeall to ut_std_vector.h

2012-02-08 16:27  asfrent

	* [r30624] Fixed a warning in gr_CairoGraphics.cpp

2012-02-07 23:56  asfrent

	* [r30623] Removed saveRectangle / restoreRectangle from
	  GR_UnixCairoGraphics; Unix uses xp implementation now

2012-02-07 23:54  asfrent

	* [r30622] XP code for saveRectangle / restoreRectangle using cairo

2012-02-05 23:44  monkeyiq

	* [r30615] remove the optional debug block.

2012-02-05 23:35  monkeyiq

	* [r30614] Compile with and *without* WITH_CHAMPLAIN

2012-02-05 13:11  uwog

	* [r30607] Include config.h conditionally

2012-02-05 09:39  monkeyiq

	* [r30606] RDF Semantic Items for GTK3 build.

2012-01-30 07:00  hub

	* [r30602] Bug 13247 - Fix glib headers. Patch by Funda Wang
	  (safe to backport)

2012-01-30 07:00  hub

	* [r30601] Bug 13008 - Fix build with libpng 1.5. Patch by hanno AT gentoo.
	  
	  Can be backported

2012-01-25 03:16  slaroche

	* [r30600] Fix some frame related bugs described in Bug 13208 (comment 4)
	  1) Implement the parameter frame-pref-column (to specify the good
	  column for frames in position-to-column mode)
	  2) Implement CharDelete over paragraph boundaries for blocks with
	  frames
	  3) Change context menu "Position to page" from position-to-column
	  mode to position-to-page mode
	  4) Update frame-related parameters in PP_Property and
	  PP_PropertyMap

2012-01-24 22:29  slaroche

	* [r30599] Turn off debugmsg in fv_View::getHyperLinkRun(). Add files to
	  svn:ignore lists.

2012-01-22 09:45  volodymyr

	* [r30598] Fixed bug with incorrect TOC in case if document splitting is
	  disabled

2012-01-22 02:52  hub

	* [r30597] Build fix for GNU/Hurd. Patch by Svante Signell.

2012-01-22 02:52  hub

	* [r30596] Warning fixes.

2012-01-16 00:55  cjl

	* [r30595] Dutch (nl-NL) L10n from Pjotr Kan

2012-01-15 17:31  slaroche

	* [r30594] fix layout bug for multi-column documents

2012-01-15 13:24  cjl

	* [r30593] Fulah (ff) L10n from Ibrahima SARR

2012-01-15 13:20  cjl

	* [r30592] Fulah (ff) L10n from Ibrahima SARR

2012-01-08 16:10  cjl

	* [r30591] en_GB L10n from cjl

2012-01-08 07:54  hub

	* [r30590] DataItems are now stored in a std::map<>. No longer use a void *.
	  This also fix a memory leak that I suspect was in the string map.

2012-01-08 07:54  hub

	* [r30589] Fix memory leaks from Pango

2012-01-08 03:58  hub

	* [r30588] Fix memory leaks. UT_go_* usually return an allocated string.
	  (check the code/doc)

2012-01-08 03:58  hub

	* [r30587] Properly purge the fragments maintaining the ownerhsip rules: the
	  PT.
	  This suppress the leaks.
	  
	  Add an assert in a place where leakage opens but shouldn't
	  happen.
	  
	  Make sure Node is not copyable

2012-01-08 03:57  hub

	* [r30586] Simple PieceTable tests to reveal the basic leaks.

2012-01-07 20:44  hub

	* [r30585] Fix the detroy method of the widget as it was crashing.

2012-01-07 08:08  hub

	* [r30584] Fix various memory leaks

2012-01-07 08:08  hub

	* [r30583] Bug 12045 - Make sure to not dereference nil.
	  Font code more robust.
	  Some more cleanup from "sdh"

2012-01-07 08:08  hub

	* [r30582] Fix some more warnings

2012-01-06 10:10  jbrefort

	* [r30581] Fixed crash when loading some large files

2012-01-03 16:20  ib

	* [r30580] Fix xap_Gtk2Compat.h.
	  
	  gtk_widget_set_can_default() and gtk_widget_set_can_focus()
	  should set or unset according to their boolean parameters.

2012-01-01 22:20  ib

	* [r30579] Remove obsolete gtk2 directories.

2012-01-01 20:11  hub

	* [r30578] Remove UT_StringMap from Unix toolbar style combo. Was not really
	  used
	  anyway.

2012-01-01 20:11  hub

	* [r30577] PL_ObjectHandle -> pf_Frag_Object*

2012-01-01 20:11  hub

	* [r30576] PL_FmtStruxHandle -> fl_Container*

2012-01-01 20:11  hub

	* [r30575] PL_DocStruxHandle -> pf_Frag_Strux*

2012-01-01 20:10  hub

	* [r30574] Bug 1434 - rename ap_Toolbar_Icons to xap_Toolbar_Icons as they
	  are defined in xap.

2012-01-01 16:10  ib

	* [r30573] Fix GTK2 build.
	  
	  Install xap_UnixDlg_Image-2.ui, not xap_UnixDlg_Image.ui.

2012-01-01 14:35  ib

	* [r30572] Fix GTK2 build.
	  
	  Include xap_Gtk2Compat.h in xap_UnixWidget.cpp.

2012-01-01 14:34  ib

	* [r30571] Fix GTK2 build.
	  
	  Add gtk_widget_set_can_default(), gtk_widget_get_sensitive(),
	  gtk_widget_get_visible(), and gtk_widget_get_requisition() to
	  xap_Gtk2Compat.h.

2012-01-01 07:46  hub

	* [r30570] Bug 13229 - check if stylenames are in UTF-8 from wv.
	  Regression from bug 12083

2012-01-01 07:46  hub

	* [r30569] Silence UT_DEBUGMSG

2011-12-29 04:29  hub

	* [r30568] Bug 9287 - stop using the wrong enumStyles() on MacOS.

2011-12-29 04:28  hub

	* [r30567] Fix dialogs due to internal API changes.

2011-12-29 04:28  hub

	* [r30566] Fix build with spell disabled, again.

2011-12-29 04:28  hub

	* [r30565] Warning fixes
	  64-bits fixes

2011-12-29 03:36  hub

	* [r30564] Bug 9287 - remove higly inefficient use of
	  PD_Document::enumStyles()
	  Linux + Win32

2011-12-29 03:36  hub

	* [r30563] Bookmarks are now std containers

2011-12-29 03:36  hub

	* [r30562] Annotation stubs now use std::string.

2011-12-29 03:35  hub

	* [r30561] Metadata are now pure std::string.

2011-12-29 03:35  hub

	* [r30560] Use std::string in EPUB.

2011-12-28 10:05  monkeyiq

	* [r30559] Slight change in namespace definition.

2011-12-28 06:03  monkeyiq

	* [r30558] Right clicking RDF links works again :/

2011-12-28 03:11  hub

	* [r30557] Add missing widgets to Gtk2.
	  Remove duplicate line.

2011-12-28 03:11  hub

	* [r30556] Fix more warnings (non-debug mostly)

2011-12-28 03:10  hub

	* [r30555] More warning fixage

2011-12-28 03:10  hub

	* [r30554] Bug 13215 - remove the print button if print is disabled.
	  Patch by Urmas

2011-12-28 03:10  hub

	* [r30553] test must run with valgrind. The output is in tf-vgdump

2011-12-28 03:10  hub

	* [r30552] Missing pt_types.h

2011-12-27 23:53  monkeyiq

	* [r30551] New GOTO Annotation tab.

2011-12-27 20:55  monkeyiq

	* [r30550] A little tidy up.

2011-12-27 07:52  monkeyiq

	* [r30549] Faster RDF selections, gtk3 font dialog startup fix for machines
	  with many fonts,
	  good initial work on ODF accepting the optional annotation-end to
	  associate a range
	  with annotations instead of a single point. You can now click on
	  the (1) markers for annotations
	  to edit them and thus edit annotations that are for a single
	  point such as those saved by OO/LO.

2011-12-27 02:14  hub

	* [r30548] Fix some weird test.

2011-12-27 02:11  hub

	* [r30547] Fix build with older SDK:
	  -don't use fast enumeration
	  -alternative new APIs
	  Also fix several leaks in the enumeration.

2011-12-27 01:15  hub

	* [r30546] Missing IBAction

2011-12-27 01:02  hub

	* [r30545] fix some more warnings in RDF

2011-12-26 22:58  hub

	* [r30544] Make sure CGFloat is defined
	  Make sure the we use the right controller interface

2011-12-26 22:38  hub

	* [r30543] Fix build if spelling is disabled

2011-12-26 22:33  hub

	* [r30542] Missing header on Mac

2011-12-26 00:50  hub

	* [r30541] fix build breakage

2011-12-26 00:48  hub

	* [r30540] Fix a memory leak

2011-12-26 00:48  hub

	* [r30539] Get rid of most UT_Vector

2011-12-26 00:48  hub

	* [r30538] Remove some UT_UTF8String

2011-12-26 00:48  hub

	* [r30537] Unit test for new ut_std_string function (ported from UT_String)

2011-12-26 00:48  hub

	* [r30536] Get rid of UT_String in RTF.

2011-12-25 21:05  ib

	* [r30535] Revert back to r30532 (from r30529).
	  
	  Other patches since were undiscussed and not approved.

2011-12-25 04:44  urmaslt

	* [r30534] - Added translation table for names of standard FE fonts, as
	  Abiword cannot use localized font names.
	  - Added automatic codepage detection for standard FE fonts.

2011-12-25 04:21  hub

	* [r30533] Fix some warnings. Need more testing
	  Add UT_DebugOnly<>

2011-12-25 04:21  hub

	* [r30532] Properly fix the default codepage. see previous revisions and
	  before.

2011-12-25 03:44  urmaslt

	* [r30531] - Replaced stdio debug output with UT_DEBUGMSG.
	  - Implement proper error handling when converting single-byte
	  characters, and correct translation of multibyte characters for
	  corresponding codepages.
	  
	  Attemps to revert without discussion will be considered a
	  vandalism.

2011-12-25 03:12  urmaslt

	* [r30530] Fixed reuse-after-free error, v2.
	  
	  Attemps to revert without discussion will be considered a
	  vandalism.

2011-12-24 10:32  ib

	* [r30529] Revert r30527.
	  
	  There is no error.
	  
	  The property exists as long as the importer class exists.

2011-12-24 02:49  hub

	* [r30528] Remove __MRC__. Who cares about a compiler that was obsolete 10
	  years ago.

2011-12-24 02:46  urmaslt

	* [r30527] Fixed reuse-after-free error.

2011-12-23 17:19  hub

	* [r30526] wrong "Handle" type.

2011-12-23 17:16  hub

	* [r30525] Fix a bug due to wrong type. PL_StuxDocHandle MUST die.

2011-12-23 05:22  hub

	* [r30524] Fix a warning

2011-12-22 11:04  urmaslt

	* [r30523] Some code needs it with spaces.

2011-12-22 06:58  hub

	* [r30522] classes with virtual methods require a virtual destructor

2011-12-22 01:06  fidencio

	* [r30521] [mac] Fix build break
	  
	  Please, compile on 64bits too! :-)

2011-12-21 08:33  hub

	* [r30520] Remove unused code that I missed in the refactor

2011-12-21 08:33  hub

	* [r30519] Verify the number of properties.

2011-12-21 08:33  hub

	* [r30518] Bug 10707 - Reenable the locale test.

2011-12-21 08:33  hub

	* [r30517] More comments

2011-12-21 05:48  hub

	* [r30516] Fix the properties misordered and missing comas.
	  
	  This validate the test framework by finding the first bug

2011-12-21 05:48  hub

	* [r30515] Fix the unit tests.

2011-12-21 04:05  hub

	* [r30514] Fix Gtk2 build for Gtk 2.20 - Patch by Simon Larochelle.

2011-12-21 04:05  hub

	* [r30513] Fix warnings.

2011-12-20 06:38  hub

	* [r30512] more gtk2 compat

2011-12-20 06:35  hub

	* [r30511] Bug 13218 - rename the glade files to .ui

2011-12-20 04:45  hub

	* [r30510] Fix warnings

2011-12-20 04:44  hub

	* [r30509] Bug 13220 - Remove iostream and cerr usage to use xxx_UT_DEBUGMSG

2011-12-20 04:44  hub

	* [r30508] Fix some improper cast in the RDF editor. Gtk2 AND Gtk3

2011-12-20 04:44  hub

	* [r30507] Bug 13219 - Fix collab for gtk2: missing

2011-12-20 03:45  hub

	* [r30506] Bug 13219 - fix collab on Gtk2.

2011-12-20 03:45  hub

	* [r30505] Bug 13217 - remove gtk2 dir from Makefile.am

2011-12-20 03:44  hub

	* [r30504] Bug 13217: refactor init3dColors to use a widget.

2011-12-20 03:44  hub

	* [r30503] Bug 13217 - refactor gtk2 / gtk3 frontend.

2011-12-20 02:02  urmaslt

	* [r30502] Update kk translation (Baurzhan Muftahidinov)

2011-12-19 02:56  urmaslt

	* [r30501] Fixed text display in preview window.

2011-12-16 10:26  ib

	* [r30500] Revise debug output for fonts.
	  
	  Enumerate by starting from zero which matches the debug output
	  for ftc.

2011-12-12 16:53  ib

	* [r30499] Fix GTK2 build.
	  
	  Directory src/text/fmt/gtk2 does not exist,
	  use src/text/fmt/gtk to look for include files.

2011-12-12 02:52  msevior

	* [r30497] Fix 13210 Strange division of paragraphs at bottom of columns.
	  Patch by
	  Simon Larochelle. Thanks Simon!

2011-12-12 02:33  msevior

	* [r30496] Fix bug 13209 Centered line may move off the left margin. Patch
	  from
	  Simon Larochelle.

2011-12-12 02:20  msevior

	* [r30495] Fix for bug 13101 from Simon Larochelle. Thanks very much Simon!

2011-12-12 02:18  hub

	* [r30494] Allow building plugins for Gtk2 - missing file
	  
	  Patch by Simon Larochelle.

2011-12-12 01:48  msevior

	* [r30493] Third fix for positioned images and frames from Simon Larochelle.
	  Thanks Simon!
	  (Can be backported).

2011-12-12 00:23  msevior

	* [r30492] More positioned object fixes from Simon Larochelle. This is his
	  second patch ina series of three.
	  Thanks Simon.
	  
	  (Can be backported.)

2011-12-11 23:44  msevior

	* [r30491] First patch from Simon Larochelle to partially fix 13208. Thanks
	  Simon!

2011-12-11 05:53  hub

	* [r30490] Bug 13187: use xmlURIEscape for UT_UTF8String::escapeURL().

2011-12-11 05:10  hub

	* [r30489] Allow building plugins for Gtk2
	  
	  Patch by Simon Larochelle

2011-12-11 05:09  hub

	* [r30488] Fix some more warnings in trunk

2011-12-07 13:49  jbrefort

	* [r30487] Make goffice plugin work again and fix the collab accounts
	  dialog.

2011-12-04 18:00  uwog

	* [r30484] Update Spanish translation (Fco. Javier Fdez. Serrador)

2011-12-04 17:57  uwog

	* [r30483] Fix bug 12183: Generated PDF contains lower quality images.
	  
	  I hope I did the OSX port correct, as I can't test it. The Win32
	  cairo branch probably needs a similar fix. A patch against 2.8.x
	  has been attached to the bugreport.

2011-12-01 04:09  hub

	* [r30482] Update doxygen file for new syntax.

2011-12-01 04:09  hub

	* [r30481] Fix const-ness

2011-11-29 06:45  hub

	* [r30480] Bug 12754: Fix breakage with previous attempt to fix Bug 12754:
	  Opening an actual comformant ODT file broke

2011-11-29 05:39  hub

	* [r30479] Bug 13197: only import glib.h
	  Patch by Dominique Leuenberger.

2011-11-24 16:06  hub

	* [r30478] Bug 13192: Fix GtkBuilder files
	  Patch by Simon Larochelle.

2011-11-23 04:44  hub

	* [r30477] Bug 12754: if there is no mimetype but a content.xml, just have a
	  confidence SOSO
	  and use that to try to open it.

2011-11-21 04:43  hub

	* [r30476] Bug 13176: our URL escaping is buggy. Use libxml instead. This
	  allow the document
	  to be exported.

2011-11-21 00:01  hub

	* [r30475] Bug 13182: Fail configure on missing boost because it is now
	  required.

2011-11-20 12:06  ib

	* [r30474] Fix GTK2 build.
	  
	  Make WMF plugin work again.
	  
	  Since re-enabling GTK2 support in r30397 it only creates blurred
	  images.

2011-11-20 12:02  ib

	* [r30473] Fix GTK2 build.
	  
	  Make several features work again.
	  
	  Since re-enabling GTK2 support in r30397 these weren't
	  functioning.
	  
	  Patch by Simon Larochelle, larochelle.simon.1 gmail com.

2011-11-20 08:15  hub

	* [r30472] Bug 12716: revert a change for bug 10627 that cause a stack
	  smash.

2011-11-20 08:15  hub

	* [r30471] Bug 12880: the list level is constrained to 0-8 in RTF. Ensure
	  that

2011-11-20 08:15  hub

	* [r30470] Fix warning: initialization order.

2011-11-20 03:38  hub

	* [r30469] Bug 13182: add BOOST_CPPFLAGS to the CPPFLAGS

2011-11-18 13:34  jbrefort

	* [r30468] Fixed build

2011-11-18 11:23  jbrefort

	* [r30467] Make SVG snapshots of charts

2011-11-17 18:21  ib

	* [r30466] Fix compiler warnings.
	  
	  This fixes "unused parameter" and "suggest braces around empty
	  body"
	  warnings when compiling without enabling debug.

2011-11-17 16:10  ib

	* [r30465] Cosmetic: Change coding style.
	  
	  Break and indent lines.

2011-11-17 14:10  ib

	* [r30464] Fix GTK2 build.
	  
	  Build in plugins/epub/dialogs/gtk for GTK2 as well.

2011-11-17 13:57  ib

	* [r30463] Fix GTK2 build.
	  
	  Build in src/text/fmt/gtk for GTK2 as well.

2011-11-17 13:46  ib

	* [r30462] Fix GTK2 build.
	  
	  gtk_widget_set_visible() was only introduced in v2.18 while
	  AbiWord
	  only requires v2.12, so allow building with GTK2 versions in
	  between.

2011-11-17 13:34  ib

	* [r30461] Fix GTK2 build.
	  
	  Define new key names.
	  
	  Patch by Simon Larochelle, larochelle.simon.1 gmail com.

2011-11-15 21:26  strbafridrich

	* [r30460] Be sure we link the libabiword we are building and not one that
	  is installed

2011-11-15 21:25  strbafridrich

	* [r30459] Libraries into *LIBADD and not *LDFLAGS

2011-11-15 20:50  strbafridrich

	* [r30458] Fix win64 build of the EPub plugin

2011-11-15 19:22  uwog

	* [r30457] Buildfix from Tucker

2011-11-14 21:32  uwog

	* [r30452] Update breton translation (Denis ARNAUD)

2011-11-14 21:22  uwog

	* [r30451] Updated Fulah complete translation (Ibraahiima SAAR)

2011-11-14 21:11  uwog

	* [r30450] Update galician "gl" translation (Miguel Bouzada)

2011-11-14 21:09  uwog

	* [r30449] Update spanish translation (Fco. Javier Fdez. Serrador)

2011-11-14 21:00  uwog

	* [r30448] On linux, when I incorporate a frame image, the line breaks for
	  the
	  surrounding text are sometimes in the middle of a word. The patch
	  makes sure that two static pointers do not inadvertently point to
	  a
	  newly created structure during the execution of
	  fp_Textrun::split().
	  
	  Patch by Simon Larochelle <larochelle.simon.1@gmail.com>

2011-11-14 20:54  uwog

	* [r30447] Fix bug 6511: Word count on selected lines is wrong (Simon
	  Larochelle)

2011-11-14 20:52  strbafridrich

	* [r30446] Dist ap_Win32Res_DlgCollaborationEditAccount.rc2

2011-11-14 20:48  strbafridrich

	* [r30445] Dist ap_Win32Res_EpubExportOptions.rc2

2011-11-14 20:44  uwog

	* [r30444] Include <string>

2011-11-14 20:41  strbafridrich

	* [r30443] Dist the ToolbarIcon/border_*.png

2011-11-14 20:27  strbafridrich

	* [r30442] Dist src/wp/ap/xp/ap_Dialog_Stub.h

2011-11-14 20:07  strbafridrich

	* [r30441] Dist ap_Win32Res_Border_Shading.rc2

2011-11-14 19:52  strbafridrich

	* [r30440] Remove generated file from version control

2011-11-14 19:51  strbafridrich

	* [r30439] Let Windows autotools build find EPuB includes

2011-11-14 09:24  jbrefort

	* [r30438] Enhanced the pseudo-2d colors in the gtk backend. Still not
	  perfect, does not work for high contrast themes, but abiword-2.8
	  was not better in this respect.

2011-11-12 15:50  uwog

	* [r30433] Fix EPUB plugin build on MSVC

2011-11-12 15:23  jbrefort

	* [r30432] Better fix for the double buffering issue, hopefully.

2011-11-12 14:46  jbrefort

	* [r30431] Fixed a double buffering related crasher and other details

2011-11-11 19:16  jbrefort

	* [r30430] Fixed an invalid write (valgrind).

2011-11-11 05:13  hub

	* [r30429] Bug 12345: explicitly make empty XML tags due to a buggy parser
	  in Maemo.
	  This is Gtk2 only.
	  Some chunks got rejected.
	  Patch by Ersin Akinci

2011-11-11 05:13  hub

	* [r30428] Bug 12533: fix a crash on solaris: does not like NULL strings
	  Patch by The Written Word.
	  Reviewed by Obin Hickory, Hub
	  Please backport

2011-11-11 05:13  hub

	* [r30427] More warning fixes (non-Debug)

2011-11-11 05:13  hub

	* [r30426] Fix warning in openXML

2011-11-11 05:12  hub

	* [r30425] Fix warning about missing braces in non-Debug

2011-11-11 05:12  hub

	* [r30424] more constness in fl_AutoNum

2011-11-09 16:12  hub

	* [r30423] Bug 12045: Fix parsing of annotation, frame properties and a few
	  others.
	  (does not completely fix the bug)

2011-11-09 05:34  hub

	* [r30422] Mismatch free() with g_strdup(). Seems to crash on Windows.
	  Patch by Urmas.
	  BACKPORT

2011-11-09 05:22  hub

	* [r30421] Remove hildon files as they are useless in gtk3

2011-11-09 04:47  hub

	* [r30420] Fix warnings in ODT

2011-11-09 04:42  hub

	* [r30419] Fix crash when parsing bogus list in RTF. Bug #12880
	  (there are more with that bug)
	  Backport if you can.

2011-11-09 03:09  hub

	* [r30418] Fix numerous warnings
	  Fix EOL in the double buffering
	  Add a few more const where they should be.

2011-11-08 17:53  uwog

	* [r30417] Bump version

2011-11-08 11:40  uwog

	* [r30416] Include config.h conditionally

2011-11-08 09:09  monkeyiq

	* [r30415] These should allow the opendoc plugin to compile without redland.

2011-11-08 02:49  hub

	* [r30414] Update svn:ignore

2011-11-07 14:34  jbrefort

	* [r30413] Fixed GValue initialization.

2011-11-07 05:50  hub

	* [r30412] svn:ignore

2011-11-07 05:32  hub

	* [r30411] Some stuff I missed cleaning up.

2011-11-07 05:23  hub

	* [r30410] Honour the markup in the title label
	  Fix a bit the paddings in the GtkTable

2011-11-06 13:34  jbrefort

	* [r30409] Implement SVG snapshots for components when possible.

2011-11-06 03:43  hub

	* [r30408] svn:ignore

2011-11-06 03:41  hub

	* [r30407] Fix widget alignments

2011-11-06 03:40  hub

	* [r30406] Cleanup the widgets alignment
	  Disable the labels along the other controls

2011-11-06 03:37  hub

	* [r30405] Scroll the list to the selected language.

2011-11-06 03:35  hub

	* [r30404] Don't use horizontal scroll bars

2011-11-01 21:09  jbrefort

	* [r30403] Fixed warnings in goffice-bits

2011-11-01 14:52  urmaslt

	* [r30402] Do not include vertical fonts in the toolbar list.

2011-11-01 14:50  urmaslt

	* [r30401] Removed revision toolbar buttons until proper icons are
	  available.

2011-10-31 13:51  jbrefort

	* [r30400] Make the collab xmpp backend work with gtk3

2011-10-31 09:04  jbrefort

	* [r30399] Fixed plugins build with both gtk versions

2011-10-31 07:56  jbrefort

	* [r30398] Add the gtk2 version of goffice-bits

2011-10-31 07:49  jbrefort

	* [r30397] Make abiword build again with gtk2

2011-10-30 19:39  jbrefort

	* [r30396] add the necessary gtk2 directories

2011-10-30 13:57  jbrefort

	* [r30395] Fixed make check in xap

2011-10-30 07:43  monkeyiq

	* [r30394] fix the lack of return value

2011-10-29 00:01  uwog

	* [r30392] Include config.h conditionally

2011-10-28 23:41  uwog

	* [r30390] Add missing ABI_EXPORT

2011-10-28 22:28  uwog

	* [r30388] Fix a warning The MSVC parser does not like foo(char */*bar*/);
	  It thinks the first sequence */ is the end of a non-existing
	  multi-line comment

2011-10-27 12:52  jbrefort

	* [r30387] Reversed unwanted change in fv_ViewDoubleBuffering.cpp

2011-10-27 11:59  jbrefort

	* [r30386] Add missing files and request a stable goffice release.

2011-10-26 14:25  jbrefort

	* [r30385] Merged the gtk branch.

2011-10-25 12:57  uwog

	* [r30384] Updated Slovak translation (Jaroslav Rynik <jrynik@yahoo.co.uk>)

2011-10-12 22:27  monkeyiq

	* [r30378] const T& use in the header file which makes a warning in msvc.

2011-10-11 22:35  monkeyiq

	* [r30377] a few more cleanups

2011-10-11 15:26  uwog

	* [r30376] Add missing ABI_EXPORT declarations

2011-10-11 15:08  uwog

	* [r30375] The MSVC parser does not like foo(char */*bar*/); It thinks the
	  first sequence */ is the end of a non-existing multi-line comment

2011-10-11 15:07  uwog

	* [r30374] Add missing ABI_EXPORT declarations

2011-10-11 15:06  uwog

	* [r30373] The MSVC parser does not like foo(char */*bar*/); It thinks the
	  first sequence */ is the end of a non-existing multi-line comment

2011-10-11 12:29  monkeyiq

	* [r30370] s/config.h/ifdef HAVE config.h then include it../

2011-10-10 22:51  monkeyiq

	* [r30369] ABI_EXPORT some symbols for windows build. Change pd_RDFQuery.cpp
	  to be built all the time and use #ifdef to block out the code
	  that needs redland.

2011-10-10 11:29  monkeyiq

	* [r30368] comment these out until the class is made

2011-10-10 11:21  monkeyiq

	* [r30367] msvc seems to dislike these op<< for utf8 strings. I only used it
	  in one place,
	  so its quite easy to unuse it.

2011-10-09 23:09  monkeyiq

	* [r30366] On repeated copy and paste, do not just keep appending a new uuid
	  to the end of the string.
	  Instead, first remove the old uuid and then append the new one.
	  This keeps xml:id values
	  from continuously growing during repeated
	  copy,paste,copy,paste,... cycles.

2011-10-09 22:00  monkeyiq

	* [r30365] bad things used to happen when there was an RDF Link but no
	  triples at all.
	  A simple guard to stop that from happening in SPARQL on empty RDF
	  cases.

2011-10-09 12:59  monkeyiq

	* [r30364] AbiCommand now allows multi process copy and paste, and has a
	  "run" command to execute
	  the gtk mainloop for X seconds.
	  Some little things for win builds

2011-10-09 12:55  jbrefort

	* [r30363] Fixed a format warning.

2011-10-09 11:41  monkeyiq

	* [r30362] added

2011-10-08 17:00  xsun

	* [r30361] update itex2MML from 1.4.5 to 1.4.8. Changelog can be found at
	  the maintainer's site:
	  
	  http://golem.ph.utexas.edu/~distler/code/itexToMML/changes

2011-10-08 16:24  xsun

	* [r30360] Correct epub dialog title and label

2011-10-08 15:12  xsun

	* [r30359] Handle epub dialog build when builddir != srcdir

2011-10-04 03:50  monkeyiq

	* [r30357] absolute movement bugfix

2011-10-04 01:32  monkeyiq

	* [r30356] Imported a great deal of the code from the GCT branch. This
	  covers everything that is not in plugins/opendocument.
	  The remains are in
	  odf-2011-track-changes-git-svn/git-diff-2011-oct-3-cleaned.patch.
	  
	  Some code is added here but enclosed in #ifdef ODF_GCT guards to
	  disable it until it is required for the ODF plugin.
	  Handy things like pf_Frag::getNextStrux() and tryDownCastStrux()
	  are now available. These should help cleanup
	  code that wants to walk strux and code that had if(
	  dynamic_cast<> ) to find out of a frag is a specific strux type.
	  Note that Piecetable::_findLastStruxOfType() now has a stop
	  condition and directly returns the downcast object type
	  to help avoid such cases in calling code.

2011-10-03 07:56  monkeyiq

	* [r30355] now tracking bookmark open and close elements too.

2011-09-28 03:29  monkeyiq

	* [r30347] The pl_ListenerCoupleCloser is designed to pass along start and
	  end tags for
	  objects which have only one tag in the selected range. This way
	  copying a selection
	  will result in a document with both start and end tags in it. See
	  the class docs for more.
	  Still tinkering on this a bit.

2011-09-26 23:21  monkeyiq

	* [r30345] Remove the old blowfish code itself, added a link line for gcrypt
	  which
	  I didn't seem to need in my build but which might be required in
	  some builds.

2011-09-26 00:18  monkeyiq

	* [r30343] New codepath which uses libgcrypt for decoding blowfish encrypted
	  ODF files.
	  New PL_ListenerCoupleCloser class which will emit closing
	  elements that happen after the desired
	  document range. For example, "te(a)xt bm-start this is(b)more
	  bm-end" selected from (a) to (b)
	  the bm-end will be sent to the listener too even though it is
	  after the official range.

2011-09-22 09:02  monkeyiq

	* [r30335] RDF marshaled into a \*\rdf section with rdf/xml in it inside RTF
	  on the clipboard.
	  Copy of triples from one document to another now works.

2011-09-22 00:33  monkeyiq

	* [r30334] PD_Object has to be respected in order to retain m_objectType
	  which is crucial in
	  serializing correctly to RDF/XML. This now allows copy and paste
	  to Calligra and
	  rdf links follow to the destination too.

2011-09-21 18:28  fidencio

	* [r30333] [mac] DoubleBuffering is working on OS X
	  
	  Thanks, Jean!

2011-09-21 18:18  uwog

	* [r30332] Revert part of r30317: this part should not have gone in

2011-09-21 18:04  uwog

	* [r30331] Revert r30330, my commit was correct

2011-09-21 18:00  fidencio

	* [r30330] [build] Please, use " " instead of "," to separate LDFLAGS'
	  options
	  
	  uwog, you're a bad, really bad, guy!

2011-09-20 22:25  monkeyiq

	* [r30329] Initial support for creating unique xml:id values during copy and
	  paste.
	  ODF (including embedded RDF) on the clipboard now works for copy
	  and paste to and from Calligra trunk.

2011-09-18 14:19  jbrefort

	* [r30326] Don't create a painter when not needed.

2011-09-18 09:20  msevior

	* [r30323] Clean up for last commit. Please backport both these commits to
	  stable.

2011-09-18 09:18  msevior

	* [r30322] Fix 13129 Numbered Heading is turned into Numbered List
	  Patch from Jean Brefort. Thanks jean!

2011-09-13 15:35  volodymyr

	* [r30320] Removed use of deprecated GtkDialog::vbox

2011-09-13 13:50  volodymyr

	* [r30319] Corrected name of the generated la file to avoid compilation
	  problemms of epub plugin on linux

2011-09-12 14:16  urmaslt

	* [r30318] Win32 build fixes.

2011-09-11 20:44  uwog

	* [r30317] Version bump to 2.9.2; win32 project will follow

2011-09-10 16:37  fidencio

	* [r30316] [epub] s/PLATFORM/TOOLKIT/
	  
	  Spank! Spank! Spank! I forgot to change one line.

2011-09-10 08:14  fidencio

	* [r30315] [mac] EPUB's dialog, see you soon!
	  
	  For now, EPUB's dialog build is being disabled in OS X.
	  I need/want to implement it as soon as possible.

2011-09-10 07:40  fidencio

	* [r30314] [epub] Fixing semantic error in plugins/epub/dialogs' sub-folders
	  
	  As discussed by email and over #abiword, with Volodymyr's
	  permission,
	  I'm changing plugins/epub/dialog/unix from gtk and changing
	  dialogs'
	  Makefile.am to work correctly with this change.

2011-09-09 17:45  urmaslt

	* [r30313] Changes for Win32

2011-09-09 17:42  urmaslt

	* [r30312] EPUB dialog for Win32, first edition.

2011-09-08 19:22  urmaslt

	* [r30306] amendment to 30305

2011-09-08 18:53  urmaslt

	* [r30305] Unicode list labels fix.

2011-09-08 18:52  urmaslt

	* [r30304] Win32 Unicode issue

2011-09-08 18:51  urmaslt

	* [r30303] Win32 About dialog: adjusted fonts, updated copyright years.

2011-09-08 00:16  monkeyiq

	* [r30301] default parameter

2011-09-06 04:16  monkeyiq

	* [r30300] A few issues with double buffering and abicommand, in that mode
	  there is no GUI so
	  some asserts failed and some code would crash (selectclear).
	  These new app variables
	  shouldn't effect GUI programs but should help abicommand ones
	  where dbl buffer is not needed.

2011-09-04 08:16  volodymyr

	* [r30299] Added missing printStyleTree method to IE_Exp_HTML for usage in
	  other plugins

2011-09-02 06:55  monkeyiq

	* [r30298] Do not show up in the File/Open dialog types, its confusing.

2011-09-02 06:35  monkeyiq

	* [r30297] Some RDF D&D goodness.

2011-08-31 02:30  volodymyr

	* [r30296] MERGE gsoc-2011-refactoring [30061]:[30295] into trunk

2011-08-23 09:04  monkeyiq

	* [r30277] Allow backspace, delete and arrows again

2011-08-21 23:28  fidencio

	* [r30276] [mac] Commenting non-implemented methods
	  
	  Ben, so sorry for comment methods, but it was breaking OS X
	  build.
	  We need to talk about priority stuffs to be implemented on OS X,
	  after close critical stuffs.

2011-08-20 07:01  monkeyiq

	* [r30266] another two that slipped the svn add net.

2011-08-20 06:57  monkeyiq

	* [r30265] Forgot to svn add these before.

2011-08-20 06:56  monkeyiq

	* [r30264] Many updates to the RDF core. Two new dialogs for RDF: an editor
	  and a query dialog.
	  A few new dialog superclasses to inject into the inheritance tree
	  to get default 'boilerplate'
	  code instead of having each dialog implement that itself. This is
	  still a WIP.
	  Many little utility functions and methods.

2011-08-17 22:34  urmaslt

	* [r30240] Added some Portuguese characters. (13138)

2011-08-17 07:00  msevior

	* [r30232] Fix crash attempting to import one of Marc's secret HTML
	  documents from the command line.

2011-08-16 07:23  fidencio

	* [r30222] [mac] Fixing text selection issue (bug 13116)
	  
	  Calling _generalUpdate() into _drawOrClearBetweenPosition().
	  According with msevior and andreisfrent, it don't will up
	  performance,
	  because _generalUpdate() doesn't redraw everything, just dirty
	  runs

2011-08-14 10:51  ib

	* [r30210] Add debug messages.
	  
	  These messages dump the internal structure of a Write file
	  and will make troubleshooting easier.

2011-08-14 10:48  ib

	* [r30209] Enable multiple debug output concatenated into one line.
	  
	  This change should be compatible to current usage.

2011-08-13 08:05  fidencio

	* [r30188] [mac] Disabling Double Buffering on OS X
	  
	  Unfortunately, OS X still isn't ready to Double Buffering.
	  To avoid strange behavior, at least for now, we're desabling it.

2011-08-11 08:27  ib

	* [r30162] Clean up source code and format to AbiWord coding style.

2011-08-09 00:08  asfrent

	* [r30148] fixed bug in fv_View::_draw from merging dblbuffering into trunk

2011-08-08 22:10  asfrent

	* [r30143] removed debug messages when switching device contexts for double
	  buffering

2011-08-08 22:02  asfrent

	* [r30142] Merged branches/dblbuffering from r29757 to r30095

2011-08-07 13:53  xsun

	* [r30120] Updated Copyright year

2011-08-05 08:55  ib

	* [r30103] Allow user to set default codepage.
	  
	  For fonts which are no font substitutes it is impossible to say
	  what the
	  underlying codepage is, i.e. which codepage was used when the
	  document
	  was written.
	  
	  By passing an importer argument, namely '-i
	  mswrite-codepage:CP1250'
	  (CP1250 in this example), it is possible to set the favored
	  codepage for
	  these fonts now.

2011-08-04 06:49  msevior

	* [r30086] Robustness fixes.

2011-08-02 14:32  fidencio

	* [r30085] [mac] Adding -headerpad_max_install_names on some plugins
	  
	  From ld(1) man page:
	  
	  "
	  -headerpad_max_install_names (32-bit only)
	  Add to the header padding enough space to allow changing all
	  dynamic
	  shared library paths recorded in the output file to be changed to
	  MAXPATHLEN in length.
	  "
	  
	  Plugins: latex, docbook, openxml, epub, openwriter, opml and
	  (still with some problems) opendocument
	  
	  It will avoid problems to change dynamic shared library install
	  names and
	  rpaths recorded in a Mach-O binary

2011-07-28 23:28  uwog

	* [r30076] A tiny improvement in the status reporting of the collab backend

2011-07-27 07:27  fidencio

	* [r30075] [mac] Adding -headerpad_max_install_names on Mac LDFLAGS
	  
	  From ld(1) man page:
	  
	  "
	  -headerpad_max_install_names (32-bit only)
	  Add to the header padding enough space to allow changing all
	  dynamic
	  shared library paths recorded in the output file to be changed to
	  MAXPATHLEN in length.
	  "
	  
	  It will avoid problems to change dynamic shared library install
	  names and
	  rpaths recorded in a Mach-O binary

2011-07-23 06:38  urmaslt

	* [r30074] Updated ar, br, da, gl, sl by SugarLabs translation service
	  contributors.
	  Updated es translation by F.J.F. Serrador.

2011-07-20 09:06  monkeyiq

	* [r30069] A little bit of restructure in there because we now have
	  hyperlinks,
	  annotations, and rdfanchors which all share the same fp_run class
	  tree.
	  
	  RDF Anchors can now be highlighted and the annotation bubble for
	  them
	  shows their xmlid and how many RDF triples are associated with
	  that
	  part of the document.
	  
	  Still things to do with it, but a decent step in the right
	  direction.
	  Oh yeah, and a new menu item to turn on/off highlighting.

2011-07-19 19:46  urmaslt

	* [r30064] Updated ff localization by Ibraahiima Saar

2011-07-19 07:47  monkeyiq

	* [r30060] const for these

2011-07-19 00:32  monkeyiq

	* [r30059] fl_BlockLayout::_doInsertRDFAnchorRun() needs to create
	  fp_RDFAnchorRun
	  or else a text:meta right at the start of a text:p will assert
	  violently.
	  
	  Of course, I have to update the code in that method and that
	  class to be
	  tailored to RDF instead of fp_AnnotationRun which it is based on.
	  
	  Thanks to Martin for the info on the Dummy run assertion I was
	  getting!

2011-07-19 00:22  monkeyiq

	* [r30058] printf -> debug.

2011-07-19 00:03  monkeyiq

	* [r30057] Some new STL like methods for the string.
	  
	  In TextContent_ListenerState the code should perform as it did
	  before but
	  also fold newlines and multiple spaces inside the first call to
	  charData().
	  
	  See http://docs.oasis-open.org/office/v1.2/cos01/
	  In particular section 6.1.2 of
	  http://docs.oasis-open.org/office/v1.2/cos01/OpenDocument-v1.2-cos01-part1.pdf

2011-07-18 00:27  msevior

	* [r30055] Lots of image dialog fixes from Simon Larochelle's first
	  contribution.
	  Thank you very much Simon!

2011-07-17 13:14  uwog

	* [r30054] Patch from Ingo fixing the MS Write plugin.

2011-07-17 13:14  uwog

	* [r30053] Revert r30045 and r30046. See
	  http://abisource.com/mailinglists/abiword-dev/2011/Jul/0099.html
	  for details.

2011-07-17 12:25  volodymyr

	* [r30052] Typo in file name

2011-07-17 12:19  volodymyr

	* [r30051] Added temporary files cleanup

2011-07-17 11:51  volodymyr

	* [r30050] Removed obsolete code fragment from HTML exporter

2011-07-17 08:46  volodymyr

	* [r30049] Changed EPUB plugin and html exporter to handle option of
	  exporter "bAddIdentifiers" like other exporter options

2011-07-17 01:45  monkeyiq

	* [r30048] Move the RDF menu from the collab plugin (wrong place) to the
	  core menus structure...

2011-07-16 14:21  urmaslt

	* [r30047] - Fixes writing 4 garbage bytes in output file if invalid
	  character is encountered.
	  CAVEAT: Untested on MBCS locales (do we support them, to begin
	  with?)

2011-07-16 14:15  urmaslt

	* [r30046] - Added importer option to specify default codepage ("-i
	  'encoding:CP1252'").
	  - Now handling invalid character conversions.

2011-07-15 21:55  urmaslt

	* [r30045] Committed Ingo's patch. The codepage conversion had to be
	  reverted due to issues with some documents.

2011-07-15 05:26  fidencio

	* [r30042] [mac] Welcome plugins!
	  
	  latex, docbook, openxml, epub, openwriter and opml is
	  a great pleasure having then with us!

2011-07-14 17:00  urmaslt

	* [r30039] cosmetic changes

2011-07-14 05:20  fidencio

	* [r30032] [mac] we really need this?
	  
	  IIUC, it is a legacy code.
	  Commenting it for now and if anyone scream out loud
	  will be removed in the near future

2011-07-14 05:16  fidencio

	* [r30031] [mac] Oooops! Please, don't break our trunk!
	  
	  Missed ";"

2011-07-14 05:09  fidencio

	* [r30030] [mac] Plugins in Mac are .so too instead of .dylib
	  
	  All file compiled with "-module" option will generate
	  a .so and not a .dylib, as in our case.
	  The difference between a .so and a .dylib is that
	  first is a dynamically loadable module and the second is
	  a shared library. So, we only can load the first, while we
	  can link against the second.

2011-07-14 04:32  fidencio

	* [r30029] [mac] Big cleanup/refactor in xap_CocoaModule.cpp to
	  
	  The cleanup/refactor was did as an attempt to improve
	  and simplify code's readability.

2011-07-13 19:39  uwog

	* [r30027] [mac] Link plugins properly against libabiword-x.y.dynlib

2011-07-12 07:47  msevior

	* [r30020] Some robustness fixes for lists.

2011-07-09 11:59  urmaslt

	* [r30007] C is wonderful language, except when it's not.

2011-07-09 06:55  urmaslt

	* [r30006] Updated ar translation (by OLPC translation team)

2011-07-08 06:08  urmaslt

	* [r29995] Added new HTML export options to Win32 UI

2011-07-07 20:53  volodymyr

	* [r29994] EPUB plugin now using separate file for each book chapter. Fixed
	  generation of incorrect TOC.

2011-07-07 19:26  strbafridrich

	* [r29990] fix build with recent libpng

2011-07-07 19:26  strbafridrich

	* [r29989] Fix mingw build using autotools

2011-07-07 15:02  urmaslt

	* [r29983] Updated template and ru translation.

2011-07-07 14:18  uwog

	* [r29980] From my inbox:
	  Attached please find completed Danish PO files for 2.8 and 2.9.
	  
	  They were completed by our tireless Danish localizer on the Sugar
	  Labs
	  Poolte server (aputsiaq).
	  
	  http://translate.sugarlabs.org/accounts/aputsiaq/
	  
	  I am forwarding on behalf of the Sugar Labs / OLPC / eToys
	  Translation team.
	  
	  cjl

2011-07-07 11:17  volodymyr

	* [r29977] HTML exporter now saves all chapters with the same extension

2011-07-07 10:27  volodymyr

	* [r29975] Corrected formatting of all EPUB plugin files so they use same
	  code style

2011-07-07 10:14  volodymyr

	* [r29974] Corrected code formating according to abi coding guidelines
	  (deleted mix of tabs and spaces, replaced all tabs with 4 spaces)

2011-07-07 03:39  fidencio

	* [r29970] [mac] Fixing plugins directory
	  
	  According with Hub, the default folder name is PlugIns.
	  Fixing it in code/docs/build system
	  
	  Many thanks, Hub! :-)

2011-07-07 02:29  fidencio

	* [r29969] [mac] Looking for plugins in the right path
	  
	  The doc was correct and different from code :-\

2011-07-06 21:26  volodymyr

	* [r29966] Added disabling "split document" feature if exporting to
	  multipart HTML

2011-07-06 20:06  volodymyr

	* [r29965] Adding feature to HTML exporter: exporting document to several
	  files using heading styles. Old behavior is not changed (please
	  tell me, if you notice that something changed).

2011-07-06 19:01  volodymyr

	* [r29964] Removing unused variable

2011-07-06 18:58  volodymyr

	* [r29963] Adding "getNthTOCEntryPos" method to IE_TOCHelper

2011-07-04 15:23  xsun

	* [r29933] Remove unintended includes

2011-07-04 15:13  uwog

	* [r29932] Don't break on unix with older glib version

2011-07-04 08:58  volodymyr

	* [r29929] Added rendering of MathML to PNG feature to HTML exporter and
	  added corresponding option to gtk exporter options dialog

2011-07-03 18:37  volodymyr

	* [r29926] Added pasteFromBuffer() method implementation for EPUB importer

2011-07-03 17:58  volodymyr

	* [r29925] Added missing return statement to exporter recognizeSuffix()
	  method

2011-07-03 08:51  volodymyr

	* [r29923] Replaced c++0x 'std::map::at' with std::map::operator[]

2011-07-02 22:14  uwog

	* [r29921] Glib built using the mingw/msys toolchain uses 32 bit stat
	  structs, so when we are calling into the glib stat functions,
	  MSVC must know that he needs to use 32 bit structs.

2011-07-02 20:22  uwog

	* [r29916] Make sure to mark classes in LibAbiWord with the ABI_EXPORT
	  macro, so MSVC can link plugins against those classes.

2011-07-02 16:33  volodymyr

	* [r29904] Fixed bug - now info about author also added into opf metadata
	  section

2011-07-02 16:22  volodymyr

	* [r29903] Removed odd include directories from EPUB import plugin

2011-07-02 14:35  volodymyr

	* [r29899] EPUB import plugin now can import EPUB files. Containers that
	  have several OPS XHTML files are also supported.

2011-06-30 19:55  uwog

	* [r29897] Updated nl-NL translations (Pjotr <pliniusminor@gmail.com>)

2011-06-25 01:12  fidencio

	* [r29873] [mac] Cleanup in enumerators use
	  
	  - Just changing Enumerators use in a while to safety fors,
	  to avoid crashes.
	  - Some cleanup was did in changed functions, too.

2011-06-24 14:44  urmaslt

	* [r29872] Fixed export of some punctuation marks.

2011-06-24 12:23  volodymyr

	* [r29871] Replacing concatenation and slashes with portable code

2011-06-24 05:36  fidencio

	* [r29870] [mac] Fixing crash to open document
	  
	  Please, *don't* modify the collection being enumerated.
	  In this case, just copy the array :-)

2011-06-24 05:22  volodymyr

	* [r29869] Added Sniffer code for epub import filter

2011-06-21 21:13  uwog

	* [r29864] Enable the AbiCollab Telepathy backend by default, it is ready.

2011-06-21 08:27  urmaslt

	* [r29863] Whitespace after keywords fix (13087).

2011-06-20 20:02  volodymyr

	* [r29861] Added missing data to ncx file generation, added attributes to
	  avoid mimetype file compression for epub export plugin. Created
	  wrapper for UT_go_get_mime_type() in epub export plugin. Added
	  setting of document author, title and language.

2011-06-20 13:37  volodymyr

	* [r29858] Fixed relative path for external css file. Added additional id
	  generation for "AddIdentifiers" export option.

2011-06-19 19:15  uwog

	* [r29847] Buildfix for the AbiCollab plugin: we should use unicode dialogs
	  now

2011-06-19 16:08  uwog

	* [r29837] Bump version. TODO: We should autogenerate the version in the
	  AbiWord.exe.XXX.MANIFEST files, using AbiWord.exe.XXX.MANIFEST.in
	  files

2011-06-18 04:08  msevior

	* [r29835] Fix bug 12937 PieceTable put into wrong state after doing
	  cntrl-delete in an empty document.
	  
	  Fix from Andre Sfrent. Congrats on your first commit to trunk
	  Andre!
	  Please backport.

2011-06-18 00:44  volodymyr

	* [r29834] Added packaging of EPUB document into zip archive.

2011-06-17 02:02  fidencio

	* [r29831] Please, could you be more verbose, sir? :-)
	  
	  - Enabling debug messages

2011-06-15 10:16  volodymyr

	* [r29827] Added "bAddIdentifiers" option to XAP_Exp_HTMLOptions struct for
	  controlling generation of id`s for headings via corresponding
	  methods( set_AddIdentifiers, get_AddIdentifiers). Added
	  generation of navigation file(ncx) to EPUB export plugin.

2011-06-13 11:21  urmaslt

	* [r29815] Some cleanup and localization fixes in borders dialog

2011-06-13 07:28  volodymyr

	* [r29814] Added creation of list of files generated by HTML exporter to
	  EPUB plugin

2011-06-13 03:11  msevior

	* [r29813] MERGE gsoc2010dialogs r28857:r29812 into trunk. This is the
	  borders and Shading dialog from Maleesh. Only a few conflicts and
	  bug fixing needed. Untested for windows. Needs translations for
	  the Borders and Shading dialog

2011-06-11 10:56  urmaslt

	* [r29811] Fixed an issue with improper group closing for some \* keywords.

2011-06-09 04:53  msevior

	* [r29810] Implement document repair after pasting. This fixes many
	  potential crashes.
	  Please backport.

2011-06-08 16:58  volodymyr

	* [r29809] Added export to temporary files via HTML exporter to EPUB plugin

2011-06-06 03:44  msevior

	* [r29806] More updates to the comments for
	  pf_Fragments::_calculateLeftSize.
	  Updates suggested by Joaquin.

2011-06-03 04:17  msevior

	* [r29804] Update some comments.

2011-06-03 03:30  msevior

	* [r29803] Add some PT repair code in case the sort of corruption just
	  observed returns.
	  This repair code is only triggered after an assert. It should
	  NEVER be called.

2011-06-02 15:46  msevior

	* [r29802] Fix bug 13074, crash in PT. Thanks very much to Joaquin Cuenca
	  Abela who very quickly pointed out what was going wrong.

2011-05-31 20:44  uwog

	* [r29798] Bump telepathy version requirement, you really want this

2011-05-31 20:31  uwog

	* [r29797] Make the Telepathy backend work for N people!

2011-05-30 20:07  volodymyr

	* [r29796] Added missing Makefile.am files and ie_imp_EPUB.h file

2011-05-29 20:14  uwog

	* [r29795] Add a reference to a bug explaining why >2 people in a TP
	  collaboration session won't work

2011-05-29 20:09  uwog

	* [r29794] Allow adding buddies to an already running Telepathy
	  Collaboration session

2011-05-29 19:03  uwog

	* [r29793] A whole bunch of code refactorring, working towards being able to
	  invite new members into an already running Telepathy AbiCollab
	  session

2011-05-29 13:51  uwog

	* [r29787] Remove a bunch of deprecated Telepathy calls

2011-05-27 18:04  uwog

	* [r29782] Implement proper closing of Telepathy collaboration sessions when
	  (master) buddies leave

2011-05-27 02:13  urmaslt

	* [r29780] Added message template to VCS to save potential translators from
	  daunting task of setting up svn, checking out and running a Perl
	  script in order to get it.
	  
	  It could be done also for stable branch, if we still accept
	  translation updates for it.

2011-05-26 15:43  uwog

	* [r29779] Disable a bunch of really verbose debug messages

2011-05-26 14:15  uwog

	* [r29778] Show a proper document title when sharing

2011-05-26 14:11  uwog

	* [r29777] Implement access control in the Telepathy backend, but disable it
	  until Telepathy
	  supports the required features. See
	  https://bugs.freedesktop.org/show_bug.cgi?id=37631
	  for details.

2011-05-25 23:17  uwog

	* [r29776] Close all open dbus connections when the telepathy backend is
	  disconnected

2011-05-25 21:50  urmaslt

	* [r29775] Updated de translation (Volker Ribbert)

2011-05-25 21:30  urmaslt

	* [r29774] Fixed typos as hinted by Chris Leonard [cjlhomeaddress] @Gmail

2011-05-25 21:13  uwog

	* [r29773] Code refactorring to handle the invite message better

2011-05-25 18:44  uwog

	* [r29772] Slightly more useful sharing message than 'Hi there!' :)

2011-05-25 16:24  uwog

	* [r29770] Document why anonymous DBUS_TUBE MUCs do not work

2011-05-25 15:34  uwog

	* [r29769] Switch to conference.telepathy.im for the XMPP server for the
	  Telepathy AbiCollab backend. Thanks go to Collabora for providing
	  it!

2011-05-25 04:21  urmaslt

	* [r29768] Removed Marshalese and Urdu strings as they are empty.

2011-05-25 04:07  urmaslt

	* [r29767] Updated nl translation (same author)

2011-05-24 08:32  urmaslt

	* [r29766] Updated Serbian translation by Milosh Komarcevich.
	  Someone should close RH#540281

2011-05-24 02:21  urmaslt

	* [r29765] Updated nl translation by Pjotr "pliniusminor" at Gmail.

2011-05-24 02:02  urmaslt

	* [r29764] Updated ru translation
	  Updated abi-port-all.sh

2011-05-24 00:40  urmaslt

	* [r29763] Updated makefile

2011-05-23 22:03  urmaslt

	* [r29762] Added Afrikaans translation by Friedel Wolff

2011-05-23 18:18  uwog

	* [r29761] Update svn:ignore

2011-05-23 13:24  uwog

	* [r29760] Update svn:ignore

2011-05-22 23:50  fidencio

	* [r29759] Fixing undefined reference on compile opendocument plugin in OS X

2011-05-22 21:21  volodymyr

	* [r29758] Added initial code for EPUB export and import plugins

2011-05-19 22:03  urmaslt

	* [r29756] dirty fix for preference file issue for users with non-latin
	  names

2011-05-15 16:17  urmaslt

	* [r29750] Should fix infamous #12844. Side effect should be negligible.

2011-05-11 19:53  urmaslt

	* [r29746] workedaround crash on loading some documents

2011-05-09 08:25  monkeyiq

	* [r29745] Shove the RDF stuff into a submenu of its own if it is to appear
	  at all.

2011-05-09 07:48  monkeyiq

	* [r29744] Hide these from non debug builds

2011-05-09 07:32  monkeyiq

	* [r29743] Seems you mean this szCfgDir variable...?

2011-05-08 07:06  urmaslt

	* [r29742] Fixed detection of WW2 documents; whatever libwv will do to them
	  is no longer our concern.

2011-05-08 06:42  urmaslt

	* [r29741] An attempt to move config dir to .config
	  DEFINITELY needs testing.

2011-05-08 06:38  urmaslt

	* [r29740] Put some sense in a strange method pradeeban created

2011-05-08 06:36  urmaslt

	* [r29739] Fixed New from Template dialog

2011-05-06 04:57  fidencio

	* [r29737] Removing bestRepresentationForDevice: deprecated method in OS X
	  
	  - As this method was removed, we can apply TIFF representation of
	  the
	  NSImage as default
	  
	  references:
	  [0]:
	  http://developer.apple.com/library/mac/#documentation/cocoa/reference/ApplicationKit/Classes/NSImage_Class/DeprecationAppendix/AppendixADeprecatedAPI.html
	  [1]:
	  http://stackoverflow.com/questions/4748846/nsimage-dpi-question

2011-05-06 03:29  fidencio

	* [r29736] Removing stringWithCString: deprecated OS X method
	  
	  - Using stringWithCString:encoding: instead
	  
	  (reference:
	  http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/Foundation/Classes/NSString_Class/DeprecationAppendix/AppendixADeprecatedAPI.html)

2011-05-05 04:04  fidencio

	* [r29733] Removing directoryContentsAtPath: OS X methods
	  
	  - Using contentsOfDirectoryAtPath:error: instead
	  
	  (reference:
	  http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/Foundation/Classes/NSFileManager_Class/DeprecationAppendix/AppendixADeprecatedAPI.html#//apple_ref/occ/instm/NSFileManager/directoryContentsAtPath:)
	  
	  Note: I'm not changing any pre-existent behavior.
	  So, if an error wasn't treated, this error still isn't treated.
	  (at least in this first time)

2011-05-05 03:57  fidencio

	* [r29732] Removing NSMenuItem protocol
	  
	  - Using NSMenuItem class instead

2011-05-05 03:45  fidencio

	* [r29731] Removing deprecated setShowPanels: OS X methods
	  
	  - Using setShowsPrintPanel: instead
	  
	  (reference:
	  http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSPrintOperation_Class/DeprecationAppendix/AppendixADeprecatedAPI.html#//apple_ref/occ/instm/NSPrintOperation/setShowPanels:)

2011-05-05 03:29  fidencio

	* [r29730] Removing deprecated selectRow:byExtendingSelection: in OS X
	  methods
	  
	  - Using selectowRowIndex:byExtendingSelection: instead
	  
	  (reference:
	  http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSTableView_Class/DeprecationAppendix/AppendixADeprecatedAPI.html)

2011-05-04 17:16  volodymyr

	* [r29729] Initial commit for epub plugin. Basic
	  directory structure created

2011-05-04 16:03  fidencio

	* [r29728] Removing deprecated setFloatValue:knobProportion in OS X methods
	  
	  - Using setKnobProportion and setDoubleValue instead.
	  
	  (reference:
	  http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSScroller_Class/DeprecationAppendix/AppendixADeprecatedAPI.html)

2011-05-02 15:14  urmaslt

	* [r29727] Create templates directory in user settings dir [8741]

2011-05-01 11:47  urmaslt

	* [r29726] Moved settings dir to AppData (where it actually belongs)

2011-05-01 05:12  urmaslt

	* [r29725] Beautified status bar

2011-04-27 15:15  urmaslt

	* [r29722] Menu bitmaps on Vista & later are transparent now.

2011-04-18 03:53  msevior

	* [r29720] Commit a patch to implement a pulsing progress bar for Windows.
	  I changed the update rate in pd_Document from 20 paragraphs to
	  100,
	  otherwise I left the patch as is.
	  
	  Thanks very much Chen!

2011-04-18 03:46  msevior

	* [r29719] Fix a crash on loading the RTF specification document

2011-04-15 16:11  jbrefort

	* [r29718] Cleaned without breaking this time.

2011-04-15 15:47  jbrefort

	* [r29717] revert last change, still needs work.

2011-04-15 15:13  jbrefort

	* [r29716] Cleaned that code a bit.

2011-04-15 00:39  msevior

	* [r29715] Patch from Chen Xiajian to implement progress bar for windows.
	  Thanks very much Chen!

2011-04-13 04:22  msevior

	* [r29714] More progress bar goodness. Implement a "pulsing" progress bar
	  for
	  those long running progresses where we do not know how much more
	  there is to go.
	  
	  We set this by setting the progress type to "PROGRESS_INDEFINATE"
	  as shown
	  below:
	  pStatusBar->setStatusProgressType(0,100,PROGRESS_INDEFINATE);
	  
	  These are useful during the first phase of document import where
	  we fill the
	  piecetable.
	  
	  The is also a new translatable string. "Inserted paragraph". We
	  now show how
	  many paragraphs have been been inserted into the Piecetable in
	  the status bar.
	  
	  All this shows the user that we're doing useful things while
	  importing
	  big douments.
	  
	  Windows and OSX developers should implement this for their
	  platforms.

2011-04-12 10:44  urmaslt

	* [r29713] Finnish quotes issue (closes 13037)

2011-04-12 07:41  msevior

	* [r29712] Stop crash in osx build.

2011-04-12 03:29  msevior

	* [r29705] Implement a progress bar for GTK.
	  Currently this shows the progress of building a document as it is
	  imported although we could also use it for other long operations.
	  
	  I've place some untested code in the windows branch should
	  prevent it
	  from crashing. However this untested. Could the windows
	  developers test it and implement the code for a progress bar?
	  
	  This code should go into:
	  
	  src/wp/ap/win/ap_Win32StatusBar.(h,cpp)
	  
	  The OSX branch will likely crash until similar code is placed in:
	  
	  src/wp/ap/cocoa/ap_CocoaStatusBar.(h,cpp)
	  
	  In the meantime enjoy our new feature :-)

2011-04-11 02:17  msevior

	* [r29704] Commit Ersin Ackini's work to speed up editting of very large
	  documents. Now we can type anywhere inside a 3000-page document
	  at full speed as long as the number of lines in the doument
	  doesn't change.
	  
	  Changing the number of lines in a 3000 page document is still
	  slow. We need to improve breakSection to fix this.
	  
	  In any case this is a very significant improvement.
	  Congrants Ersin!

2011-04-05 18:28  jbrefort

	* [r29695] Fix more ajustment page size issues (patch from aseem)

2011-04-04 08:34  jbrefort

	* [r29694] Fixed adjustment page sizes and vertical boxes orientation.

2011-03-26 03:30  urmaslt

	* [r29690] Macro expansion weirdness

2011-03-23 19:58  jbrefort

	* [r29689] updated the boost tests

2011-03-23 14:26  xsun

	* [r29688] Adding boost as AbiCore dependency (patch from Fabiano Fidencio)

2011-03-23 13:48  strbafridrich

	* [r29687] Build with UNICODE define the plugins too

2011-03-23 02:08  urmaslt

	* [r29686] Bug with before/after space not imported

2011-03-22 16:25  strbafridrich

	* [r29685] Specify ANSI apis, where it is a mess to port quickly

2011-03-22 16:19  strbafridrich

	* [r29684] Build the ANSI WinMain only if not UNICODE is specified

2011-03-22 16:09  strbafridrich

	* [r29683] Not a good idea to name member functions the same name as
	  functions from Win32 api

2011-03-22 16:09  strbafridrich

	* [r29682] It is trivial to unicodize dialogues with only static strings

2011-03-22 15:45  strbafridrich

	* [r29681] Use explicitely ANSI apis when necessary

2011-03-22 15:43  strbafridrich

	* [r29680] Use explicitely the Wide api

2011-03-22 15:31  strbafridrich

	* [r29679] Be sensitive with case

2011-03-22 15:28  strbafridrich

	* [r29678] and the same for the cpp file

2011-03-22 15:27  strbafridrich

	* [r29677] Don't want su use tchar string if you store utf-8 in it

2011-03-22 15:19  uwog

	* [r29676] Updated Swedish translation (tucker)

2011-03-20 11:21  urmaslt

	* [r29675] Updated Galician translation (Miguel Bouzada <mbouzada gmail
	  com>)

2011-03-18 07:42  urmaslt

	* [r29673] Fixed crash when no printers present (Win).

2011-03-18 05:11  urmaslt

	* [r29672] Fixed detection of files with uppercase extensions.

2011-03-15 20:28  urmaslt

	* [r29670] Filter out CR/LFs when reading document text from XML file.

2011-03-15 18:39  strbafridrich

	* [r29669] Fix Windows x64 build too

2011-03-15 15:18  strbafridrich

	* [r29668] Build all files so that no undefined symbols pop up

2011-03-15 15:17  strbafridrich

	* [r29667] Try to find uint32_t and uint16_t from the corresponding headers

2011-03-15 15:17  strbafridrich

	* [r29666] Don't manually craft dll if libtool knows how to do it if asked
	  nicely

2011-03-15 14:58  strbafridrich

	* [r29665] Fix bmp plugin build with libpng 1.5.x

2011-03-15 14:58  strbafridrich

	* [r29664] Allow building garble plugin with libpng 1.5.x

2011-03-15 14:56  strbafridrich

	* [r29663] Redo the wide string defines so that it actually works

2011-03-15 12:54  strbafridrich

	* [r29662] Fix more windows build issues and also return back the
	  non-unicode WinMain, for those toolchains that don't support
	  unicode startup

2011-03-15 10:30  strbafridrich

	* [r29661] Some fixes for win32 mingw build

2011-03-13 21:27  urmaslt

	* [r29660] Enabled debug build for Aiksaurus.

2011-03-13 17:53  urmaslt

	* [r29658] Made words separated by - or _ to be counted as one.

2011-03-12 17:33  alexp

	* [r29657] Win32: Fixed Unicode issue in file chooser dialog.

2011-03-09 15:53  urmaslt

	* [r29655] Regarding libpng 1.5

2011-03-07 15:32  urmaslt

	* [r29646] Build on Win32 fix. Nothing more.

2011-03-07 15:30  urmaslt

	* [r29645] Added basic headers and whooping 1 field; other minor changes.

2011-03-07 15:29  urmaslt

	* [r29644] - Toolbars custom values fix (Win32)
	  - Warning on Win32.

2011-03-06 19:56  urmaslt

	* [r29643] * We were missing Serbian (Cyrillic script) entirely, that's
	  embarassing.
	  * Added Russian pre-1918 orthography variant as per request
	  12891: apparently some geeks actually registered it in IETF...
	  /rolls eyes

2011-03-06 16:58  urmaslt

	* [r29642] (courtesy of Cosimo Cecchi <cosimoc@gnome.org>)

2011-03-06 15:56  urmaslt

	* [r29641] * UI lang selection: LC_ALL > LC_MESSAGES > LANG
	  * Memory leak

2011-03-06 14:56  urmaslt

	* [r29640] Fixed a confusion with Serbian Cyrl/Latn variants.

2011-03-06 09:04  urmaslt

	* [r29639] Add missing strings (RU)

2011-03-06 08:54  urmaslt

	* [r29638] Improved desktop file (12904, spec compliance (Name entry
	  purpose)).

2011-03-06 02:01  urmaslt

	* [r29637] Improve handling of variant locales; closes: 12909

2011-03-06 01:59  urmaslt

	* [r29636] Fixed mnemonics in Replace dialog

2011-03-05 21:13  urmaslt

	* [r29635] Added missing files

2011-03-05 14:23  uwog

	* [r29634] Add Fulah translation (Ibraahiima SAAR)

2011-03-05 13:41  uwog

	* [r29633] Fix writing out invalid svg:x and svg:y coordinates for textboxes

2011-03-05 13:30  urmaslt

	* [r29632] Made ANSI text documents open in proper encoding.

2011-03-04 10:07  urmaslt

	* [r29631] More const.

2011-03-04 09:16  urmaslt

	* [r29630] Fix hyperlinks containing non-ASCII characters.

2011-03-04 08:34  urmaslt

	* [r29629] This should fix #9240. The whole preview code looks weird, btw.

2011-03-03 20:37  urmaslt

	* [r29628] Palliative fix for 12243, those icons was 22px instead of 24.
	  Saving the pleasure of editing corresponding pixmaps to someone
	  else.

2011-03-03 17:55  alexp

	* [r29627] Trivia: Fix for Styles dialog's title; made OutpudDebugString
	  work for UTF-8 strings.

2011-03-03 14:45  urmaslt

	* [r29626] Makes it possible to change different font sizes together via
	  Format|Font dialog.

2011-03-03 14:38  urmaslt

	* [r29625] Prevent possible crash on overlong font name

2011-03-03 14:11  urmaslt

	* [r29624] Replaced strcmpi with g_ascii_strcasecmp

2011-03-03 12:35  jbrefort

	* [r29623] Fixed compilation

2011-03-03 10:12  urmaslt

	* [r29622] Show filename instead of encoded url in Revert to Saved dialog.

2011-03-03 08:59  urmaslt

	* [r29621] Some cleanup.

2011-03-03 06:30  urmaslt

	* [r29620] Integrated Ingo's image import patch.

2011-03-02 19:50  urmaslt

	* [r29617] Encoding issues and minor edits.

2011-03-02 18:03  urmaslt

	* [r29616] Now document title is used for default filename again.

2011-03-02 17:51  urmaslt

	* [r29615] Fixes corrupt text in status bar on Win32

2011-03-02 17:14  urmaslt

	* [r29614] Closes: 6291 (&'s in filenames appears as shortcuts on Win32)
	  Stub for other platforms.

2011-03-02 14:07  urmaslt

	* [r29611] Encoding issue (#13003)

2011-03-02 12:17  alexp

	* [r29610] Added Unicode registry support. Also added rudimentary protection
	  from 2 copies of document opening due to DDE working as intended.
	  ;)

2011-03-02 11:27  alexp

	* [r29609] Now Win32 application should be able to work from Unicode dir.
	  What DOES work: stringsets, templates, profiles, modules and
	  spellchecking.

2011-03-02 10:39  alexp

	* [r29608] Fixed a bug where settings profiles were enumerated incorrectly.

2011-03-01 17:29  alexp

	* [r29607] Now printjobs on Windows are called after file name, not its
	  encoded URL.

2011-03-01 14:55  alexp

	* [r29606] Eliminated ANSI calls from abiword.exe

2011-03-01 14:12  alexp

	* [r29605] Made About dialog multimonitor-enabled on Win32 (#6171)

2011-03-01 09:57  alexp

	* [r29604] Fixed spellchecking of words containing a quote instead of
	  apostrophe.
	  
	  Also made _ a word-breaking character. Don't tell me it isn't.

2011-03-01 09:45  alexp

	* [r29603] Added support for more digit variants.

2011-03-01 08:51  alexp

	* [r29602] Fixed suffix detection for filenames with dots. Potentially
	  breaks suffixes like .abw.gz, which are not correct anyway.

2011-03-01 08:46  alexp

	* [r29601] Added Russian fallback locale, t.ex. for ru_UA systems.

2011-02-27 15:46  alexp

	* [r29599] Makes Styles combo to work for non-ascii names.

2011-02-27 14:49  alexp

	* [r29598] Fixed crash when previewing annotations on Win32.

2011-02-27 13:45  alexp

	* [r29597] Fixed Unicode issues with annotation preview on Win32.

2011-02-27 13:44  alexp

	* [r29596] Fixed CRT assertion while parsing UTF-8 encoded parameters.

2011-02-27 13:00  alexp

	* [r29595] Fix build

2011-02-27 12:06  msevior

	* [r29594] Prevent crash if m_gc is not initiallized.

2011-02-27 07:01  alexp

	* [r29593] Ensure Abiword window is completely on-screen to prevent hidden
	  controls or multimonitor issues. Tested in m/monitor environment.

2011-02-27 06:26  alexp

	* [r29592] Fixed bookmarks with non-ascii names.

2011-02-27 03:37  alexp

	* [r29591] Fixed comboboxes in toolbars.

2011-02-27 02:30  alexp

	* [r29590] Updated manifest to match 2.9.0 version

2011-02-27 02:01  alexp

	* [r29589] [Unicode] A couple of UI issues in dialog. Annotations cause
	  crash, so cannot be tested.

2011-02-26 18:01  alexp

	* [r29588] Fix non-terminated string issues in UT_Win32LocaleString.

2011-02-26 17:34  alexp

	* [r29587] Fixed some glithes in Stylist dialog

2011-02-26 17:01  alexp

	* [r29586] Remove 'Script' command from Windows menus as nonfunctional.
	  
	  Message for r29584 was 'Spelling dialog was not showing last
	  character (#9647)'

2011-02-26 16:37  pradeeban

	* [r29585] Applying Alex's Patch on Windows Dialogs.
	  This fixes some important todo's left in
	  http://www.abisource.com/wiki/Windows_Unicode_Port including
	  Stylist and treeview.
	  With this commit, I have committed all his patches those I
	  verified working fine for me.
	  
	  Alex, since you have commit rights, feel free to commit any patch
	  that has been left out so far.
	  Thank you for your contributions and keep rocking.. :)

2011-02-26 16:32  alexp

	* [r29584] 2011-02-26 16:05  alexp

	* [r29583] [Unicode] Amendment to r29568. Now it actually works.

2011-02-26 15:22  alexp

	* [r29582] [Unicode] Use TrueType font in dialog boxes, see also #4867.

2011-02-26 15:16  alexp

	* [r29581] Fixed crash (#12680), courtesy of Urmas

2011-02-26 15:01  alexp

	* [r29580] Test commit: removed extension list from 'All Documents' item
	  (made dropdown ungodly wide on Vista+; useless anyway)

2011-02-26 13:05  pradeeban

	* [r29579] One of the early patches from Alex - improvements to
	  getUserPrivateDirectory() of XAP_Win32App.

2011-02-26 11:01  pradeeban

	* [r29578] Applying the patch from Alex to enable Drag and Drop of files
	  with arbitrary names. Fixes bug #12839.

2011-02-25 10:54  uwog

	* [r29577] Update Breton (br-FR) translation (Denis ARNAUD)

2011-02-24 22:46  uwog

	* [r29572] Make makedistcheck work (some paths are longer than 99 chars)

2011-02-20 09:56  pradeeban

	* [r29568] Applying Alex's workaround for g_option_context_parse() from
	  current glib treating its arguments as ANSI string, even if it's
	  UTF-8.
	  Alex, pls keep an eye on glib itself, so that we can make sure
	  when it is sorted out on glib itself. Thanks a lot for your
	  contributions.

2011-02-20 09:26  pradeeban

	* [r29567] Applying the patch from Alex, fixing an issue in the field
	  contents to be put into clip board in plain text.
	  Thanks a lot Alex for your contributions and dedication.

2011-02-20 08:42  pradeeban

	* [r29566] Applying a patch from Lint fixing a windows compilation issue on
	  ap_Win32App.

2011-01-22 13:49  pradeeban

	* [r29484] Fixing the 'new using template' dialog of Windows along with some
	  refactoring to the code - By applying the patch provided by Alex.

2011-01-22 13:32  pradeeban

	* [r29483] Fixing Win32/Unicode issues with Format/Styles dialog, by
	  applying the patch provided by Alex.

2011-01-18 10:43  uwog

	* [r29482] Fix typo

2011-01-17 21:28  uwog

	* [r29481] Fix typo

2011-01-16 22:43  uwog

	* [r29480] Make AbiWord dbus/telepathy activatable, so when someone offers
	  you a document, AbiWord will start and connect automatically.

2011-01-16 22:07  uwog

	* [r29479] Fix the setting of a default conference Telepathy server

2011-01-10 02:41  pradeeban

	* [r29474] Fixed buffer overrun in UT_UTF8Stringbuf by applying patch
	  provided by Alex.

2011-01-05 13:28  jbrefort

	* [r29469] Fix expor/import from/to RTF of characters larger than 0xffff.
	  Although we follow the spec, we are not compatible with either MS
	  or OOo.
	  MS does not understand this character, and OOo always use
	  positive values while the spec says that values larger than
	  0x7fff sould be exported as negative number. Fixed #12919. Please
	  backport.

2011-01-02 10:42  jbrefort

	* [r29467] Fix #12926, may be the new function name is not fully
	  appropriate, so feal free to rename. Please backport.

2010-12-28 21:22  uwog

	* [r29465] Edit Account Dialog boilerplate code to make the collaboration
	  plugin compile again

2010-12-27 22:44  uwog

	* [r29464] Make MSVC happy by adding a few consts

2010-12-27 21:57  uwog

	* [r29463] Add the ability to edit the properties of an AbiCollab acccount.
	  Windows portion of the changes will follow.

2010-12-26 13:51  jbrefort

	* [r29462] Fix clipboard operations with embedded objects. Please backport
	  if the API changes are harmless.

2010-12-23 18:11  jbrefort

	* [r29461] Fix typo which made snapshot size insanely large. Please backport
	  if needed.

2010-12-20 19:37  uwog

	* [r29460] Replace deprecated "create tube" code with the new
	  TpAccountChannelRequest API

2010-12-20 12:49  pradeeban

	* [r29459] Porting Windows/Bullets and Numberings (Lists) Dialog to Unicode.
	  List boxes still shows garbage and needs fix. Title needs a fix
	  too.

2010-12-20 11:55  pradeeban

	* [r29458] Porting 'Create and Modify Styles' Dialog of Windows to Unicode.
	  Preview and the list boxes of the styles need fix yet.

2010-12-19 22:37  uwog

	* [r29457] A bunch of work in the Telepathy backend to properly handle
	  leaving buddies from a collaboration session. Not perfect, since
	  we seem to run into Telepathy/Gabble bugs.

2010-12-19 13:42  uwog

	* [r29456] Allow N people to join the collaboration session on the Telepathy
	  backend, instead of just 2

2010-12-16 22:48  uwog

	* [r29455] Silly typo

2010-12-16 22:30  uwog

	* [r29454] First ever real-time document collaboration session over
	  Telepathy works with this code! Now only to fixed 1000+ bugs, and
	  then we can release!

2010-12-16 01:59  xsun

	* [r29453] Put the return statements back

2010-12-16 01:39  xsun

	* [r29452] Upgrade itex2mml to 1.4.5

2010-12-12 20:16  uwog

	* [r29449] A lot more work towards a usuable Telepathy AbiCollab backend,
	  but still very much a WIP.

2010-12-11 20:14  uwog

	* [r29448] Just some name refactorrings

2010-12-11 20:07  uwog

	* [r29447] Implement the ability to retrieve a list of Telepathy contacts

2010-12-05 14:46  uwog

	* [r29432] Some code refactorring

2010-12-05 14:36  uwog

	* [r29431] More work towards revamping the Telepathy AbiCollab backend

2010-12-04 17:02  uwog

	* [r29430] Make sure abicollab backends do not receive any events anymore
	  while destructing

2010-12-04 16:53  uwog

	* [r29429] Make sure the service backend does not receive any events anymore
	  while it is destructing

2010-11-30 23:12  uwog

	* [r29428] Cleanup some really old code in the Telepathy AbiCollab backend,
	  in preparation for something that is modern and will actually
	  work.

2010-11-21 16:44  sum1

	* [r29406] Fix a crash when exporting a document with broken table column
	  properties to .odt
	  (https://bugzilla.redhat.com/show_bug.cgi?id=654128). Please
	  backport.

2010-11-16 00:34  uwog

	* [r29404] MSVC does not like bzero

2010-11-09 09:07  strbafridrich

	* [r29403] Some names of attributes changed between libwpd-0.8.x and
	  libwpd-0.9.x

2010-11-08 12:01  strbafridrich

	* [r29402] First step to the use of to-be-released libwpd-0.9.0,
	  libwpg-0.2.0 and libwps-0.2.0

2010-11-06 15:44  sum1

	* [r29400] Prevent a header/footer + section break crash and assert instead
	  (https://bugzilla.redhat.com/show_bug.cgi?id=592259). Please
	  backport.

2010-11-06 14:49  sum1

	* [r29399] Fix a std::string/NULL crash in the lists dialog
	  (https://bugzilla.redhat.com/show_bug.cgi?id=635294). Please
	  backport.

2010-11-06 14:26  sum1

	* [r29398] Fix a crash when exporting some fields to .docx
	  (https://bugzilla.redhat.com/show_bug.cgi?id=585785). Please
	  backport.

2010-11-06 04:35  sum1

	* [r29397] Fix some warnings.

2010-11-06 04:35  sum1

	* [r29396] Prevent a crash when modifying list styles
	  (https://bugzilla.redhat.com/show_bug.cgi?id=650233). Please
	  backport.

2010-11-03 21:34  uwog

	* [r29395] Update Esperanto translation (Keith BOWES)

2010-10-30 10:33  uwog

	* [r29394] Updated Slovak translation (Jaroslav Rynik)

2010-10-30 10:27  uwog

	* [r29393] Updated Danish translation (Morten Juhl-Johansen Zölde-Fejér)

2010-10-30 10:08  uwog

	* [r29392] Updated Kazakh translation (Baurzhan Muftakhidinov)

2010-10-25 22:54  msevior

	* [r29390] Set document to clean state after a save.

2010-10-24 19:03  monkeyiq

	* [r29389] bookmark matching bug with rdf
	  http://bugzilla.abisource.com/show_bug.cgi?id=12872

2010-10-24 18:14  monkeyiq

	* [r29388] http://bugzilla.abisource.com/show_bug.cgi?id=12872
	  Bookmark-end with bookmark instead of bookmark-start

2010-10-24 16:10  monkeyiq

	* [r29387] http://bugzilla.abisource.com/show_bug.cgi?id=12855
	  text meta can now go through RTF on the clipboard.

2010-10-24 14:41  uwog

	* [r29386] Framework for a new AbiCollab SIP backend, which will be based
	  on the SIP Simple SDK ( http://sipsimpleclient.com/ ). No real
	  code here, so the backend is disabled by default.

2010-10-24 13:33  uwog

	* [r29385] Fix a compiler warning

2010-10-24 12:27  uwog

	* [r29384] Indentation fixes

2010-10-20 22:34  uwog

	* [r29381] Add Kazakh (Kazakhstan) to the Language dialog

2010-10-19 19:12  uwog

	* [r29380] Add new Kazakh (Kazakhstan) translation (Baurzhan Muftakhidinov)

2010-10-19 18:19  uwog

	* [r29379] Don't possibly escape a string twice

2010-10-17 21:48  uwog

	* [r29378] Be a lot less verbose during import in debug mode

2010-10-17 21:11  uwog

	* [r29377] Fix the order of <style:list-level-properties> and
	  <style:text-properties> for lists, since it is required by the
	  spec. Please backport.

2010-10-17 20:16  uwog

	* [r29376] 2010-10-17 20:14  uwog

	* [r29375] Remove some overly verbose debugging messages

2010-10-17 17:42  uwog

	* [r29373] The <text:index-title> field must have an "text:name" attribute.
	  Feel free to backport.

2010-10-17 17:29  uwog

	* [r29372] Style names are XML NCNames, which means they can't contain
	  various characters such as spaces. You have to use the
	  style:display-name attribute to write out the human-readable
	  style name.
	  
	  IMPORTANT: At the moment of writing out style names you now have
	  to convert them to a valid NCName data type using
	  ODe_Style_Style::convertStyleToNCName().
	  
	  See http://www.w3.org/TR/REC-xml-names/#NT-NCName for details

2010-10-17 13:33  uwog

	* [r29371] Don't depend on glib 2.18 just yet on windows

2010-10-17 09:20  pradeeban

	* [r29370] Porting "Document Properties" Windows Dialog labels and buttons
	  to Unicode.

2010-10-17 05:51  pradeeban

	* [r29369] Fixing a mistakenly misplaced change in my previous commit. (Note
	  to myself: *LongW/*LongPtrW conflict. Have to keep an eye on this
	  *Ptr too.)

2010-10-17 05:40  pradeeban

	* [r29368] Fixing "Indents and Spacing" labels in Format Paragraph for
	  Win/Unicode.

2010-10-16 17:26  pradeeban

	* [r29367] Fixing the Header/Footer (Windows) dialog to unicode. Now only
	  its title remains to be fixed further from English to Unicode.
	  Tested with Arabic[M M,.

2010-10-16 17:08  pradeeban

	* [r29366] Fixing the Tabs (Windows) dialog to unicode. Now only its title
	  remains to be fixed further from English to Unicode. Tested with
	  Arabic.

2010-10-16 15:53  pradeeban

	* [r29365] Fixing the "New using Template" (Windows)dialog to Unicode. Title
	  remains English and the list of templates needs porting too, and
	  will be fixed.

2010-10-16 15:49  pradeeban

	* [r29364] Fixing the Toggle Case (Windows)dialog to Unicode. Title remains
	  English and will be fixed. Tested with Arabic (as done during the
	  gsoc2009unicode). Works fine.

2010-10-10 14:43  uwog

	* [r29362] Don't fail on ODF documents that do not have an RDF stream

2010-10-09 15:06  uwog

	* [r29358] svn merge -r29073:29323
	  svn+ssh://svn.abisource.com/svnroot/abiword/branches/monkeyiqrdf/
	  .

2010-08-30 00:27  msevior

	* [r29329] Fix Bug 11853 List numbers of a continuous list.

2010-08-24 13:58  msevior

	* [r29322] Fix bug 11849 Hidden cell borders render different from OOo
	  This is imported correctly now. we still have to fix rendering
	  issues
	  during editing.

2010-08-24 13:27  msevior

	* [r29319] Handle repeated columns with relative column widths. Partial fix
	  for 11849.

2010-08-24 13:03  msevior

	* [r29318] Fix mistake in previous commit.

2010-08-24 12:35  msevior

	* [r29316] Properly fix bug 11847 Spaces inserted before paragraphs.

2010-08-16 06:35  msevior

	* [r29273] Fix bug 12813 by reverting fix to 11847. test between formatting
	  changes no longer glued together during import from odt.

2010-08-15 07:45  jbrefort

	* [r29271] Limit snapshot resolution to 300 dpi. Please backport.

2010-08-14 20:39  uwog

	* [r29270] Implement 12759: Add an option to the AbiCollab TCP backend to
	  "Automatically grant buddies access to shared documents". Please
	  backport.

2010-08-13 22:52  uwog

	* [r29268] Support StartTLS encryption in the XMPP backend. Please backport.

2010-08-13 20:29  uwog

	* [r29267] Fix the account dropdown to actually list accounts in the Add
	  Buddy dialog. Please backport.

2010-07-31 05:32  obin

	* [r29249] bug 9649: fix the opening of the help on Mac.
	  
	  Feel free to backport
	  
	  (and yes, first commit)

2010-07-13 05:53  msevior

	* [r29197] Fix bugs to do with borders during editing. This should solve
	  some issues
	  Maleesh is facing.

2010-06-18 12:58  jbrefort

	* [r29040] Make charts size persistent when editing. Please backport.

2010-06-15 05:45  msevior

	* [r29021] Complete the fix for bug 12760.

2010-06-15 01:50  msevior

	* [r29020] Fix a bug in the new PT. Patch from Joaquin. Thanks!

2010-06-07 14:11  msevior

	* [r28993] Preserve character properties when typing. This fixes a bad
	  regression in 2.8.5.
	  Please backport.

2010-06-01 07:24  msevior

	* [r28962] A couple of commits towards fixing 12760 Crash when moving a
	  textbox.
	  It looks like we've hit anothe Piecetable bug though.

2010-05-31 15:10  msevior

	* [r28957] Fix copy of rich text to ODT. Now text properties are properly
	  preserevd
	  on the copy.

2010-05-31 06:56  msevior

	* [r28956] Don;t copy the whole document, just the selection!

2010-05-31 06:30  msevior

	* [r28955] Cosmetic fixes

2010-05-31 06:23  msevior

	* [r28954] Export ODT to the clipboard. This use the new
	  ie_exp_DocRangeListener class
	  to create a new document containing just the selected range. This
	  is then
	  exported to ODT in a temporary file and then copied to the
	  clipboard.
	  
	  I have not yet added
	  src/wp/impexp/xp/ie_exp_DocRangeListener.(h,cpp) to the windows
	  MSVisual C++
	  project desription so the windows buildis broken until that is
	  fixed. Also we
	  will need to duplicate a lot of the code in src/wp/ap/gtk/*.h to
	  the appropriate
	  files in the windows and osx builds to get this functionality.

2010-05-30 19:13  uwog

	* [r28948] Fixed several bugs, added character conversion and support for
	  page properties which makes imported Write files look now as they
	  did in Write before. (Ingo Brueckl). Please backport.

2010-05-30 18:36  uwog

	* [r28946] Fix 12728: AbiWord should honor SRV DNS records when
	  collaborating over XMPP (Damien Diederen). Please backport.

2010-05-30 12:47  msevior

	* [r28930] Classes to copy a docrange into an empty document. we will use
	  this to export
	  ODT to the clipbaord.

2010-05-30 05:03  msevior

	* [r28929] Fix paste of rich text from HTML and ODT. Previously properties
	  once once set were not removed until a paragraph break. Now the
	  properties are removed correctly.
	  
	  Please backport.

2010-05-30 04:09  msevior

	* [r28928] Allow paste of ODF formatted text from the clipbaord.

2010-05-29 18:37  uwog

	* [r28921] Indentation fixes. Feel free to backport.

2010-05-29 18:34  uwog

	* [r28920] Fix a crash reported by Sam Rooney when more than 2 people were
	  collaborating, and one of the clients disconnects. Please
	  backport.

2010-05-29 15:34  uwog

	* [r28918] Don't include document names that a buddy does not have access to
	  in the list of shared documents that is sent to him. Please
	  backport.

2010-05-29 14:18  uwog

	* [r28916] Update Slovenian translation (Martin Srebotnjak)

2010-05-28 10:48  uwog

	* [r28913] Update German translation (Volker Ribbert <thoraki@arcor.de>).
	  Please backport.

2010-05-28 01:52  msevior

	* [r28908] A number of robustness fixes. Please backport.

2010-05-26 06:47  msevior

	* [r28905] Robustness fixes.

2010-05-25 10:09  jbrefort

	* [r28902] Replace '==' tests in configure by '='.

2010-05-21 00:37  msevior

	* [r28900] Code from Joaquin to fix bugs Bug 12721
	  abiword crashes sometimes when inserting a new run
	  and Bug 12723 Crash on undo
	  
	  This fixes a subtle bug in the new PT when erasing a node next to
	  the leaf node.

2010-05-16 18:24  uwog

	* [r28896] Fix 11862: Table of Contents not properly exported. Please
	  backport.

2010-05-14 19:52  uwog

	* [r28894] Fix 11887: Footer text placement / alignment problems. The real
	  problem was that we didn't support different headers/footers on
	  facing pages. Please backport.

2010-05-13 18:17  uwog

	* [r28893] Fix 11848: table:number-columns-repeated and
	  table:number-rows-repeated not supported

2010-05-13 15:14  uwog

	* [r28890] Just a bunch of indentation fixes. Feel free to backport.

2010-05-13 14:41  uwog

	* [r28887] Fix 10884: Columns (section?) margins not preserved on
	  opendocument import. Please backport.

2010-05-13 12:11  uwog

	* [r28886] Just some indentation fixes. Feel free to backport.

2010-05-13 07:21  msevior

	* [r28885] Put back some debugging code.

2010-05-13 06:04  msevior

	* [r28884] Fix for bug 12727 Border related serious regression

2010-05-12 21:30  uwog

	* [r28882] Buildfix: remove more wrong uses of fp_PageSize::MarginXXX.
	  Please backport.

2010-05-12 20:19  uwog

	* [r28880] Fix the rest of 11874: Bullets, border and 'first page' style not
	  rendered right. Adds the Unicode MINUS SIGN to the list of
	  unicode chars that renders as a dashed list. Please backport.

2010-05-12 19:06  uwog

	* [r28878] Fix 11937: Incorrect page margin defaults. This fixes the same
	  bug for the OOXML exporter, and drops a bunch of broken, and
	  basically unused, margin code from the fp_PageSize class. Please
	  backport.

2010-05-12 13:41  uwog

	* [r28876] Fix 11905: Document with columns not correctly exported. Fixed by
	  not writing out/using new MasterPage styles when no master page
	  specific property (such as a new header or footer) is changed.
	  PLease backport.

2010-05-12 13:36  uwog

	* [r28875] Fix a bunch of errors in the border exporting code, that causes a
	  crash when exporting the abw document from bug 11860 for example.

2010-05-11 16:39  uwog

	* [r28871] Fix a typo in the bottom margin code import code, resulting in a
	  bug similar to 10330, but then on import. Please backport.

2010-05-11 16:30  uwog

	* [r28870] Fix 10330: Ignored top and bottom margins. Please backport.

2010-05-11 13:44  uwog

	* [r28869] Just code indentation fixes, dead code removal, and comment
	  updates. This is needed towards fixing 10330:
	  Ignored top and bottom margins. Please backport.

2010-05-11 07:39  msevior

	* [r28868] Debugging code to trace the origin of the 12721 crash. Looks like
	  a fundamental bug in the erase method of pf_Fragments

2010-05-10 06:56  msevior

	* [r28867] Return false if not strux found in
	  pt_PieceTable::_getStruxFromPosition(PT_DocPosition docPos,
	  pf_Frag_Strux ** ppfs, bool bSkipFootnotes) const
	  
	  Patch from Jean Brefort

2010-05-08 18:55  uwog

	* [r28866] Fix some small memory leaks in the .abicollab importer. Please
	  backport.

2010-05-08 18:39  uwog

	* [r28865] Update svn:ignore

2010-04-28 04:44  msevior

	* [r28861] Build fixes from Obin Hickory.

2010-04-28 00:53  msevior

	* [r28860] Fix crash on loading a document.

2010-04-28 00:43  msevior

	* [r28859] Remove useless assert. Add two usefull asserts.

2010-04-27 20:09  uwog

	* [r28855] Merge the lognpt branch:
	  
	  svn merge -r27409:27969
	  svn+ssh://uwog@svn.abisource.com/svnroot/abiword/branches/lognpt/
	  .

2010-04-22 10:33  uwog

	* [r28851] Fix 12701: configure --disable-collab-backend-{tcp,service}
	  should not check for asio.hpp (Thorsten Vollmer). Please
	  backport.

2010-04-19 14:34  uwog

	* [r28846] Updated Danish (da_DK) translations (Morten Juhl-Johansen
	  Zölde-Fejér). Please backport.

2010-04-18 21:56  uwog

	* [r28844] Updated Romanian (ro_RO) translation (Lucian Constantin). Please
	  backport.

2010-04-18 21:12  uwog

	* [r28842] Update galician "gl" translation (Miguel Bouzada). Please
	  backport.

2010-04-15 10:02  msevior

	* [r28839] Fix selection bug.
	  
	  Nice catch from dzan

2010-04-14 21:10  uwog

	* [r28830] Fix rendering of substrings (which happen when you select a part
	  of a run) for complex scripts. Tested with both LtR complex
	  languages such as Thai, and RtL complex languages such as Arabic.
	  The old code only rendered the base character of a text cluster
	  for LtR complex scripts when the substring ended in a text
	  cluster. I couldn't figure out what the old for RtL languages
	  attempted to do, but I do know that it was totally wrong, so I
	  just rewrote that. Please backport.

2010-04-12 21:39  uwog

	* [r28823] Fix 11785: Abiword shows strange symbols instead of Arabic
	  characters

2010-04-11 22:10  uwog

	* [r28822] Remove a bunch of copy/pasted code, that only makes the font
	  adjusting harder to understand and does nothing (except for
	  saving 1 call to pango_font_describe in some cases). Please
	  backport.

2010-04-11 15:34  uwog

	* [r28821] Don't let GR_CairoGraphics::needsSpecialCaretPositioning modify
	  the text iterator, as that will (amongst other things) result in
	  a failing GR_PangoRenderInfo::getUTF8Text() implementation, which
	  results in a failing GR_CairoGraphics::_scriptBreak(), which
	  results in a failing GR_CairoGraphics::adjustCaretPosition().
	  
	  This fixes 6987: "Thai string can't be deleted in proper
	  sequence" for GTK+/Cocoa, and also fixes character movement for
	  complex scripts. Please backport.

2010-04-09 10:29  pradeeban

	* [r28816] Some indentation fixes.

2010-04-08 16:05  pradeeban

	* [r28815] Porting Format Image dialog to unicode. Earlier Inserting Image
	  wasn't possible. Hence porting/testing format image dialog too
	  wasn't possible.
	  Thanks to uwog's fix yesterday. Tested using Arabic interface.
	  Both Insert and Format image dialogs are fine, other than the
	  combo boxes which needs some
	  fix yet.

2010-04-07 03:57  msevior

	* [r28810] Complete import of Borders and Shading from RTF. These properties
	  can also be copied and pasted within abiword.

2010-04-06 10:25  strbafridrich

	* [r28807] link explicitely with zlib, fixes autofoo mingw build, backport

2010-04-06 08:09  msevior

	* [r28806] Lots of work towards importing Paragraph Borders and shading from
	  RTF.
	  Not finished yet.

2010-04-05 14:27  msevior

	* [r28805] Export Paragraph Borders and Shading properties to RTF

2010-04-05 11:12  jbrefort

	* [r28804] Use double click to select a component type and close the dialog.
	  Might be backported.

2010-04-04 22:21  uwog

	* [r28803] Fix a crash when opening the Insert Image dialog. No clue how it
	  could ever work before.

2010-04-04 22:14  uwog

	* [r28802] Just some indentation fixes

2010-04-04 21:35  uwog

	* [r28801] Make the Insert Mail Merge Field dialog work the first time you
	  open it.

2010-04-04 21:29  uwog

	* [r28800] Kill off UT_Win32LocaleString.ascii_str() as it corrupts memory.
	  This fixes (amongst other things) file open/save. Port the mail
	  merge dialog to unicode in the process.

2010-04-04 21:27  uwog

	* [r28799] Replace UT_ASSERT with UT_return_{val_}if_fail

2010-04-03 13:54  msevior

	* [r28798] Fix delete russian text bug. This bug caused an arbitary amount
	  of text to be deleted when pressing backspace for any non-western
	  European language making abiword unsuable in many different
	  locales.
	  
	  This commit fixes that.

2010-04-03 11:29  uwog

	* [r28794] Drop calls to the non-existent setExposePending to fix the Win32
	  build. Blame patrikf if this is not the correct fix :)

2010-04-02 23:42  uwog

	* [r28789] Fix build, part of12153

2010-04-02 22:38  uwog

	* [r28788] Fix 12153: ODF, version and platform in meta:generator

2010-04-02 21:07  uwog

	* [r28785] ABI_EXPORT buildTabStops to fix the MSVC build. Please backport.

2010-04-01 21:27  uwog

	* [r28775] Fix 12617: Include files needed for Mac OS X build in source
	  tarball (Obin Hickory). Please backport.

2010-03-31 21:09  uwog

	* [r28765] Fix 12670: abiword uses libxml2 API badly, leads to crashes
	  (Michal Schmidt, RedHat). Please backport.

2010-03-30 10:36  uwog

	* [r28764] Add application/vnd.oasis.opendocument.text-web as a supported
	  mimetype in the ODF importer.
	  Also add application/vnd.oasis.opendocument.text-{template,web}
	  to abiword.desktop.
	  Please backport.

2010-03-30 08:33  patrikf

	* [r28763] Fix build without plugins

2010-03-30 08:15  patrikf

	* [r28762] Replace gtk_widget_get_double_buffered (gtk-2.18) with equivalent
	  older functionality

2010-03-28 23:01  uwog

	* [r28758] Fix 12667: default-tab-interval not exported. Adds the
	  infrastructure for default styles as well in the exporter. Please
	  backport.

2010-03-28 20:24  uwog

	* [r28757] Remove wrong assert, as this case is perfectly valid. Please
	  backport.

2010-03-28 20:06  uwog

	* [r28756] Use of the proper decimal character for decimal tabs based on
	  your locale. Please backport.

2010-03-28 19:50  uwog

	* [r28755] Fix 11858: Tab stops not imported. Please backport.

2010-03-28 14:47  uwog

	* [r28754] Add a LocaleTransactor (sum1), and fix a memory leak. Please
	  backport.

2010-03-27 22:48  uwog

	* [r28753] Fix 11942: Tabstops (and tab leaders) not exported. Please
	  backport.

2010-03-25 02:10  sum1

	* [r28748] Bug 12658: Meta data is escaped twice in the abw exporter. Please
	  backport.

2010-03-22 08:37  jbrefort

	* [r28744] make things compile again: XAP_CustomWidgetLU must be virtual
	  public XAP_CustomWidget. Don't know if this needs backporting.

2010-03-21 21:28  uwog

	* [r28739] Make the fix for 9913 compile using MSVC as well. Please
	  backport.

2010-03-21 19:52  uwog

	* [r28738] Make MSVC a happy camper again

2010-03-21 19:51  uwog

	* [r28737] Initialize the correct parent class

2010-03-21 19:48  uwog

	* [r28736] Update to new API

2010-03-21 19:35  uwog

	* [r28735] Add missing ABI_EXPORTs

2010-03-21 19:09  uwog

	* [r28734] Fix 9913: Abiword won't open password protected ODT files. Please
	  backport.
	  
	  MSVC project files will be updated shortly.

2010-03-06 17:26  sum1

	* [r28723] Bug 12624: Smart quotes are discarded during docx export. Please
	  backport.

2010-03-05 23:16  uwog

	* [r28717] Make OOo 3.2.0-rc4 happy and not claim we write out invalid
	  documents. This is clearly a bug in OOo. Consider this an AbiWord
	  Customer Service. Thanks go to johanbr for debugging this ;-P.
	  Feel free to backport.

2010-03-05 02:24  sum1

	* [r28716] Bug 12608: Crash during ODT import. Please backport.

2010-03-05 02:23  sum1

	* [r28715] Fix a warning. Can be backported.

2010-03-05 02:23  sum1

	* [r28714] Disable debug messages until the OOXML validation code is
	  completed. Can be backported.

2010-03-03 20:15  patrikf

	* [r28713] Fix a race condition due to improper use of the GTK+ api. Please
	  backport.
	  
	  Also fixes 12608, which triggers this condition for some reason.

2010-02-24 13:25  msevior

	* [r28712] Offset the left and right borders by half the line thickness
	  so borders are always draw within the boundaries of the
	  paragraph.

2010-02-21 12:36  msevior

	* [r28711] Export borders and shading to odt.

2010-02-13 13:06  jbrefort

	* [r28710] Fixes GValue initialization. Please backport.

2010-02-12 13:41  strbafridrich

	* [r28706] a typo breaking the png goodness (backport quickly uwogLap )\!

2010-02-12 10:40  uwog

	* [r28695] Support non-TLS connections for the abicollab service backend.
	  Not that they exist out there yet, but they will. Please
	  backport.

2010-02-11 22:59  uwog

	* [r28693] Fix a bug whereby AbiWord crashes when the user tries to load the
	  font chooser dialog box while having text with multiple
	  fonts/font styles selected. (Ersin Akinci
	  <ersin.akinci@gmail.com>). Please backport.

2010-02-11 16:19  strbafridrich

	* [r28684] hopefully the last instalment of the libpng goodness

2010-02-10 21:35  uwog

	* [r28682] Update German translation (Volker Ribbert <thoraki@arcor.de>).
	  Please backport.

2010-02-10 17:28  strbafridrich

	* [r28681] hopefull last iteration of the libpng goodness

2010-02-10 16:23  strbafridrich

	* [r28680] another iteration of looking for libpng using pkg-config

2010-02-10 13:39  strbafridrich

	* [r28679] second installment of the Png stuff, this time I hope I will not
	  mess it up

2010-02-10 13:07  strbafridrich

	* [r28678] Try to detect libpng so that we support 1.2.x and 1.4.x too

2010-02-07 14:45  uwog

	* [r28671] Updated Mandinka Senegal localization (Dominique Rochefort)

2010-02-07 14:14  uwog

	* [r28668] Updated Slovak translation (Jaroslav Rynik <jrynik@yahoo.co.uk>)

2010-02-06 22:53  patrikf

	* [r28665] Fix unused variable warning, can be backported

2010-02-06 13:05  patrikf

	* [r28634] Fix german smart-quotes, please backport
	  
	  The whole table should probably be regenerated from the Unicode
	  CLDR
	  dataset.

2010-02-04 00:06  msevior

	* [r28633] Prevent crash when changing the format of an endnote.

2010-01-31 04:11  msevior

	* [r28632] Fix OSX plugin system to use xcode. Patch from Obin Hickory

2010-01-31 04:06  msevior

	* [r28631] Make OSX compile again. Fix from Obin Hickory

2010-01-31 02:00  msevior

	* [r28630] Fix Bug 9581 Assert when importing document. Patch from Obin
	  Hickory.
	  
	  Thanks!

2010-01-31 01:40  msevior

	* [r28629] Fix Bug 12558 Grammar plugin leaks memory. Fix by Obin Hickory

2010-01-30 11:07  patrikf

	* [r28628] Change assert prompt back to original with additional "break"
	  option

2010-01-30 11:07  patrikf

	* [r28627] Wrap beginPaint around XAP_UnixDialog_Print::PrintPage, which
	  wants a cairo context. Please backport

2010-01-28 20:53  patrikf

	* [r28626] Wrap beginPaint around draws in goffice plugin, please backport

2010-01-28 20:52  patrikf

	* [r28625] Make GR_Graphics::{begin,end}Paint public and explain them,
	  please backport

2010-01-28 20:21  patrikf

	* [r28624] Fix API changes on Win32 and Cocoa (untested, please backport
	  when it works)

2010-01-28 20:05  patrikf

	* [r28623] Generic XAP_UnixCustomWidget expose handler, please backport
	  
	  Also fixes a recently-introduced ruler drawing bug by passing
	  device units
	  where they are expected.

2010-01-28 20:00  patrikf

	* [r28622] Add UT_UNUSED (missed that one in r28620)

2010-01-28 19:23  patrikf

	* [r28621] Disable double-buffering for dialog widgets for the moment

2010-01-28 19:13  patrikf

	* [r28620] Derive XAP_Preview from XAP_CustomWidget and use queueDraw()

2010-01-28 19:01  uwog

	* [r28619] Test commit

2010-01-28 18:58  uwog

	* [r28618] Test commit

2010-01-28 18:54  uwog

	* [r28617] Test commit

2010-01-28 18:28  patrikf

	* [r28616] Introduce XAP_CustomWidgetLU for subclasses drawing in layout
	  units, please backport
	  
	  (so we can use XAP_CustomWidget also for those that don't)

2010-01-28 18:28  patrikf

	* [r28615] Don't return NULL if getCairo() is called outside beginPaint(),
	  just print a big fat warning. Please backport

2010-01-28 13:23  msevior

	* [r28614] Fix bug 11847 Spaces inserted before paragraphs importing odt.
	  Fix from tomeu. Thanks very much!

2010-01-27 17:13  patrikf

	* [r28613] Reintroduce double-buffering (except document viewport), please
	  backport
	  
	  This fixes ruler flickering introduced by the previous commits.
	  There's
	  also safety-checking code that ensures we don't paint outside
	  expose
	  events on GTK.
	  
	  View will follow later (hopefully!)

2010-01-27 17:13  patrikf

	* [r28612] Make CairoGraphics distinguish between double- and
	  single-buffered surfaces, please backport

2010-01-27 17:12  patrikf

	* [r28611] Send SIGTRAP on failed asserts, backport possible
	  
	  This changes nothing when abiword is run normally, but throws you
	  directly
	  at the debugger prompt in case one is running. In this case it
	  also
	  suppresses the continue/abort prompt.

2010-01-27 17:12  patrikf

	* [r28610] Make TopRuler use queueDraw(), please backport

2010-01-27 17:12  patrikf

	* [r28609] Refactor queueDraw() code into new class XAP_CustomWidget, please
	  backport

2010-01-27 17:12  patrikf

	* [r28608] Don't duplicate the work of cairo_save/restore, please backport

2010-01-27 17:12  patrikf

	* [r28607] Don't memset() objects to 0, please backport
	  
	  This will make delete crash when used on them (as the virtual
	  destructor
	  pointer is also set to 0!)

2010-01-27 17:11  patrikf

	* [r28606] Modify LeftRuler to use background drawing in GTK, please
	  backport

2010-01-27 17:11  patrikf

	* [r28605] Get rid of expose cruft, please backport

2010-01-27 17:11  patrikf

	* [r28604] Simplify AP_LeftRuler::draw calls, please backport

2010-01-27 17:11  patrikf

	* [r28603] Use high-level functionz of teh GTK+ API (cosmetic change),
	  please backport

2010-01-27 12:15  jbrefort

	* [r28602] Fix contextual menu issues. Please backport (charts can't be
	  edited).

2010-01-09 17:04  sum1

	* [r28598] Fix an unused variable warning. Can be backported.

2010-01-09 07:17  msevior

	* [r28597] More fixes for borders and shading. It's pretty good now.

2010-01-08 00:35  msevior

	* [r28596] More fixes for editting bordered paragraphs.

2010-01-07 10:39  msevior

	* [r28595] Lotsof improvements to paragraph borders. Still more work needed.

2010-01-07 05:34  msevior

	* [r28594] Lots of work towards implementing and porting paragraph borders
	  from odt.
	  Still quite a few bugs but it basically works.

2010-01-06 14:42  patrikf

	* [r28593] fix paths to offline documentation

2010-01-06 02:35  msevior

	* [r28592] Framework and first commit towards implementing paragraph border
	  drawing.

2010-01-05 13:09  msevior

	* [r28591] Export shading properties to odt.

2010-01-05 12:36  msevior

	* [r28590] Remove some test code that leaked through that last commit.

2010-01-05 12:26  msevior

	* [r28589] import paragraph shading from odt.

2010-01-05 11:54  msevior

	* [r28588] Implement paragraph shading.

2010-01-04 10:59  msevior

	* [r28587] First phase of implementing paragraph shading.

2010-01-03 23:22  msevior

	* [r28586] The rest of the patch from Daniel Drake.

2010-01-03 23:18  msevior

	* [r28585] restore abiwidget focus grabbing behaviour.
	  Implemented via a patch from Daniel Drake.

2010-01-03 17:21  sum1

	* [r28584] Bump the copyright date to 2010. Can be backported.

2010-01-03 17:20  sum1

	* [r28583] Fix an unused variable warning. Can be backported.

2010-01-03 17:20  sum1

	* [r28582] Update a comment. Can be backported.

2010-01-03 01:45  msevior

	* [r28581] Prevent selection events during smart quote operation as
	  requested by
	  Daniel Drake for sugar.
	  
	  Please backport.

2009-12-23 02:07  msevior

	* [r28576] Clean up debugmsg from last commit

2009-12-23 01:52  msevior

	* [r28575] Fix bug 11883 Section/paragraph numbers not imported
	  
	  Also fixes bugs to do with complex numbered list structures.
	  Please backport.

2009-12-21 00:20  uwog

	* [r28574] Fix 12446: Compile error (gr_CocoaCairoGraphics.cpp) on Snow
	  Leopard (Obin Hickory). Please backport.

2009-12-19 00:44  msevior

	* [r28573] Fix 12552 fp_TextRun::itemize() leak memory
	  Bug report and Patch from Obin Hickory. Thanks very much!

2009-12-17 22:09  patrikf

	* [r28572] catch NULL input to g_path_get_basename

2009-12-17 22:04  uwog

	* [r28571] Fix 12550: configure override CXX (Obin Hickory)

2009-12-17 22:01  patrikf

	* [r28570] Fix 12551: Don't leak g_path_get_basename result. Please
	  backport.

2009-12-15 16:09  uwog

	* [r28569] Dist plugin.m4

2009-12-14 07:11  msevior

	* [r28568] Start of code to handle repeated rows.

2009-12-14 06:44  msevior

	* [r28567] revert last commit to remove unwanted code!

2009-12-14 06:24  msevior

	* [r28566] fix typo that prevented relative table column widths being
	  imported.

2009-12-13 21:24  uwog

	* [r28564] Add Mandika to the list of supported languages

2009-12-13 20:47  uwog

	* [r28555] Include the updated Esperanto translation from Keith Bowes from
	  the gettext branch. Please backport.

2009-12-13 15:33  patrikf

	* [r28542] some more nitpicking

2009-12-13 15:23  patrikf

	* [r28541] cosmetic change

2009-12-13 15:22  patrikf

	* [r28540] Small corrections on the PATH_MAX code, thanks sum1. Please
	  backport.

2009-12-13 15:01  patrikf

	* [r28539] MSVC is dumb. Please backport.

2009-12-13 14:37  patrikf

	* [r28538] Fix 12380: equations slightly larger in print than on screen. It
	  seems
	  mathview duplicates a coordinate conversion that happens already
	  inside
	  the font rendering/measuring code. Coordinates are always
	  converted back
	  before handed to the rendering code, so the only component that
	  sees the
	  "wrong" coordinates is GtkMathView, resulting in slightly
	  different
	  spacing.

2009-12-13 12:40  msevior

	* [r28537] Fix to correctly draw cells with non-top vertical positions split
	  over pages.
	  This completes the fix of bug 11855
	  Vertical alignment in table cells not imported/exported

2009-12-13 11:37  patrikf

	* [r28536] Fix 10377: GTK landscape printing (again)

2009-12-13 09:45  patrikf

	* [r28535] Fix GTK+ build to work without PATH_MAX (e.g. Hurd); should fix
	  12501

2009-12-12 13:02  patrikf

	* [r28531] Add abiword(1) manpage and install it
	  
	  This is the manpage I revamped for Debian; thought it'd be worth
	  including.
	  Maybe backport.
	  
	  And hello abiword SVN :-)

2009-12-10 17:21  strbafridrich

	* [r28530] allow autogeneration with older libtool

2009-12-10 16:23  strbafridrich

	* [r28529] and type to the end

2009-12-10 16:21  strbafridrich

	* [r28528] Don't force new glib on *nix where long is 64bit

2009-12-09 17:46  jbrefort

	* [r28527] add a call to go_plugins_shutdown

2009-12-08 09:22  jbrefort

	* [r28526] shudtown goffice when done.

2009-12-07 16:32  uwog

	* [r28525] Fix 12537: SunOS is not defined for src/af/util/xp/ut_endian.h
	  ('The Written Word'). Please backport.

2009-12-07 10:22  msevior

	* [r28524] Fix vertical offsets of tables so that the bottom line of the
	  table is not overwritten by the next line in the document.

2009-12-05 18:05  sum1

	* [r28522] Fix Bug 12508, prevent some crashes in recent-files code (patch
	  from Paul Bolle). Please backport.

2009-12-05 17:24  sum1

	* [r28521] Remove obsolete comments. Can be backported.

2009-12-05 17:23  sum1

	* [r28520] More gucharmap removal. Can be backported.

2009-12-05 03:21  msevior

	* [r28519] Complete the fix of 10872 footnotes number position/size not
	  imported/exported

2009-12-04 13:28  uwog

	* [r28518] Update mnk-SN translation (Dominique Rochefort)

2009-12-04 00:25  msevior

	* [r28517] Add Ersin Akinci <ersin.akinci@gmail.com>

2009-12-04 00:23  msevior

	* [r28516] Implement Vertical cell positioning and import and export these
	  properties to odt. This fixes bug "11855 Vertical alignment in
	  table cells not imported/exported
	  "
	  This feature was implemented by Ersin Akinci

2009-12-02 03:36  strbafridrich

	* [r28510] The attach console magic requires windows xp at least

2009-12-02 03:10  msevior

	* [r28509] Some tweak to the footnote/endnote styles.

2009-12-02 03:02  msevior

	* [r28508] Phase one of a fix for "10872
	  footnotes number position/size not imported/exported"
	  New documents exported from abiword have identical footnote
	  styles when imported
	  into OO.o. More over inserting footnotes from OO.o will preserve
	  the style
	  in AbiWord.
	  
	  This commit alters the footnote anchor style to reflect that of
	  OO.o writer.
	  In particular the footnote anchor is no longer superscripted. It
	  is
	  impossible to make OO.o writer superscript it's footnote anchor
	  because it is a property
	  of the paragraph. This should also improve our compatibility with
	  MS Word.

2009-11-30 12:53  msevior

	* [r28504] Fix bug 12346. Pressing TAB removes text in win32 build.
	  Please backport.

2009-11-30 12:51  msevior

	* [r28503] revert the commit 28502
	  Which removed m_pParent from fl_AutoNum.h and fl_AutoNum.cpp
	  This commit screws up abicollab in documents with lists.
	  everything becomes painfully slow. I'll need to work out what is
	  going wrong.

2009-11-30 03:11  msevior

	* [r28502] Remove m_pParent and all references to it. This should prevent
	  crashes
	  with nested lists.
	  
	  Please backport.

2009-11-28 16:32  uwog

	* [r28501] Fix 12489: ODF, svg:title and svg:desc exported in wrong order.
	  Please backport.

2009-11-28 16:24  uwog

	* [r28500] Fix 12488: ODF, set office:version to 1.1. Please backport.

2009-11-28 15:02  uwog

	* [r28499] Pass the trailing \0 character to UT_convert as well, so we end
	  up with a null terminated string, instead of just the converted
	  characters. Patch from Lint.

2009-11-28 13:52  uwog

	* [r28498] Fix bug 12447: source tarball doesn't include nib files (Obin
	  Hickory). Please backport.

2009-11-28 13:39  uwog

	* [r28497] Useless tweak :)

2009-11-25 02:59  sum1

	* [r28496] Fix two crashes that occurred when importing the docx file from
	  Bug 12502. Please backport.

2009-11-23 18:28  strbafridrich

	* [r28495] some grep/sed job that barely compiles

2009-11-23 16:37  strbafridrich

	* [r28494] Lint's patch to use W versions of Win32 api calls + Fridrich's
	  patch for some DWL_USER to DWLP_USER goodness + let g_convert
	  count itself the length of a utf8 string

2009-11-23 15:15  strbafridrich

	* [r28493] avoid casting from/to UT_uint32/void*, use the new UT_uintptr
	  instead: and menus show now

2009-11-23 09:42  strbafridrich

	* [r28492] some more win64 goodness

2009-11-23 08:41  strbafridrich

	* [r28491] fix win64 build

2009-11-23 07:54  jbrefort

	* [r28490] do not include a win32 header when not building for win

2009-11-22 21:20  uwog

	* [r28488] Fix bad memset

2009-11-22 21:14  uwog

	* [r28487] Merge -r26150:28092 from
	  http://svn.abisource.com/abiword/branches/gsoc2009unicode/
	  With some tiny tweaks to make it build with MSVC. Still broken,
	  but a good start.
	  This work is all from K. Pradeeban.

2009-11-22 09:04  jbrefort

	* [r28483] add libabiword automatic versioning

2009-11-21 15:37  uwog

	* [r28478] Fix MSVC build, not sure if this is the best fix, but it worked
	  in 2.8 :)

2009-11-21 15:36  uwog

	* [r28476] Bump version to 2.9.0

2009-11-21 15:33  jbrefort

	* [r28475] Fixed after one more goffice API change, please backport.

2009-11-21 14:35  uwog

	* [r28474] Add Mandika (Senegal) translation. Feel free to backport.

2009-11-20 18:57  uwog

	* [r28473] Kill off gucharmap support, fixes crashes with gucharmap < 2.24.
	  Their API is not stable, which means we can't depend on it to
	  work. Please backport.

2009-11-20 18:32  uwog

	* [r28472] Update svn:ignore, feel free to backport

2009-11-19 23:13  uwog

	* [r28471] Update pt-PT translation, please backport (Pedro Lino)

2009-11-19 10:58  strbafridrich

	* [r28470] Adding UT_intptr and UT_uintptr types that can hold a pointer;
	  removing some casts and making that code compile

2009-11-18 21:46  strbafridrich

	* [r28469] Allow the win64 abiword to start before it crashes

2009-11-17 15:47  strbafridrich

	* [r28468] Use Windows 2000 Socket API instead of the Windows 9x one

2009-11-16 02:38  strbafridrich

	* [r28467] First steps to porting abiword to win64. Still many casts of
	  pointers/handles
	  to 32-bit types, but at least the infrastructure uses now the
	  Win32 API
	  functions that are safe on both win32 and win64 along with
	  defines that are on
	  both systems.

2009-11-09 03:59  msevior

	* [r28461] Complete win32 build fixes. Remove cairo.h inlcude in
	  ut_bytebuf.h

2009-11-08 22:10  jbrefort

	* [r28460] Fixes win32 build, hopefully. Please backport if needed.

2009-11-05 13:45  msevior

	* [r28458] 1. Don't allow non-numeric font-sizes when importing from HTML.
	  2. If a non-numeric font-size is found, use a fall-back sane
	  number

2009-11-02 13:05  jbrefort

	* [r28443] fix goffice objects snapshots, please backport

2009-10-29 21:57  strbafridrich

	* [r28436] more intelligent shared library production (patch from Jean
	  Bréfort) - possible to bacport

2009-10-29 17:50  uwog

	* [r28430] Fix a new warning. Please look at the compiler output before
	  committing stuff. Backport

2009-10-28 23:39  msevior

	* [r28419] Fix memleak

2009-10-28 23:33  msevior

	* [r28418] Fix Bug 12440
	  Bad crash in needsSpecialCaretPositioning

2009-10-27 18:44  uwog

	* [r28416] gcc4.4 build fix from Fridrich. Please backport.

2009-10-26 14:54  uwog

	* [r28396] Update Russion translation (SSK <eskaer_spamsink@ngs.ru>)

2009-10-26 13:28  msevior

	* [r28391] Fix a crash caused by undo after the 12434 work around code
	  change.

2009-10-26 13:13  msevior

	* [r28390] Hack to work around Bug 12434
	  Sometimes you can't position the caret in the middle of text.

2009-10-25 23:22  uwog

	* [r28375] Work around a bug in the abicollab.net SOAP api that confuses the
	  type of document id's

2009-10-24 15:01  uwog

	* [r28365] Fix 11003: Build fails on system with case-sensitive filesystem.

2009-10-24 14:42  uwog

	* [r28364] Fix 12432: xap_Dlg_Stub.h missing from 2.7.10 tarball

2009-10-20 15:07  strbafridrich

	* [r28345] removing a hack in extremis before we are ready to release 2.8.0
	  :)

2009-10-13 10:39  strbafridrich

	* [r28287] Dist one more file so that tarball be buildable on win32

2009-10-13 06:06  msevior

	* [r28286] Math horizontal lines in equations thinner

2009-10-12 19:34  sum1

	* [r28284] More defensive code for copying and pasting on OpenSolaris
	  systems (part of Bug 12400).

2009-10-11 21:52  sum1

	* [r28279] Try to prevent the crash from Bug 12400, copy/paste crash on
	  OpenSolaris systems.

2009-10-08 02:59  msevior

	* [r28261] Fix 12416 Wrong list numbering

2009-10-08 01:57  msevior

	* [r28260] Fix 12415 Missing header in printout

2009-10-08 01:14  msevior

	* [r28259] Various fixes for another uwog secret document.

2009-09-29 22:18  sum1

	* [r28236] Avoid a std::string/NULL abort with ucf-listHeader.odt.

2009-09-29 22:10  sum1

	* [r28235] Add a missing UT_LocaleTransactor.

2009-09-29 20:31  uwog

	* [r28234] Fix 11401: Incorrect paragraph indent inside list-item in
	  exported OpenDocument
	  Fix 11877: incorrect list items spacing
	  Fix 11886: Missing bullets in export

2009-09-29 20:00  sum1

	* [r28233] Speed up the exporting of images to RTF by avoiding thousands of
	  calls to UT_iconv_open (part of Bug 12343).

2009-09-29 15:26  sum1

	* [r28232] Add two preconditions to getLevelStyle() to prevent test suite
	  crashes. The underlying problem still needs to be investigated.

2009-09-29 13:58  sum1

	* [r28231] Fix some warnings.

2009-09-29 13:18  uwog

	* [r28230] Add missing property to the Style empty() function

2009-09-26 14:45  uwog

	* [r28229] Fix part of 11401: Incorrect paragraph indent inside list-item in
	  exported OpenDocument
	  Flush out pending characters when inserting a tab character

2009-09-26 14:27  uwog

	* [r28227] Fix part of 11401: Incorrect paragraph indent inside list-item in
	  exported OpenDocument
	  Don't export a tab character right after a list item

2009-09-25 06:19  msevior

	* [r28226] Stop ruler flicker when doing single character deletes.

2009-09-24 14:21  msevior

	* [r28225] fix 12380 text following an equation is misplaced when printed
	  Fixed using double precision everywhere and a another magic
	  number in the
	  cairo class very near 1.0

2009-09-24 06:24  msevior

	* [r28224] Inline images are now exported to odt with bottom of image
	  aligned with the
	  baseline of the line. Inline images used to be exported so that
	  the top of
	  the image was aligned with the baseline.

2009-09-24 04:28  msevior

	* [r28223] Save new image dimensions when inline images are resized to fit
	  in
	  textboxes or on pages.

2009-09-24 00:33  msevior

	* [r28221] Lots of work towards fixing 12352
	  Caret pixel dirt while collaborating. Almost but not quite fixed.

2009-09-23 05:23  msevior

	* [r28215] Small code clean up.

2009-09-23 05:22  msevior

	* [r28214] Fix 12375 Tables inside of headers are missing during Word import
	  Also fix hang when openning another view of a document requiring
	  a
	  very large header/Footer resize

2009-09-22 14:43  uwog

	* [r28213] Fix 11860: Image in text box not properly exported,
	  and accidentally fix 9857: images are not exported as "real"
	  images objects

2009-09-22 09:33  uwog

	* [r28208] svn:ignore

2009-09-21 17:04  uwog

	* [r28203] Fix 10808: Import image titles from ODT files

2009-09-21 15:45  uwog

	* [r28201] Fix 10399: ODT import ignores headers/footers

2009-09-20 18:52  uwog

	* [r28187] Fix 11851: Header placed at the very top of the page

2009-09-20 14:45  msevior

	* [r28186] Complete the fix for 11857
	  Relative table/column widths not imported/exported.
	  Relatice table column widths exported to odt.

2009-09-20 13:39  msevior

	* [r28185] Preserve relative table widths when doing top ruler manipulations

2009-09-20 03:02  msevior

	* [r28184] Fix import part of bug 11857
	  Relative table/column widths not imported/exported

2009-09-19 00:35  msevior

	* [r28183] Put insert table and format table back into the table menu

2009-09-15 11:26  msevior

	* [r28180] Fix hang at constant zoom when making window width very small.
	  Also fix
	  other hangs caused by not enough pages in doc to fill the window
	  width.
	  Thanks alexl for the bug report!

2009-09-13 13:25  msevior

	* [r28179] Enable export of images as cell backgrounds. This completes the
	  fix of bug 11944.

2009-09-13 11:35  msevior

	* [r28178] Import background images for table cells. This is part of 11944

2009-09-10 16:03  uwog

	* [r28172] Fix 11114: TCP backend dialog controls are not part of the tab
	  stop order

2009-09-10 14:41  jbrefort

	* [r28171] make compile with goffice-0.8

2009-09-10 10:46  uwog

	* [r28170] Fix some more potential IPv4 name resolve problems when IPv6 is
	  enabled

2009-09-09 15:21  uwog

	* [r28163] Drop the unimplemented "SSL" option from the TCP account dialog
	  on Unix as well.

2009-09-09 15:20  uwog

	* [r28162] Drop the unimplemented "SSL" option from the TCP account dialog.
	  Also make a string consistent with the unix dialog

2009-09-09 14:53  uwog

	* [r28161] Make sure to try to resolve IPv4 addresses as well on the TCP
	  backend, if the system is setup to resolve IPv6 addresses first.

2009-09-09 13:11  uwog

	* [r28160] Make robsta happy about how we fetch the version number

2009-09-09 11:29  uwog

	* [r28159] Perform sanity checking on packet lengths on the TCP backend

2009-09-09 10:53  uwog

	* [r28158] Rewrite some AbiCollab code that assumes that a document is only
	  loaded into 1 frame when starting a collaboration session

2009-09-09 10:09  uwog

	* [r28157] Fix 12340: Mouse registering/unregistering broken

2009-09-09 09:46  uwog

	* [r28156] Fix a bug similar to 12354 in the Share dialog

2009-09-09 09:46  uwog

	* [r28155] Fix 12354: Crash when opening shared document

2009-09-09 06:20  msevior

	* [r28154] Fix 12331 Dragging vertical lines too close -> assert

2009-09-08 21:49  uwog

	* [r28152] Fix the win32 part of 11171: Win32 and OSX do not signal the
	  EV_MouseListener

2009-09-08 13:57  uwog

	* [r28151] Fix part of 11170: Deprecate GR_CaretDisabler, by removing it
	  from GR_Painter

2009-09-08 13:18  uwog

	* [r28150] Just some indentation fixes

2009-09-08 12:03  uwog

	* [r28149] Don't pass this function argument by reference

2009-09-08 10:59  uwog

	* [r28148] Fix comment

2009-09-08 10:26  uwog

	* [r28147] WINBOOL is not a known type

2009-09-08 10:16  strbafridrich

	* [r28146] maybe a proper fix

2009-09-08 10:00  uwog

	* [r28145] Unbreak trunk. No cookie for Fridrich

2009-09-08 07:10  strbafridrich

	* [r28144] Make the garble goodness build on win32 with mingw

2009-09-08 07:10  strbafridrich

	* [r28143] if we are started from a windows console, we presumably want a
	  console output (Windows XP or higher only)

2009-09-07 05:28  msevior

	* [r28141] Fix crash with positioned image in near section breaks and
	  tables.

2009-09-07 02:26  msevior

	* [r28140] Fix 12346 Header margin gone

2009-09-06 14:25  msevior

	* [r28139] Fix 12344 Insert both Header and Footer --> crash

2009-09-06 14:15  uwog

	* [r28138] Simplify a bunch of code in the Sugar backend now we have session
	  takeover

2009-09-06 10:34  uwog

	* [r28137] Don't respond disconnect events on the service backend that came
	  from other backends

2009-09-06 10:27  uwog

	* [r28136] Fix for sugar activity rejoining

2009-09-05 18:25  uwog

	* [r28135] Make drawing images work with GTK+'s client side windows

2009-09-05 17:09  uwog

	* [r28134] Make the version number show up in the About dialog

2009-09-05 15:49  foddex

	* [r28132] Renamed obvious typo in garble plugin file

2009-09-05 15:34  foddex

	* [r28130] Updated garble plugin to support jpegs as well

2009-09-05 15:11  uwog

	* [r28129] Slightly cleaner patch for 12255: AbiWord icon no longer loads

2009-09-05 14:05  uwog

	* [r28128] Fix 12255: AbiWord icon no longer loads

2009-09-05 12:56  uwog

	* [r28127] Remove outdated anjuta project file

2009-09-05 12:39  uwog

	* [r28126] Please don't use Windows line endings

2009-09-05 12:31  foddex

	* [r28125] Fixed garble plugin buildsystem

2009-09-05 11:37  foddex

	* [r28124] Fixed warning in AbiGarble

2009-09-05 11:27  foddex

	* [r28123] Added AbiGarble plugin, initial version

2009-09-05 10:22  uwog

	* [r28122] Fix build

2009-09-05 00:20  msevior

	* [r28121] Fix 12333 Can't load *.abw specific file
	  
	  This flushed out a fundamental bug todo with section breaks.
	  Thanks for the report!

2009-09-04 12:40  uwog

	* [r28120] Hack to fix part of gnome bug 593507 (AbiWord's main drawing area
	  not exposed properly) when using 2.17.0 >= gtk <= 2.17.10.
	  Scrolling still does not work with any gtk 2.17 version.

2009-09-04 10:44  uwog

	* [r28119] Fix warnings!

2009-09-03 15:24  uwog

	* [r28114] Comment some broken mouse unregistering

2009-09-03 15:19  uwog

	* [r28113] Fix 12337: Error joining collaboration session

2009-09-03 13:47  uwog

	* [r28112] Make the Find dialog layout slightly less ugly

2009-09-03 03:31  msevior

	* [r28111] Fix crash deleting a table with the caret inside it.

2009-09-03 03:15  msevior

	* [r28110] Fix nested tables spanning one page break. This makes another of
	  uwog's
	  secret documents render correctly.

2009-09-02 22:00  uwog

	* [r28109] Fix 11343 again: export to pdf uses wrong document size

2009-09-02 20:26  uwog

	* [r28106] A bunch of code towards making re-joining a collaborative session
	  on the sugar backend work

2009-09-02 18:29  uwog

	* [r28105] Session takeover works now on the sugar backend

2009-09-02 14:23  uwog

	* [r28104] Disconnect Tube really doesn't require any data

2009-09-02 13:56  uwog

	* [r28103] Remove unused variable

2009-09-02 13:25  uwog

	* [r28102] Register an additional edit method to properly close a
	  collaboration session

2009-09-02 10:45  uwog

	* [r28101] Partially fix gnome bug 593507: AbiWord's main view scrambled
	  when using GTK+ with client side windows. Scrolling is still
	  busted. Patch from Alexander Larsson, Red Hat.

2009-09-01 18:07  uwog

	* [r28099] Add some more debugging information

2009-09-01 17:13  uwog

	* [r28098] Enable session takeover; 100% untested ofcourse

2009-09-01 17:12  uwog

	* [r28097] Implement SugarAccountHandler::constructBuddy(), a requirement
	  for enabling session takeover

2009-09-01 15:31  uwog

	* [r28096] Fix return value of hasAccess() in the sugar backend

2009-09-01 15:30  uwog

	* [r28095] Simple implementation of recognizeBuddyIdentifier() in the sugar
	  backend; it's one of the things we need to allow session
	  takeover.

2009-09-01 15:22  uwog

	* [r28094] Comment tweak

2009-09-01 14:49  uwog

	* [r28093] Remove obsolete define

2009-09-01 10:16  uwog

	* [r28091] Make the TCP client backend description more clear

2009-09-01 09:37  uwog

	* [r28089] Hopefully fix 12332: critical assertion when closing file chooser
	  (Thorsten Vollmer)

2009-09-01 02:06  msevior

	* [r28087] Improvements to moving up/down lines in tables than span pages in
	  multi-page views

2009-08-31 20:27  jbrefort

	* [r28086] make things compile with newer goffice

2009-08-31 18:51  uwog

	* [r28085] Fix 12329: Line spacing doesn't work properly (Thorsten Vollmer)

2009-08-31 18:24  uwog

	* [r28084] Apply patch from 12332: critical assertion when closing file
	  chooser (Thorsten Vollmer)

2009-08-31 17:17  uwog

	* [r28083] Sugar backend: don't add a buddy to a collaboration session when
	  he hasn't even joined yet

2009-08-31 11:32  uwog

	* [r28077] Fix build (tomeu)

2009-08-31 01:14  frt

	* [r28076] OpenXML importer validity checks for Section 5.2 DrawingML
	  Picture added

2009-08-29 13:10  uwog

	* [r28060] Update the static version of the sidebar (used by the msvc build)
	  as well

2009-08-29 11:56  uwog

	* [r28059] Fix 12199: Update sidebar artwork for 2.8

2009-08-29 10:58  uwog

	* [r28055] Bump version to 2.8.0!

2009-08-29 08:55  uwog

	* [r28050] Bump version

2009-08-29 07:10  foddex

	* [r28047] Fixed crash in AbiCollab in Win32 build

2009-08-28 17:05  uwog

	* [r28045] Fix hang on exit on Win32 when having 1 TCP server account: there
	  seems to be a deadlock in asio when joining asio::threads if that
	  happens from within the destructor of a static object. See also
	  http://lists.boost.org/boost-users/2009/05/48513.php

2009-08-28 07:29  msevior

	* [r28044] Fix 12324 Scrolling from page to page does not work using
	  multipage
	  
	  Still a problem with scrolling vertically through table
	  spanning multipage view.
	  

2009-08-28 05:50  msevior

	* [r28042] Remove accidently commit of table benchmarking code

2009-08-28 05:25  msevior

	* [r28041] Fix 12322 Jump to annotation is broken
	  Also fix Annotion text not display on screen when switching on
	  show annotions
	  Also fix Annotation preview sometimes obscures annotated text.

2009-08-27 22:11  uwog

	* [r28040] Fix a part of the Win32 part of Bug 12264: Crash when
	  disconnecting TCP client account

2009-08-27 18:25  uwog

	* [r28026] Fix 12264: Crash when disconnecting TCP client account (hopefully
	  :)

2009-08-27 15:08  uwog

	* [r28005] Don't silently ignore the request to open an already opened
	  shared document. Instead, raise the frame which has the document
	  already in it.

2009-08-27 13:27  uwog

	* [r27989] Fix 12323: Save As dialog gives an error

2009-08-27 10:58  uwog

	* [r27988] Fix assert when setting the annotation content to ""

2009-08-27 10:32  uwog

	* [r27987] Do not use hardcoded english strings for annotation
	  content/title/author all over the place. Just use an empty
	  string.

2009-08-27 10:24  uwog

	* [r27986] Don't invent new strings so late in the game

2009-08-26 18:54  uwog

	* [r27931] Fix build

2009-08-26 16:07  uwog

	* [r27921] Fix 12150: Implement the annotations preview dialog on Windows.
	  Example: http://uwog.net/~uwog/Win32Annotations.jpg

2009-08-26 13:52  uwog

	* [r27915] Win32 stubs for annotation popups

2009-08-26 13:33  uwog

	* [r27914] Remove another silly #if 0

2009-08-26 13:21  uwog

	* [r27913] Fix assert to not crash if it is ever triggered

2009-08-26 12:41  uwog

	* [r27912] Dead code removal

2009-08-26 12:37  uwog

	* [r27911] Fix indentation, remove useless comments, and refactor the code
	  slightly

2009-08-26 12:34  uwog

	* [r27910] Remove unused code.

2009-08-26 11:09  msevior

	* [r27909] Bug 12321 Annotation hover box too large

2009-08-26 05:24  frt

	* [r27908] OpenXML importer validity checks for Settings

2009-08-25 18:38  uwog

	* [r27899] Fix memory leak in the Share Document dialog on Windows

2009-08-25 18:37  uwog

	* [r27898] Fix 12308: Fix memory leak in Open Shared Documents dialog on
	  Windows.

2009-08-25 15:22  uwog

	* [r27892] Fix 12294: Don't overwrite read only access control

2009-08-25 12:50  uwog

	* [r27888] Fix 12317: Can't edit collaboratively added equation. Warning:
	  this bumps the abicollab protocol version, making it incompatible
	  with previous 2.7.x releases.

2009-08-25 12:40  uwog

	* [r27887] Handle a protocol version mismatch properly in the abicollab.net
	  backend

2009-08-24 14:48  uwog

	* [r27854] Re-enable the code that reports on AbiCollab protocol version
	  conflicts.

2009-08-24 12:57  uwog

	* [r27853] Fix warning

2009-08-24 11:07  uwog

	* [r27852] Don't expand all items in the Open Shared Documents dialog when
	  reopening it

2009-08-23 20:15  uwog

	* [r27848] Fix 12316: Hang on exit after session takeover

2009-08-23 19:31  uwog

	* [r27847] Updated Slovak translation (Jaroslav Rynik)

2009-08-23 17:27  hub

	* [r27846] Allow building on Mac with the abisdk. One last step to
	  the fully contained builds.

2009-08-23 17:13  uwog

	* [r27845] Fix the win32 part of 12300: Failed saves because of wrong
	  password should re-prompt for one

2009-08-23 17:07  uwog

	* [r27844] Fix the unix part of 12300: Failed saves because of wrong
	  password should re-prompt for one

2009-08-23 17:06  uwog

	* [r27843] Allow having no parent frame when showing a dialog (for example
	  to show a dialog before the main frame is mapped, or after it has
	  been unmapped)

2009-08-23 15:46  uwog

	* [r27842] Make deleting the first Account in the account dialog work

2009-08-22 20:30  uwog

	* [r27829] Make debug message more accurate

2009-08-21 18:32  uwog

	* [r27808] Fix 11627: Documents go out of sync when messagebox pops up

2009-08-21 11:29  uwog

	* [r27803] Prevent connecting to the same collaboration session more than
	  once, since that will do really bad things ;)

2009-08-21 10:41  frt

	* [r27801] OpenXML importer validity checks for Fields and Hyperlinks

2009-08-20 14:59  uwog

	* [r27782] Don't enable the Share menu item where only the sugar backend is
	  online (which is a type of account that does not allow manually
	  starting a collaboration session)

2009-08-20 14:31  frt

	* [r27781] OpenXML importer validity checks for Section 2.14 Mail Merge
	  added

2009-08-20 14:16  uwog

	* [r27780] Fix a crash when connecting to non-resolving host on the TCP
	  backend

2009-08-20 14:13  uwog

	* [r27779] Some more cases of "enter triggers default action"

2009-08-20 13:52  uwog

	* [r27778] Make "enter" activate the OK button in the Input dialog

2009-08-20 13:50  uwog

	* [r27777] Don't autoexpand all items in the Open Shared Documents dialog,
	  like on win32

2009-08-20 10:25  uwog

	* [r27776] Pragmatically unbreak build :)

2009-08-20 10:14  uwog

	* [r27775] Make the Open Shared Document dialog not flicker like crazy when
	  populating it. Fixes 12230: "
	  List of documents on abicollab.net service does not scroll" in
	  the process. Breaks the unix build too :)

2009-08-20 08:10  jbrefort

	* [r27773] compile with latest goffice and request for 0.7.10

2009-08-20 02:55  msevior

	* [r27772] Fix 12303
	  Re-used image with same specified size is rendered in different
	  size.

2009-08-20 02:35  msevior

	* [r27771] Make drawing table lines sane.

2009-08-19 20:21  sum1

	* [r27768] Fix a few createDataItem leaks.

2009-08-19 20:16  jbrefort

	* [r27767] comment out sode in GOChartView::exportToSVG()

2009-08-19 14:22  strbafridrich

	* [r27757] xmpp plugin needs gtk+-2.0

2009-08-19 14:20  strbafridrich

	* [r27756] Build all files that one needs to avoid symbols undefined :)

2009-08-19 14:20  strbafridrich

	* [r27755] Fix a windres syntax error

2009-08-19 14:19  strbafridrich

	* [r27754] Bump _WIN32_IE version to enable to build against mingw-w64
	  runtime/headers

2009-08-19 11:40  msevior

	* [r27752] Fix page setup dialog for gtk.

2009-08-18 23:26  frt

	* [r27743] OpenXML importer more valid tag checks added

2009-08-18 14:29  msevior

	* [r27730] Final fixes for the table controls and for xorLine.

2009-08-18 12:32  msevior

	* [r27729] Fix bad regression in mapXYtoPoisition.

2009-08-18 12:10  msevior

	* [r27728] Turn off anti-aliasing for polylines in cairo. Now the ruler
	  widgets look great.

2009-08-18 10:52  msevior

	* [r27727] Turn off anti-aliassing for line drawing.
	  More tweaks for table line drawing.

2009-08-18 09:33  jbrefort

	* [r27726] cleaned goffice headers inclusion and add charts svg snapshot
	  generation (not enabled it is supported in abiword).

2009-08-18 08:08  msevior

	* [r27725] Fix landscape printing for cairo.
	  Don't ask me why it does this. I just work here.
	  Fix bug 12297 Printing while in landscape mode is broken again

2009-08-17 15:50  frt

	* [r27714] OpenXML importer validity checks for multiple sections (Sections
	  2.6 - 2.11)

2009-08-17 14:26  uwog

	* [r27712] Set EXPAND flag on a (more) correct treeview item member

2009-08-17 14:15  uwog

	* [r27711] Sort all items in the Open Shared Document dialog

2009-08-17 13:59  msevior

	* [r27710] Fix table line drawing for cairo. Thanks Jean!

2009-08-17 13:30  uwog

	* [r27709] Clean up the Win32 Open Shared Document dialog as well

2009-08-17 13:19  msevior

	* [r27708] Make win32 Table lines not suck. Make cairo table lines suck.

2009-08-17 12:05  uwog

	* [r27707] Clean up the Open Shared Document dialog (previously the Join
	  dialog)

2009-08-17 00:30  msevior

	* [r27706] Speed up editting pages with lots of frames.

2009-08-16 18:08  uwog

	* [r27701] Reorder the OK and Cancel button to be more consistent.

2009-08-16 18:00  uwog

	* [r27700] Make text fit better in the Input dialog

2009-08-16 17:31  uwog

	* [r27699] Honour the minimum required text length in the Input dialog, and
	  support setting the initial input.

2009-08-16 13:43  uwog

	* [r27698] Set the filename on the document after uploading it to
	  abicollab.net

2009-08-16 13:32  uwog

	* [r27697] Ability to set the minimum required text length on the input of
	  the Input dialog, and to specify the initial text string. Win32
	  still ignores these 2 settings.

2009-08-16 12:03  msevior

	* [r27696] Fix Bug 12301 Non-WYSIWYG printing

2009-08-16 10:47  msevior

	* [r27695] Fix bug 12289 crash after print preview.

2009-08-16 10:06  uwog

	* [r27694] Fix 12299: Mark document dirty after failed save

2009-08-16 09:48  uwog

	* [r27693] Fix 12293: Mark document clean after upload

2009-08-16 05:36  hub

	* [r27690] Fix a regression with printing I introducedi in Gtk+: The units
	  were
	  inconsistent. This was found with bug 12297 (not fixed yet)

2009-08-15 13:11  uwog

	* [r27683] Fix 12295: "Don't try to save non-dirty document"

2009-08-15 13:10  uwog

	* [r27682] Fix build

2009-08-15 13:01  uwog

	* [r27681] Fix bug 12290: "Remove uses of soa::GenericPtr invoke() in
	  threaded contexts"

2009-08-15 10:27  uwog

	* [r27680] Drop some code that would stop a collaboration session when the
	  ALC became empty. It looked like a good idea sometime in the past
	  I'm sure :)

2009-08-14 22:36  uwog

	* [r27670] Fix part of 12290: Remove uses of soa::GenericPtr invoke() in
	  threaded contexts

2009-08-14 22:24  uwog

	* [r27669] Define a new type

2009-08-14 21:17  uwog

	* [r27666] Bump version

2009-08-14 20:29  uwog

	* [r27664] Fix 12168: "Crash after save to abicollab.net service". Do not
	  use libxml2 in a thread, ever. They can claim they want about
	  their thread safety, but it is broken beyond belief. Don't
	  believe their claims.

2009-08-14 20:23  uwog

	* [r27663] Remove some bad printf's

2009-08-14 20:22  uwog

	* [r27662] Add some convenience functions that return the raw SOAP XML data,
	  instead of a fully parsed object tree

2009-08-14 13:08  msevior

	* [r27660] Fix Bug 12286 Nepali composite characters get divided on wrap.
	  Fix Bug 12285 Mouse selections can divide composite Nepali
	  characters

2009-08-14 02:41  msevior

	* [r27656] Clean up debug spew.

2009-08-14 02:00  msevior

	* [r27655] Final fixes for typing with mixed complex scripts and roman
	  chars.
	  I think it all works now.

2009-08-13 19:48  uwog

	* [r27646] Sort the buddies alphabetically in the Share dialog

2009-08-13 19:30  uwog

	* [r27645] Sort the buddies alphabetically in the Share dialog

2009-08-13 19:19  uwog

	* [r27644] Share dialog layout tweak to reduce the need for scrolling

2009-08-13 19:11  uwog

	* [r27643] Revamp the Accounts dialog. It works like the GTK+ dialog now.
	  Fixes bug 12166: "
	  Make the online indicator in the manage accounts dialog more
	  visible" in the process.

2009-08-13 18:48  frt

	* [r27641] OpenXML importer validity checks for Sections

2009-08-13 16:10  uwog

	* [r27633] Just some code cleanup

2009-08-13 15:12  msevior

	* [r27632] More fixes for mixing complex script and roman text.

2009-08-13 13:36  msevior

	* [r27631] This fixes Bug 12283 Leading space causes Nepali text
	  misrendering
	  Still a bug with leading roman text mixed with Nepalese but that
	  is a seperate fix.

2009-08-13 12:56  uwog

	* [r27630] When a document is shared on an account, then you should no
	  longer be able to select any other acount in the Share dialog;
	  this is the win32 part

2009-08-13 12:04  uwog

	* [r27629] When a document is shared on an account, then you should no
	  longer be able to select any other account in the Share dialog.
	  Windows needs a similar fix.

2009-08-13 10:56  uwog

	* [r27628] Do not try to list documents for offline accounts in the Shared
	  Documents dialog

2009-08-13 10:51  uwog

	* [r27627] Fix Bug 12167: 'Online' check box in manage accounts dialog is
	  not immediately updated

2009-08-13 10:50  uwog

	* [r27626] Online list accounts that are online in the Share dialog

2009-08-13 10:38  uwog

	* [r27625] Fix the Linux part of Bug 12166: Make the online indicator in the
	  manage accounts dialog more visible

2009-08-13 10:27  uwog

	* [r27624] Implement an access control scheme on the sugar backend that will
	  work with the OLPC presence service

2009-08-13 01:14  hub

	* [r27622] Fix a couple of warnings, including the usual GValue mess.

2009-08-12 23:08  uwog

	* [r27619] Enable the Sugar backend by default (or better: set to
	  autodetect)

2009-08-12 23:06  hub

	* [r27618] Fix image support on Mac since the switch to cairo.

2009-08-12 18:56  uwog

	* [r27614] Line up some controls in the Accounts dialog

2009-08-12 18:48  uwog

	* [r27613] Make the Accounts dialog a bit bigger, to reduce the need for
	  scrolling all the time

2009-08-12 18:40  uwog

	* [r27612] Don't show password characters when entering a non-password
	  string

2009-08-12 16:02  frt

	* [r27611] OpenXML importer validity check added for Custom Markup, section
	  2.5

2009-08-12 15:48  uwog

	* [r27610] Remove unused symbol

2009-08-12 15:40  uwog

	* [r27607] svn merge -r27585:27606
	  svn+ssh://uwog@svn.abisource.com/svnroot/abiword/branches/abiword-acl
	  .
	  
	  Fixes bugs "12205: Add ACL support" and "12164: Shared document
	  can be read/written by anyone with a jabber account"

2009-08-12 06:23  msevior

	* [r27604] A correct implementation of to find the end of a HdrFtr section.
	  This completes the fix of 11882. Document loads with the textbox
	  and Footer.
	  Bug 11882 Footers and textboxes not imported

2009-08-12 02:04  msevior

	* [r27600] Make set width for textboxes overide fractional width.

2009-08-12 01:50  msevior

	* [r27599] Record the new frame-horiz-align property in the property map.
	  

2009-08-12 01:38  msevior

	* [r27598] More fixes for 11882. Position the textbox on the right side of
	  the page.

2009-08-11 20:44  hub

	* [r27597] Refactor the Cairo image implementation a little bit.

2009-08-11 20:05  hub

	* [r27596] use std::string in there

2009-08-11 12:35  msevior

	* [r27589] More expandable textbox fixes. They work very well now and I'm
	  happy with
	  the feature.

2009-08-11 12:00  msevior

	* [r27588] Fixes for paragraph position textboxes. Fixes for formatting
	  textboxes.

2009-08-11 08:14  msevior

	* [r27584] Fixes for positioning expandable textboxes.

2009-08-11 06:32  msevior

	* [r27583] Enable exmpandable Textboxes. Enable textbox widths as a fraction
	  of the
	  column width. This goes a fair way towards fixing.
	  "Bug 11882 Footers and textboxes not imported"

2009-08-11 00:16  frt

	* [r27582] OpenXML importer table related tags validity check added

2009-08-10 23:44  hub

	* [r27581] allow assigning a std::string to an UT_String.

2009-08-10 08:11  msevior

	* [r27566] Fix screen artefacts when drawing table lines.

2009-08-10 03:26  msevior

	* [r27565] Prevent pre-existing table in adocument from dissappearing on
	  first insert
	  strux.

2009-08-09 15:27  hub

	* [r27558] make these files text because they are xml

2009-08-08 16:06  hub

	* [r27553] Make the NullGraphics XP/Cairo so that it can be used
	  on other Cairo platforms.

2009-08-06 22:09  hub

	* [r27543] Implement Annotation preview on Mac. Could be bug 12150 if it was
	  Windows
	  Also it does not get triggered because of another bug.

2009-08-06 19:18  foddex

	* [r27541] Fixed win32 build

2009-08-06 19:00  hub

	* [r27540] Possibly unbreak the Win32 build

2009-08-06 18:55  hub

	* [r27539] Annotation Dialog for MacOS.

2009-08-06 17:31  hub

	* [r27538] svn:ignore some generated files

2009-08-06 17:23  hub

	* [r27537] get rid of pesky UT_String to make our life easier in gdb

2009-08-06 01:35  hub

	* [r27533] use std::string instead of UTF8String in the Annotations
	  Add const when actually needed
	  Refactor code as the comment said it needed to be done
	  (this does not fix any bug I can see beside the use of
	  UT_UTF8String)

2009-08-06 00:02  hub

	* [r27532] substituing "Symbol" seems to be unnecessary on Gtk, and is
	  actually source of breakage on Mac/Cairo as it does not find
	  the font.

2009-08-05 21:48  sum1

	* [r27531] Fix the Windows build.

2009-08-05 15:49  hub

	* [r27528] Update to new style:
	  -NSBox don't have borders
	  -Use "small" style in dialogs
	  -TabView are flushed on the side

2009-08-05 15:42  hub

	* [r27527] use more NSBox
	  Update layout to new standards

2009-08-05 15:32  hub

	* [r27526] use more NSBox
	  update the layout to new standards

2009-08-05 14:57  hub

	* [r27525] update the font dialog to new UI standards

2009-08-05 14:00  hub

	* [r27524] Cosmetic adjustements to the dialog
	  Update it to what is in Gtk
	  Now scroll to the selected row when opening.

2009-08-05 12:47  hub

	* [r27523] bind ESC to the cancel button

2009-08-05 12:39  hub

	* [r27522] adjust the dialog layout

2009-08-05 12:38  hub

	* [r27521] adjust the dialog layout

2009-08-05 04:44  frt

	* [r27517] OpenXML importer added more invalid input checks

2009-08-05 04:20  frt

	* [r27516] OpenXML importer added some checks to handle invalid input

2009-08-05 03:57  frt

	* [r27515] OpenXML importer added run content keywords to the validity
	  checker

2009-08-05 01:52  msevior

	* [r27514] Add end presentation option to presentation context menu. Fixes
	  bug
	  12232 Can't get out of presentation mode.
	  Also code to allow table layout benchmarking. Disabled by
	  default.

2009-08-04 21:07  hub

	* [r27511] Fix breakage of PageSetup

2009-08-04 19:57  hub

	* [r27510] Fix a bug where the page setup would be messed up on Mac because
	  of uninitialized margins and units.
	  Hopefuly it should be find for other platforms

2009-08-04 06:00  frt

	* [r27500] OpenXML importer Validity check module is relaxed to allow
	  corrupted files and added more keyword validity checks

2009-08-03 21:27  hub

	* [r27497] Fix printing on Mac with Cairo (was broken since Cairo)

2009-08-03 15:41  hub

	* [r27492] Fix Goto dialog on Mac. (Closes bug 9735)
	  Also refactor slightly to XP.
	  Fix sign for the bookmark enumeration

2009-08-02 06:54  frt

	* [r27479] OpenXML importer added checks for some valid keywords (main
	  document story, paragraphs)

2009-08-02 03:49  hub

	* [r27478] some cosmetic adjustments.
	  remove the binarie mime-type svn prop

2009-08-02 00:04  hub

	* [r27477] remove the preview in the Zoom dialog.
	  Closes bug 9742

2009-08-01 22:56  hub

	* [r27475] this should fix the Win32 build as well due to the change of
	  constness

2009-08-01 22:54  hub

	* [r27474] fix build due to change in constness.

2009-08-01 22:50  hub

	* [r27473] more const-ness

2009-08-01 22:49  hub

	* [r27472] refactor the defines

2009-08-01 22:35  hub

	* [r27471] missing setIsPrinting

2009-08-01 21:15  uwog

	* [r27458] Include the romanian default profiles

2009-08-01 21:14  uwog

	* [r27457] Include the romanian normal templates

2009-08-01 21:13  uwog

	* [r27456] Update Romanian strings (Lucian Constantin)

2009-08-01 19:03  hub

	* [r27448] some proper const-ness

2009-08-01 12:58  uwog

	* [r27447] Updated Russian translation (SSK <eskaer_spamsink@ngs.ru>)

2009-08-01 12:57  uwog

	* [r27446] Updated Slovak translation (Jaroslav Rynik)

2009-08-01 12:56  uwog

	* [r27444] Bump version

2009-08-01 12:54  uwog

	* [r27443] Updated Updated Wolof (Sénégal) translation (Dominique Rochefort)

2009-08-01 02:15  hub

	* [r27440] Edit hyperlink ignore anchor. Closes bug 7526
	  
	  Also readjust the dialog.

2009-07-31 23:44  hub

	* [r27439] Don't crash when there is no window and a color is selected.
	  Closes bug 10015

2009-07-31 22:59  hub

	* [r27438] move the Obj-C class into the .cpp as it is not a public
	  interface

2009-07-31 22:46  hub

	* [r27436] Cosmetic adjustment to the list revisions dialog

2009-07-31 22:20  hub

	* [r27435] Put the Mac Image Properties dialog back to level.
	  Closes bug 8765

2009-07-31 13:01  uwog

	* [r27428] Port from the abicollab-acl branch, r27426: don't corrupt packets
	  on the Sugar and TCP backends

2009-07-31 00:43  frt

	* [r27420] OpenXML importer initial template code for checking if the input
	  file is a valid OpenXML document that conforms to OpenXML specs.

2009-07-31 00:02  hub

	* [r27419] Finish implementing the Mac History dialog.
	  Closes bug 8529

2009-07-31 00:02  hub

	* [r27418] fix a crasher because GValue is just a heap of fail.

2009-07-30 21:07  hub

	* [r27416] Implement C-K keybinding (delete to EOL) on Mac.
	  Closes bug 8098

2009-07-30 20:53  hub

	* [r27415] Bring the format table dialog up to speed. Closes bug 8669

2009-07-30 20:51  hub

	* [r27414] more tweaking to the insert table

2009-07-30 19:03  hub

	* [r27413] Make the Insert break dialog on Mac consistent with Gtk...

2009-07-30 16:48  hub

	* [r27412] make dialogs more consistent

2009-07-30 16:46  hub

	* [r27411] make Merge and Split cells disabled properly when there is no
	  window open
	  Closes bug 8781

2009-07-30 05:10  hub

	* [r27408] the NSStepper is small too

2009-07-30 05:07  hub

	* [r27407] reformat the dialog to be cleaner. remove the close box
	  Closes bug 10013

2009-07-30 05:06  hub

	* [r27406] some reformat / cleanup

2009-07-30 04:41  hub

	* [r27405] cosmetic adjustements to the HdrFtr dialog

2009-07-30 04:40  hub

	* [r27404] OK and cancel were inverted. Closes bug 8517

2009-07-30 03:47  hub

	* [r27403] Fix incorrect spinners, inverted fields and labels
	  and other details in the Mac List dialog
	  Closes bug 8642

2009-07-30 03:24  hub

	* [r27402] Fix the broekn Font dialog due to a forgotten symbol in
	  the CocoaGraphics.

2009-07-30 03:07  hub

	* [r27401] style name in list shouldn't be editable. Closes bug 10002

2009-07-30 02:30  hub

	* [r27400] Don't crash in stylist if no window is open (Mac)
	  Close bug 10010

2009-07-30 01:44  hub

	* [r27399] ensure that all control are disable in the Mac Format Frame.

2009-07-30 01:36  hub

	* [r27398] Make sure that all controls in Format Table on Mac are disabled
	  when asked.
	  Fixes bug 10011 (crasher)

2009-07-30 01:17  frt

	* [r27397] OpenXML exporter columns and page-margins fixed. Also minor style
	  changes

2009-07-30 01:16  hub

	* [r27396] Fix a crash with textbox drawing on Mac.

2009-07-30 00:16  frt

	* [r27395] OpenXML exporter bug 12180 fix

2009-07-29 22:50  hub

	* [r27394] cleanup the file dialog.

2009-07-29 04:40  frt

	* [r27386] OpenXML exporter bugfix for interleaving/overlapping bookmarks

2009-07-28 19:22  hub

	* [r27384] For bug 11953: never list non-scalable fonts. This prevent the
	  user
	  from choosing them. This does not prevent Pango from selecting
	  it.

2009-07-28 13:25  sum1

	* [r27383] Fix part of Bug 11859, span background colors are not always
	  exported.

2009-07-28 12:56  uwog

	* [r27380] ABI_EXPORT UT_sleep()

2009-07-28 12:34  uwog

	* [r27379] Oops, forgot to commit this msvc buildfix

2009-07-28 11:41  sum1

	* [r27376] More work on Bug 12261, prevent color strings like "##000000" by
	  using UT_colorToHex and retain transparent text box backgrounds.

2009-07-28 02:10  msevior

	* [r27372] Enable table line drags for embedded abiwidgets.

2009-07-28 00:29  sum1

	* [r27370] Another part of Bug 12261, top-level frames are ignored during
	  import. This commit also fixes some typos in comments and
	  prevents some asserts.

2009-07-27 23:04  sum1

	* [r27369] Fix part of Bug 12261, AbiWord writes an invalid xlink:href
	  attribute that causes OpenOffice.org to refuse import.

2009-07-27 14:57  sum1

	* [r27364] Fix Bug 12256, the 'help introduction' menu item has an incorrect
	  status bar description.

2009-07-27 05:26  msevior

	* [r27363] 12239 Text alignment not saved

2009-07-26 13:22  msevior

	* [r27360] Fix up the comment for the last commit.

2009-07-26 13:20  msevior

	* [r27359] Cleanup after last commit

2009-07-26 12:26  msevior

	* [r27358] fix 12183 Generated PDF contains lower quality images.
	  This was caused by the use of lower device resolution when
	  printing.

2009-07-26 07:45  frt

	* [r27357] OpenXML importer a couple fixes

2009-07-26 06:33  sum1

	* [r27356] Fix Bug 2468, the OK button in the bookmark dialog is not
	  disabled properly when the dialog is first opened.

2009-07-26 06:06  frt

	* [r27355] OpenXML importer supports background colors for text runs

2009-07-26 05:35  frt

	* [r27354] OpenXML importer pageBreakBefore support added

2009-07-26 05:03  frt

	* [r27353] OpenXML importer bugfix for empty text fields

2009-07-26 03:03  sum1

	* [r27352] Fix Bug 2466, prompt before taking over an existing bookmark's
	  name.

2009-07-26 00:23  frt

	* [r27351] OpenXML importer bugfix for bookmarks that go inside tables.
	  OpenXML supports bookmarks anywhere in the tables, but we don't,
	  so we will have all bookmarks inside the table in OpenXML added
	  right before the table in AbiWord. This will allow users to jump
	  to the beginning of the table instead of jumping to the correct
	  row or cell.

2009-07-25 08:07  frt

	* [r27347] OpenXML importer/exporter background colors are propagated for
	  non-white backgrounds in table cells

2009-07-25 07:08  row

	* [r27346] Avoid floating point division in tdu(). Saves some cycles.

2009-07-25 05:58  frt

	* [r27345] OpenXML exporter support for table inside another table added

2009-07-24 06:22  frt

	* [r27338] OpenXML importer bugfix related to merged cells in tables, also
	  added support for table styles

2009-07-24 00:42  sum1

	* [r27337] Remove a 'LEGIONS' conditional that's only used in one spot in
	  the entire code base.

2009-07-23 22:22  sum1

	* [r27336] Fix Bug 12248, potential std::string abort with createDataItem().

2009-07-23 20:06  sum1

	* [r27335] Avoid leaks with createDataItem().

2009-07-23 19:50  sum1

	* [r27334] Fix Bug 12246, update the copyright statements in the readme
	  files (by copying the one from the about dialog).

2009-07-23 19:03  sum1

	* [r27333] Fix Bug 12240, crash when importing odt document.

2009-07-23 05:28  frt

	* [r27332] OpenXML importer/exporter bug fix related to multiple merged
	  table cells

2009-07-22 05:20  row

	* [r27331] reserve space for UTF8String. Saves about 8M calls to realloc in
	  the testcase from bug 9411. idea from sum1.

2009-07-22 02:15  sum1

	* [r27330] Fix Bug 12188, Implement an 'enable overwrite mode' option in the
	  Windows UI.

2009-07-21 22:29  sum1

	* [r27328] Fix some (probably rare) instances where UT_return_if_fail could
	  lead to incomplete exports and/or mismatched tags.

2009-07-21 22:27  sum1

	* [r27327] Fix a warning in selectAnnotation().

2009-07-21 18:44  hub

	* [r27326] fix a warning and code style for member variables.

2009-07-21 18:34  hub

	* [r27325] fix a newly introduced warning

2009-07-21 13:29  msevior

	* [r27324] A nicer implementation of the commit I just made.

2009-07-21 13:14  msevior

	* [r27323] This commit fixes a bug that left an incorrectly positioned
	  FmtMark in the run list after deleting an annotation or
	  footnote/endnote.

2009-07-21 05:02  msevior

	* [r27321] Various fixes for annotations.

2009-07-21 03:54  frt

	* [r27320] OpenXML importer table borders bug fixed to support borderless
	  cells

2009-07-20 20:18  row

	* [r27318] Speed up GR_CairoGraphics::shape. Kudos to sum1 for the hint.

2009-07-20 19:22  hub

	* [r27316] in some versions, libxml needs a dirty cast

2009-07-20 16:25  hub

	* [r27314] Fix crash in format text box dialog. Closes bug 12218

2009-07-20 01:50  frt

	* [r27307] OpenXML exporter page margins support and removed unnecessary
	  string initializations

2009-07-19 22:50  frt

	* [r27306] OpenXML importer: page margins support added, a bug fixed to
	  allow horizontally merged table cells. OpenXML exporter: page
	  margins support added.

2009-07-19 16:23  uwog

	* [r27305] That's what you get for not testing...

2009-07-19 16:12  uwog

	* [r27304] Make sure the extra templates are disted (untested, but what
	  could possibly go wrong)

2009-07-18 15:55  rp

	* [r27298] Fix deallocation of dynamic arrays - bug #12215

2009-07-18 15:37  jbrefort

	* [r27297] Make the component mime type persistent

2009-07-18 14:48  msevior

	* [r27296] This fixes 12219 Image and text are missing during odt import.
	  The document is not perfectly imported but the text and image is
	  now present.
	  I found a fixed a few bugs to this to work.

2009-07-18 03:22  msevior

	* [r27295] Fix bug 10692 Hang when inserting table over footnote.

2009-07-17 20:28  uwog

	* [r27286] Updated Basque translation (Mikel Pascual)

2009-07-17 20:17  uwog

	* [r27285] Updated Slovak translation (Jaroslav Rynik)

2009-07-17 20:15  uwog

	* [r27284] Updated Slovenian translation (Martin Srebotnjak)

2009-07-17 16:52  hub

	* [r27282] fix a wrong ifdef. Close bug 12216

2009-07-17 16:15  uwog

	* [r27281] Fix 12110: Incorrectly displays "Add collaboration account"
	  window. (foddex)

2009-07-17 16:12  uwog

	* [r27280] Remove duplicate control from the Join Dialog window (foddex,
	  just like he did the previous fix)

2009-07-17 16:10  uwog

	* [r27279] Make the X close the Account dialog

2009-07-17 02:17  msevior

	* [r27275] Fix bug 12080 Apostrophe and double quote cannot be typed with
	  Smart Quotes on
	  Now if you press "undo" to get your Apostrophe or double quote it
	  stays.
	  Also these are preserved during pastes.

2009-07-16 13:43  msevior

	* [r27263] Make use of "frame-width" and "frame-height" when generating
	  images for positioned objects.

2009-07-16 12:41  uwog

	* [r27262] Fix 11800: Bullets and Numbering can not be reopened

2009-07-16 10:15  uwog

	* [r27261] Fix 12152: AbiWord should export SVG to HTML. Also adds support
	  for exporting the width and height of <object>'s and <img>'s in
	  the process. Finally it fixes a crasher when cutting objects to
	  the clipboard because of a non-existing filename.

2009-07-16 04:58  frt

	* [r27260] OpenXML exporter page size and orientation support added

2009-07-16 04:45  msevior

	* [r27259] Comments in the code to explain why ::adjustBrokenTOC does
	  nothing useful.
	  Closes bug 12211
	  Most code in adjustBrokenTOCs is never reached

2009-07-16 04:15  msevior

	* [r27258] Speed up SVG rendering and image segment calculations.

2009-07-16 03:49  msevior

	* [r27256] Enable SVG's as positioned objects and background images.
	  I'm sure that this can be done much more cleverly but this gets
	  us to 2.8
	  I hope you don;t mind the various member name changes Dom. This
	  makes the code
	  easier to read for me.

2009-07-15 19:29  row

	* [r27253] Optimize GR_CairoGraphics::_calculateLogicalOffsets.

2009-07-15 11:29  msevior

	* [r27252] Fix Bug 12192 Can't copy/paste svg image
	  To do this I invented a svgblip keyword that exports and imports
	  svg. As far as I can tell svg is not part of the RTF
	  specification yet. So we get to define
	  this.
	  
	  MSWord and OOO.org of course cannot import svg's from rtf anyway.

2009-07-15 07:03  frt

	* [r27251] OpenXML importer page size and orientation support added

2009-07-15 06:20  hub

	* [r27249] Don't install the .desktop on Maemo. Use the generic one.
	  Closes bug 12159

2009-07-15 05:06  msevior

	* [r27248] Fix Bug 8307 Ctrl-, as subscript shortcut
	  This implements:
	  Zoom In: CTRL + =
	  Zoom Out: CTRL + -
	  Superscipt: CTRL + SHIFT + 6
	  Subscript: CTRL + SHIFT + -

2009-07-15 04:59  hub

	* [r27247] fix breakage on older pangos and revert to use deprecated
	  functions.

2009-07-15 04:48  frt

	* [r27246] OpenXML exporter move from image/jpg to image/jpeg

2009-07-15 04:43  frt

	* [r27245] OpenXML exporter fix for Bug 12180: problem resolved for Office
	  2007, OOo still has a bug

2009-07-15 03:50  msevior

	* [r27244] Fix Bug 5822 Editing text under or next to an image darkens it

2009-07-15 02:53  msevior

	* [r27243] Don't line offscreen objects. This prevents text at the top of
	  the screen
	  being cleared after pressing "enter".

2009-07-15 01:04  msevior

	* [r27242] Lots of work towards fixing 5822

2009-07-14 19:51  hub

	* [r27233] preemptively fix some deallocator mistmatches.

2009-07-14 10:36  uwog

	* [r27230] Remove unused call to fetch the size of an image

2009-07-14 04:54  frt

	* [r27229] OpenXML importer support for vml imagedata tag added

2009-07-13 10:11  uwog

	* [r27220] Bump version

2009-07-12 04:29  msevior

	* [r27211] Fix Bug 12187 Images won't be unselected

2009-07-11 15:22  msevior

	* [r27204] Fix 12202 Lines are broken into multiple paragraphs when using
	  annotations

2009-07-10 22:57  hub

	* [r27202] Implement Cairo backend for MacOS X. Bug 12201
	  In the mean time, closes the following:
	  Bug 8048
	  Bug 8109
	  Bug 8352
	  Bug 8357
	  Bug 8384
	  Bug 9615
	  Bug 9734

2009-07-10 00:04  hub

	* [r27192] don't forget the base class initialiser in the copy constructor

2009-07-09 23:55  hub

	* [r27191] really fix the pattern support: use cairo_pattern_t.
	  implement operator= for UT_RGBColor.

2009-07-09 18:51  hub

	* [r27189] Revert revision 27020. Unfix bug 11953 because of bad side
	  effects
	  on other platforms. Bug 11953 exist because the use has no
	  scalable font
	  or a misconfigured X11.

2009-07-09 18:23  uwog

	* [r27188] Fix the Merge Table Cells dialog layout, so you can actually see
	  the icon contents

2009-07-09 17:48  uwog

	* [r27186] Give the Split Cells dialog a usable layout, so you can actually
	  see the icons.

2009-07-09 15:48  uwog

	* [r27185] Make all Split Table icons have the same 50x50 size; this is work
	  towards making the win32 not totally unusable

2009-07-09 15:03  uwog

	* [r27184] The annotation tooltip made no sense. Now it does.

2009-07-09 14:08  uwog

	* [r27183] Always install the normal templates; this fixes bugs where
	  headers/footers get default margins of 0.0in

2009-07-09 04:06  msevior

	* [r27180] Fix 12198 Invalid read in fp_Container

2009-07-09 03:37  msevior

	* [r27179] Initialize some member variables in the CairoGraphics class. This
	  improves
	  valgrinds happiness at start up.

2009-07-09 03:14  hub

	* [r27178] remove obsolete documents, including the 1.0 font braindamage,
	  the obsolete
	  lets-port-AbiWord-on-MacOS8.6, etc.

2009-07-09 02:39  hub

	* [r27176] The actual changes to UT_Color for the pattern support.

2009-07-09 02:25  hub

	* [r27175] implement a mechanism to allow colors to be pattern,
	  at least on the Cairo backend. This will be need for the Mac
	  port.

2009-07-08 17:33  uwog

	* [r27173] Implement support for creating a DIB from jpeg data. Tested on
	  greyscale, rgb and CMYK jpeg's. Fixes 12196: JPEG images don't
	  display

2009-07-08 08:17  uwog

	* [r27166] Fix breakage

2009-07-08 02:59  hub

	* [r27165] Fix CocoaImage due to the change of API

2009-07-08 02:36  hub

	* [r27164] Fix warnings. Fix the API change for Gtk.
	  Make sure GR_Image has unimplemented methods as pure virtual:
	  this would have caught the problem above.

2009-07-07 21:20  uwog

	* [r27162] Pass the mimetype to the createNewImage and convertFromBuffer
	  functions, so we actually know what kind of data is contained in
	  the buffer now that we support more mimetypes. We should probably
	  do the same for convertToBuffer. Part of 12196 JPEG images don't
	  display.

2009-07-07 16:50  uwog

	* [r27160] Fix 12189: jpeg images are converted to png, only to find that we
	  can't display jpeg images... pesky details.

2009-07-07 06:38  sum1

	* [r27159] Fix the Windows portion of Bug 12169, incorrect file extension
	  used when saving an image.

2009-07-06 03:24  hub

	* [r27156] some dialog utiliies to move away from UT_UTF8String on MacOSX.

2009-07-06 02:47  hub

	* [r27155] Defer setclip and setcolor a little bit so that they
	  don't require do be in the GR_Painter. This should help the Mac
	  version.
	  This shouldn't introduce regression.

2009-07-05 23:35  frt

	* [r27154] OpenXML importer bug fix: spaces,tabs,newlines,etc. between tags
	  are now handled

2009-07-05 20:43  frt

	* [r27153] OpenXML importer/exporter support added for mailmerge fields

2009-07-05 13:28  msevior

	* [r27152] Fix a pile of crashes and hangs when editting the document from
	  bug 9434

2009-07-05 06:54  msevior

	* [r27151] Fix crash on copy image. Make sure we set the MIMEType when
	  copying too.

2009-07-05 01:58  hub

	* [r27150] Make the Cairo stuff more XP.

2009-07-04 20:14  uwog

	* [r27145] Hungarian translation update (Tamás Márton Klein) (part 2)

2009-07-04 20:14  uwog

	* [r27144] Hungarian translation update (Tamás Márton Klein)

2009-07-04 19:53  uwog

	* [r27141] Bump version

2009-07-04 19:51  hub

	* [r27139] remove typo/mistake made by the monkey

2009-07-04 19:44  uwog

	* [r27138] Fix silly msvc parse warning

2009-07-04 19:42  uwog

	* [r27137] Fix a tls tunnel disconnect crash, and relicense the ssl code
	  under a BSD style license

2009-07-04 19:33  uwog

	* [r27136] Updated Danish translation (Morten Juhl-Johansen Zölde-Fejér)

2009-07-04 19:27  uwog

	* [r27135] Slovak update from Jaroslav Rynik

2009-07-04 18:15  hub

	* [r27134] convert stylenames to UTF-8. Patch by Robert Wilhelm
	  Bug 12083

2009-07-04 17:56  hub

	* [r27133] remove excessive verbosity.

2009-07-04 17:51  hub

	* [r27132] change the menu layout
	  http://abisource.com/mailinglists/abiword-dev/2009/Jul/0008.html

2009-07-04 17:45  hub

	* [r27131] fix a memory leak in the rewrap code

2009-07-04 17:45  hub

	* [r27130] fix a memory leak in the importer

2009-07-04 15:32  msevior

	* [r27129] Don't export the mathML display script if there are only SVG's in
	  the document.

2009-07-04 15:09  msevior

	* [r27128] Stop the SpecRTF_27.rtf file from launching into an infinite
	  loop.
	  The should also reduce start up time since we no longer to a
	  redundant breaksection after loading with Header/Footer.s

2009-07-04 13:27  uwog

	* [r27126] Indentation fixage; still waiting for the day that people will
	  actually care about the syntax mess they are making

2009-07-04 08:27  msevior

	* [r27124] Fix 10573 abiword terminate on cut

2009-07-04 06:27  msevior

	* [r27123] Fix Bug 10250
	  Crash and hang when inserting endnote above nested table

2009-07-04 06:22  hub

	* [r27122] don't use g_error() but g_warning()

2009-07-04 05:46  msevior

	* [r27121] Allow endnotes for documents with section breaks.

2009-07-04 05:08  sum1

	* [r27120] Fix the win32 build. We still need to implement the enable
	  overwrite option in the Windows UI.

2009-07-04 04:55  msevior

	* [r27119] Insert HdrFtr without crashing. Fix regression.

2009-07-03 19:23  hub

	* [r27118] fix bug 12169 on Mac
	  also cleanup the file dialog (ie less overdesign)

2009-07-03 18:47  hub

	* [r27117] fix option dialog following fix for bug 3641

2009-07-03 17:17  hub

	* [r27116] Now we have an option to enable toggling the insert/overwrite
	  mode with "Ins".
	  It is off by default.
	  We change the status bar to explicitely display the word Insert
	  and Overwrite
	  instead of obscure abbreviation inherited from MS-DOS
	  This should close bug 3641
	  
	  Win32 and Mac need light fixage for that.

2009-07-03 07:57  msevior

	* [r27114] Fix Bug 12165
	  "AbiWord can't open .abw file again - invalid document"
	  Implement more document repair code. Make AbiWord import more
	  lenient to
	  allow this. This repair code allows us to relax some of the
	  strictness of
	  the import code - but not all.

2009-07-03 00:44  hub

	* [r27112] fix a memory leak.

2009-07-03 00:37  hub

	* [r27111] fix the previous fix as it was only gtk 2.14 *sigh*

2009-07-03 00:28  hub

	* [r27110] Remove inline XPM for the window icon. Bug 11497
	  Also remove a duplicate code
	  Refactory the update of a GtkAdjustment for scrolling.

2009-07-02 21:52  hub

	* [r27109] Fix a memory leak dealing with image import/export.

2009-07-02 20:13  hub

	* [r27108] clean up the oox filter: constness and ref where appropriate

2009-07-02 18:53  hub

	* [r27107] fix JPEG detection. Bug 12179

2009-07-02 18:21  uwog

	* [r27106] Fix UT_go_file_create on win32

2009-07-02 15:20  uwog

	* [r27102] svn merge -r26108:27054
	  svn+ssh://uwog@abisource.com/svnroot/abiword/branches/gsoc2009oox
	  .
	  
	  The changes to ut_xml.{cpp,h} are not merged, and I adapted the
	  image code to what we have in trunk now. Please test.

2009-07-02 10:33  msevior

	* [r27101] Properly fix 12178

2009-07-02 07:53  hub

	* [r27100] CWFP (Continuous Warning Fix Program) :-)

2009-07-02 07:51  hub

	* [r27099] fix const-ness

2009-07-02 07:16  msevior

	* [r27098] Fix 12178 Invalid abw file created after dragging one hyperlink
	  into another

2009-07-02 05:46  msevior

	* [r27097] Fix 7814, RTF import errors. Plus a whole lot of other bugs and
	  robustness
	  improvements.

2009-07-02 02:48  hub

	* [r27096] prepare for EMF support one day.
	  Also hints the importer about the image type so that
	  the WMF importer picks up when needed instead of the
	  GdkPixbuf.

2009-07-01 16:25  msevior

	* [r27093] Fix a couple more crashes caused by createDataItem API change

2009-07-01 12:26  msevior

	* [r27091] Fix bug 10770 and long way towards fixing 7874. RTF import bugs
	  due to incorrect handling of rtf parameter values. Also tweaks
	  for positioned object wrapping.

2009-07-01 08:59  msevior

	* [r27090] More robust fix for last commit

2009-07-01 08:47  msevior

	* [r27089] Paste RTF past frames with images in them.

2009-07-01 07:56  msevior

	* [r27088] Don't import textboxes with no content. Fix a NULL string crash
	  in export to HTML.

2009-07-01 05:23  msevior

	* [r27087] Fix a few crashes, positioned object improvements.

2009-07-01 04:58  hub

	* [r27086] gsf_input_name() does not work on memory streams...
	  and that's not what we want either. So deal with it :-)

2009-07-01 04:07  hub

	* [r27085] UT_go_file_create now works if also passed a plain
	  absolute path. This should fix the various exporters
	  that were using it that way.

2009-07-01 04:02  hub

	* [r27084] ovveride the settings for WMF so that we get SVG
	  instead of PNG (GdkPixbuf would feed us with a PNG)

2009-06-30 20:45  hub

	* [r27082] Fix warnings introduced by revision 27067

2009-06-30 20:09  hub

	* [r27081] convert NIB files to text/xml

2009-06-30 20:05  hub

	* [r27080] convert NIB files to text/xml

2009-06-30 20:04  hub

	* [r27079] Make the NIB files text/xml

2009-06-30 09:03  msevior

	* [r27067] Fix for a dangling pointer crash. Speedups for positioned object
	  layout.

2009-06-29 07:08  msevior

	* [r27062] Don't insert invalid mimetypes

2009-06-29 06:54  msevior

	* [r27061] Fix bug 11777
	  Drag picture after end or before beginning eats 100% CPU

2009-06-29 03:57  hub

	* [r27060] don't pass NULL to construct std::string

2009-06-29 03:28  hub

	* [r27059] Disable rsvg on gtk. Finish bug #5686

2009-06-29 03:14  dom

	* [r27057] 11626 - readme says that we support old versions of windows

2009-06-29 02:43  dom

	* [r27056] Bugzilla Bug 11710
	  tooltips of toolbar buttons show the label text, not the tooltip
	  text

2009-06-29 02:16  dom

	* [r27055] [Bug 12170] - Tooltips on Format toolbar are wrong
	  (regression)

2009-06-28 23:16  dom

	* [r27053] fix bug 12169 by differentiating the SaveAs and SaveImage dialog
	  types. Win32 and Cocoa may need a similar 2-LOC change.

2009-06-28 22:09  dom

	* [r27052] fix build. bad woggie.

2009-06-28 18:55  uwog

	* [r27051] Make UT_pathSuffix actually work: it works on Win32 and on Linux
	  now, on plain filenames, on local paths and on URIs. Fixes a
	  bunch of random file load errors.

2009-06-28 15:28  hub

	* [r27050] fix a small mem leak

2009-06-28 04:20  hub

	* [r27043] Set a mnemonic for the filetype widget in the
	  File dialog. Closes bug 9255

2009-06-28 01:42  hub

	* [r27042] Add scrollbar to description field in properties (Metadata)
	  dialog
	  Close bug 8764
	  
	  Also switch the nib file to XML

2009-06-28 01:32  hub

	* [r27041] switch nib file to use the text version. Much safer

2009-06-28 01:12  hub

	* [r27040] Reimplement the Option dialog properly on Cocoa
	  to be 1/ more XP, 2/ more in line with the Gtk version.
	  Close bug 10095

2009-06-27 23:44  sum1

	* [r27039] Prevent a 'memset used with constant zero length parameter'
	  warning.

2009-06-27 23:18  sum1

	* [r27038] Fix some warnings.

2009-06-27 22:34  hub

	* [r27037] update svn:ignore

2009-06-27 14:42  msevior

	* [r27035] More wrapped object improvements. More to come.

2009-06-27 08:00  hub

	* [r27034] Fix a typo. Bug 9105

2009-06-27 07:45  hub

	* [r27033] use getDataItemFileExtension() for the extension

2009-06-27 07:40  hub

	* [r27032] JPEG support in exporter. Albeit even PNG never worked, so
	  this won't change.

2009-06-27 07:26  hub

	* [r27031] export JPEG ans SVG properly

2009-06-27 06:47  msevior

	* [r27030] More wrapped objects fixes. More to come.

2009-06-27 05:10  hub

	* [r27029] support JPEG in WML

2009-06-27 04:59  hub

	* [r27028] support importing JPEG in docbook

2009-06-27 04:29  hub

	* [r27027] JPEG and SVG export for DocBook

2009-06-27 04:06  hub

	* [r27026] LaTeX export support JPEG. (minus a bug in UT_go_file_create())
	  Refactor export buffers to IE_Exp.

2009-06-27 03:29  msevior

	* [r27025] A few more tweaks to positioned object wrapping. More fixes
	  coming.
	  Quieten debug spew a bit.

2009-06-26 20:47  hub

	* [r27024] implement JPEG export for OOX. Also fix breakage previously
	  introduced.

2009-06-26 17:44  hub

	* [r27023] fix a memory corruption problem in the OpenWriter filter

2009-06-26 17:18  hub

	* [r27022] fix a memory leak

2009-06-26 16:17  hub

	* [r27021] remove the JPEG plugin

2009-06-26 10:17  msevior

	* [r27020] Fix for BSD font rendering bug 11953
	  gr_UnixPangoGraphics assumes layout font has desired
	  charactistics. Patch from John Wehle. Thanks John!

2009-06-26 09:54  msevior

	* [r27019] Fix Bug 11895 libabiword content_length, selection_length returns
	  char pointer
	  Modified patch from Fabian Sturm

2009-06-26 09:39  msevior

	* [r27018] Fix bug 11348 inconsistency with set zoom percentage with ptch
	  from Fabiam
	  Sturm.

2009-06-26 07:29  strbafridrich

	* [r27017] add oleaut32 to the SYSTEM_LIBS so that the win32gfx converter
	  links

2009-06-26 07:16  strbafridrich

	* [r27016] fix the win32 mingw build

2009-06-26 03:57  hub

	* [r27015] move the win32gfx plugin to the core

2009-06-26 01:59  hub

	* [r27014] cleanup Mac code. Warning fixing.

2009-06-26 01:10  hub

	* [r27013] fix a format warning.

2009-06-26 00:20  hub

	* [r27012] Fix the build following the API change for JPEG support.
	  Bug 1349

2009-06-25 22:32  strbafridrich

	* [r27011] Make the collab backend service really work on win32 with mingw
	  build

2009-06-25 21:29  hub

	* [r27010] add JPEG support for export.
	  Remove UT_String in several places (std::string instead)

2009-06-25 18:50  hub

	* [r27007] export JPEG files properly in ODT. Given the design, we strip
	  the extension from the embedded file.

2009-06-25 15:53  sum1

	* [r27005] Fix the GOffice plug-in build.

2009-06-25 14:46  sum1

	* [r27004] Comment typos.

2009-06-25 14:17  uwog

	* [r27003] Add a comment that one should NOT use UT_pathSuffix on URIs.
	  Maybe we want an additional UT_uriSuffix?

2009-06-25 14:13  uwog

	* [r27002] Add a comment explaining the dot code

2009-06-25 13:02  uwog

	* [r27001] Correctly detect the filetype of files with multiple dots in
	  them.

2009-06-25 09:21  strbafridrich

	* [r27000] make the collaboration account dialogue actually show

2009-06-25 07:14  msevior

	* [r26999] Text wrapping fixes. Needs more work.

2009-06-25 07:06  strbafridrich

	* [r26998] Unbreak Win32 build

2009-06-25 06:53  hub

	* [r26997] Export JPEG properly. Bug 1349

2009-06-25 05:40  hub

	* [r26996] implement JPEG support RTF imp/exp. Bug 1349

2009-06-25 05:39  hub

	* [r26995] Fix another leak that has been here for a while

2009-06-25 05:34  hub

	* [r26994] fix another leak due to a change in API

2009-06-25 05:28  hub

	* [r26993] Fix a memory leak introduce by an API change

2009-06-25 04:02  hub

	* [r26992] remove IE_impGraphic::convertGraphic()

2009-06-25 03:57  hub

	* [r26991] Remove the use of ie_impGraphic::convertGraphic() from
	  the Windows code (the online place). Also fix some bad
	  memory leaks and such. Not tested, not compiled.

2009-06-25 00:52  hub

	* [r26989] Add JPEG support natively. This is for bug 1349.
	  8 years after.
	  
	  The filters need to be fixed to.
	  
	  A .abw document with a JPEG can be open by AbiWord 2.6.x

2009-06-24 21:42  hub

	* [r26988] fix a memory leak.

2009-06-24 12:57  msevior

	* [r26985] Fix another crash visually dragging wrapped objects.

2009-06-24 10:34  sum1

	* [r26984] Use FREEP with g_strdup (bug triggered by Attachment 4954).

2009-06-24 02:31  msevior

	* [r26983] Fix crash dragging images. Fix crash changinmg page size with
	  page positione dimages

2009-06-23 14:28  msevior

	* [r26978] Set the wrapping requested on page anchored text boxes

2009-06-23 12:41  msevior

	* [r26975] Initialize a variable (thanks valgrind!)

2009-06-23 11:53  dom

	* [r26973] You can tightly wrap text around an SVG image now. Converting to
	  a "positioned" image seems to work, except when it crashes...
	  That's disabled for now.

2009-06-23 10:38  uwog

	* [r26972] Typo

2009-06-23 10:36  uwog

	* [r26971] Fix crash of 12155: List numbering regression

2009-06-23 10:02  msevior

	* [r26970] Set the page size to the page size defined by the first section
	  in the
	  odt file.

2009-06-23 09:43  uwog

	* [r26969] Fix 12149: Crash in AbiCollab after command line conversion

2009-06-23 09:42  uwog

	* [r26968] Make sure to wait for all outstanding threads to exit before
	  killing the object they belong to; makes valgrind a lot happier
	  :)

2009-06-23 06:03  msevior

	* [r26967] Fix 12162, potential hangs. Also fixes a mem leak and other
	  issues with the first commit. Still have a crash on exit though
	  on imported page anchored textboxes.

2009-06-23 04:59  msevior

	* [r26966] Anchored text boxes import for odt! More fixes needed to close
	  the bug though..

2009-06-23 03:06  hub

	* [r26965] No longer bailout if the fonttbl is invalid. Bug 10770

2009-06-23 02:28  hub

	* [r26964] Don't fail if the colour table fails to read. Closes bug 5741.

2009-06-23 00:43  hub

	* [r26963] Allow recovring from some RTF errors. Closes bug 3153

2009-06-22 17:26  msevior

	* [r26962] Code to enable page unchored textboxes from odt to be imported.
	  We're almost done!

2009-06-22 07:32  msevior

	* [r26961] Code to handle page anchored textboxes.

2009-06-22 04:33  hub

	* [r26960] Fix broken pkgconfig caused by a plugin configure.
	  Close bug 12156

2009-06-22 03:56  msevior

	* [r26958] Fix bug 12155
	  List numbering regression. Andy's document triggers a different
	  bug for us.
	  Now fixed.

2009-06-21 18:14  uwog

	* [r26956] Updated Slovak translation (Jaroslav Rynik)

2009-06-21 16:12  msevior

	* [r26955] Finally the correct fix for not handling page referenced
	  textboxes yet!

2009-06-21 16:07  msevior

	* [r26954] Not quite as agressive in ignoring textbox content. More work
	  needed here.

2009-06-21 15:46  msevior

	* [r26953] More document repair and fixes for detecting page-anchored text
	  boxes. doc from
	  bug 10091 no longer crashes abiword.(Instead we get a blank
	  document!)

2009-06-21 13:28  uwog

	* [r26952] Add application/vnd.wordperfect;application/x-abicollab;
	  mimetypes

2009-06-21 13:24  msevior

	* [r26951] Import page anchored images from odt.

2009-06-21 07:09  msevior

	* [r26950] Lots more work to import page referenced images. Now we have
	  loaded the image
	  and it's properties into a PD_Document Vector. The next job is to
	  place them
	  in the document *after* it is loaded and layed out.

2009-06-21 06:09  hub

	* [r26949] one ODT document I have with damaged content now import.
	  OOo does not :-)

2009-06-21 04:17  msevior

	* [r26948] Some more footnote and annotation layout fixes.

2009-06-21 02:49  msevior

	* [r26947] Fix the horrible footnote bug 10649. On eless release blocker :-)

2009-06-21 01:32  msevior

	* [r26946] More work towards importing page anchored images and textboxes

2009-06-20 19:33  uwog

	* [r26945] Fix a double delete in the .abicollab sniffer

2009-06-20 15:19  uwog

	* [r26941] Fix some warnings

2009-06-20 13:53  uwog

	* [r26932] Update German translation (Gerrit <z0idberg@gmx.de> and Volker
	  Ribbert <thoraki@arcor.de>)

2009-06-20 13:35  uwog

	* [r26931] Import positioned images inside headers and footers as inline
	  images, since AbiWord does not support positioned images in
	  Headers and/or Footers

2009-06-20 12:48  uwog

	* [r26930] "as-char" anchoring is a POSITIONED thing, while "char" anchoring
	  in an INLINE thing

2009-06-20 11:00  uwog

	* [r26929] Fix 12145: Updated Arabic translation

2009-06-20 10:47  uwog

	* [r26928] Fix 2362: AbiWord only prints across half of page; We are stupid
	  for letting something as simple as this stay broken for so long.

2009-06-20 07:47  hub

	* [r26927] the BMP plugin is xp.

2009-06-20 07:44  hub

	* [r26926] make sure szValue is reset in case of error or we
	  risk accessing garbaged memory.

2009-06-20 07:18  msevior

	* [r26925] Make Annotation preview disappear when no longer in annotation.
	  Bug introduced
	  with my modeless commit of yesterday. Fixed now.

2009-06-20 07:01  hub

	* [r26924] remove the assert for bug 11158 as it is apparently a
	  valid case.

2009-06-20 06:11  hub

	* [r26923] import the pre rendered image in case of embedded objects in RTF.
	  Close bug 6266

2009-06-20 05:24  sum1

	* [r26922] Fix the annotations crash from Bug 12150, which is caused by a
	  missing annotations preview dialog on Windows (the dialog still
	  needs to be implemented).

2009-06-20 02:00  hub

	* [r26921] remove obsolete fields from .desktop
	  fix install path for desktop and icons.
	  Closes bug 12138. (patch stolen from Mdv)

2009-06-19 22:54  uwog

	* [r26920] Fix a memory leak I just created

2009-06-19 20:14  hub

	* [r26919] Fix paper orientation. Closes bug 10377
	  Patch by Patrik Fimml

2009-06-19 20:08  uwog

	* [r26918] Remove useless errno include (errno's should die anyway)

2009-06-19 20:06  uwog

	* [r26917] Do not rely on errno when converting between encodings, as that
	  won't be propagated properly between the 'g++ runtime' and the
	  msvc one; use g_convert_with_iconv instead. Makes copy/paste work
	  again on Windows

2009-06-19 19:58  hub

	* [r26916] remove ut_exception.h

2009-06-19 19:55  hub

	* [r26915] remove ut_exception

2009-06-19 19:54  hub

	* [r26914] remove ut_excetion.h in xap/xp

2009-06-19 19:50  hub

	* [r26913] remove ut_exception.h in Cocoa. Was barely (and improperly)
	  used.

2009-06-19 19:37  hub

	* [r26912] more exception sanitization

2009-06-19 19:36  hub

	* [r26911] sanitize exception usage.

2009-06-19 15:22  strbafridrich

	* [r26906] fix mingw parallel build of plugins

2009-06-19 13:50  strbafridrich

	* [r26905] disting MathSVGScript.h into the tarball

2009-06-19 10:08  msevior

	* [r26904] All modeless dialogs should be contained by the app not from
	  their frames.

2009-06-19 09:59  uwog

	* [r26902] Typo

2009-06-19 09:51  msevior

	* [r26901] Don't crash when using the latex dialog with multiple documents.
	  This should be backported as it prevents an easily triggered
	  crash.

2009-06-19 09:31  uwog

	* [r26900] Also dist those silly files

2009-06-19 09:30  uwog

	* [r26899] Don't ask :/

2009-06-19 08:55  hub

	* [r26898] remove uneeded header.

2009-06-19 08:00  hub

	* [r26897] missing implementation I mistakenly removed.

2009-06-19 07:46  hub

	* [r26896] fix bug 12146: no more UT_THROWS here. it is just wrong.

2009-06-19 07:24  hub

	* [r26895] more fixes for bug 11904: we have so many code path to load
	  files that this is not even funny. Command line convert is also
	  fixed.
	  
	  Remove redundant code
	  
	  Use constants for the error codes.

2009-06-19 05:46  hub

	* [r26894] remove more UT_StringMap and UT_Vector.

2009-06-19 03:23  hub

	* [r26893] Remove UT_StringMap in the Style Families in ODT

2009-06-19 02:53  msevior

	* [r26892] Fixes for importing AbiMath from RTF. This fixes various corner
	  cases to do with fields in general.

2009-06-18 22:47  hub

	* [r26891] don't symlink as this is a problem when building
	  the same tree in two different chroot.

2009-06-18 22:34  hub

	* [r26890] fix memory leaks

2009-06-18 22:20  hub

	* [r26889] svn:ignore

2009-06-18 19:12  hub

	* [r26888] fix a typo

2009-06-18 17:59  hub

	* [r26887] recover from bogus documents. We can now import a damaged
	  opendocument. This fixes bug 11904
	  
	  This opens the door to support that in other importers too.

2009-06-18 12:24  strbafridrich

	* [r26886] Propagate the _WIN32_IE and _WIN32_WINNT defines to the
	  PLUGIN_CFLAGS too

2009-06-18 12:03  msevior

	* [r26885] Another fix to make sure we always print exactly the number of
	  pages we should
	  of exactly the right size.

2009-06-18 11:31  strbafridrich

	* [r26884] Set _WIN32_WINNT to 0x0500, which means that we support
	  Windows 2000 in collaboration plugin, but also that the
	  support for Windows 9x and Me is basically question of sheer
	  luck.

2009-06-18 11:09  uwog

	* [r26882] Use the printing document layout to calculate the number of pages
	  when printing (it should in theory be the same as the
	  non-printing layout afaik, but not always as I found out).

2009-06-18 11:01  strbafridrich

	* [r26881] Some cleaning of plugin build system.

2009-06-18 11:00  strbafridrich

	* [r26880] Making rsvg cross-platform. Not that anybody would use it :)

2009-06-18 10:17  uwog

	* [r26879] Fix some warnings

2009-06-18 09:54  uwog

	* [r26877] Fix assert return value

2009-06-18 08:27  msevior

	* [r26876] Fix a mem leak from my last commit.

2009-06-18 07:35  hub

	* [r26875] fix build for API change. It should IMHO also fix a possible
	  crash since importGraphics() sink the UT_ByteBuf.

2009-06-18 05:46  msevior

	* [r26874] Enable copy and paste of Math between AbiWord documents. Also
	  extend our RTF so we can save maths to RTF and import it back.
	  This fixes bug 10781.
	  
	  Also ensure all math objects have absolutely unique ID's.

2009-06-18 03:29  hub

	* [r26873] fixed a bug with metadata: a gross misuse of
	  UT_UTF8String::size()
	  closes bug 12132
	  Also remove a few too may gsf function.

2009-06-18 02:55  hub

	* [r26871] fix encoding of metadata. close bug 12133
	  Patch by Tomáš Novák.
	  BACKPORT

2009-06-18 02:31  hub

	* [r26869] fix a crash introduced by the GtkOptionMenu deprecation

2009-06-18 00:49  hub

	* [r26868] fix problems when built is without spell (reported by row).

2009-06-17 19:21  uwog

	* [r26867] Don't commit makefiles :/

2009-06-17 18:36  uwog

	* [r26866] More collab plugin crosscompile fixes from Fridrich

2009-06-17 18:20  uwog

	* [r26865] Plugin cross-compile patch from Fridrich

2009-06-17 14:15  robsta

	* [r26864] Be verbose about detected and missing collab backends.

2009-06-16 11:55  uwog

	* [r26858] Do not simply ignore char-anchored frames/textboxes, but import
	  them as paragraph anchored ones

2009-06-15 06:40  hub

	* [r26849] disable grammar when spellchecking is disabled.

2009-06-15 06:39  hub

	* [r26848] Presentation.cpp was missing an under certain circumstances.

2009-06-14 16:13  hub

	* [r26846] fix another crappage of glade-3.

2009-06-14 16:10  hub

	* [r26845] this should fix the dialog on gtk < 2.16.
	  blame glade-3 for that.

2009-06-14 15:50  hub

	* [r26844] fix a build breakage reported when spelling is not
	  enabled.
	  (was introduced for 2.7.3)

2009-06-14 14:07  msevior

	* [r26843] Export Math and SVG to html with neat javascript from Sam Runy.
	  This is
	  only exported if math or SVG is contained in the document.
	  
	  The file src/wp/impexp/xp/MathSVGScript.h should be added to the
	  windows build
	  system

2009-06-13 05:26  hub

	* [r26824] make constructImporter consistent with load
	  (might break win32 and mac)

2009-06-13 05:02  hub

	* [r26823] Fix API change to import image.

2009-06-13 04:59  hub

	* [r26822] fixed a memory leak caused by a gross mis-use of the API
	  when importing images.
	  I hope I don't break anything.

2009-06-13 03:08  hub

	* [r26821] fix localisation for the about dialog (bug 3413)

2009-06-12 23:23  hub

	* [r26820] rephrase the page number positionning (Closes bug #11257)
	  Patch by Benno Schulenberg.

2009-06-12 22:41  hub

	* [r26819] remove unneeded member.

2009-06-11 20:08  uwog

	* [r26815] Fix win32 crosscompile (Fridrich)

2009-06-11 19:14  uwog

	* [r26814] Do not compile or include stub stuff

2009-06-11 18:42  uwog

	* [r26811] Bump version

2009-06-11 13:50  uwog

	* [r26807] Use the DPI in the font hash, so we don't mix up screen and print
	  character metrics. Makes TOCs and Lists and other stuff print
	  WYSIWYG.

2009-06-11 13:15  msevior

	* [r26806] Disable saving author attributes.

2009-06-11 01:50  hub

	* [r26804] remove ut_queue.h. YAGNI

2009-06-10 04:45  msevior

	* [r26800] Yet more fixes for Marc's Sectret document. This fix moves the
	  layout error
	  detection and correction code into fl_ColumnBreaker. Should make
	  the secret
	  document print on win32.

2009-06-09 19:19  uwog

	* [r26795] Fridrich told me to do this; no clue what it does, or break

2009-06-09 18:23  sum1

	* [r26794] AP_WIN32DIALOG_STUB_H -> AP_WIN32DIALOG_FORMATFOOTNOTES_H

2009-06-09 17:40  uwog

	* [r26793] Update Slovak translation (Jaroslav Rynik)

2009-06-09 17:32  uwog

	* [r26792] Fix 12128: Crash when closing a collaborative document

2009-06-09 11:15  uwog

	* [r26791] Fix 12127: Page size wrong when printing more than 1 page

2009-06-09 11:07  uwog

	* [r26790] Add some function documentation

2009-06-09 08:30  hub

	* [r26789] fix a Glib warning about unrefing NULL objects. It is a "sparse"
	  vector.

2009-06-08 21:49  uwog

	* [r26788] Fix 12125: Crash when printing document twice

2009-06-08 18:06  hub

	* [r26787] work around a header bug (blind fix) for Maemo 4.0 (Chinook)

2009-06-08 11:10  uwog

	* [r26786] AC_CANONICAL_TARGET -> AC_CANONICAL_HOST and fix the mingw
	  library names to use Fridrich's set

2009-06-08 10:43  uwog

	* [r26785] Really fix the relayout of my secret document when opening the
	  document directly from the website

2009-06-08 10:10  uwog

	* [r26784] Comment update

2009-06-08 06:45  hub

	* [r26783] fix the binding of 'p' that broke when print is disabled.

2009-06-08 01:04  msevior

	* [r26782] Final fix to make uwog's secret document load properly from the
	  "open"
	  option of abicollab.net.

2009-06-07 18:15  msevior

	* [r26781] Fixes to enable import of uwog secret document.

2009-06-07 15:26  msevior

	* [r26780] Make sure we do whatever document repairs we can on loading the
	  document.

2009-06-07 14:02  uwog

	* [r26777] Bump version

2009-06-07 13:07  uwog

	* [r26774] Fix warnings (a bit ugly, but alas)

2009-06-07 12:56  uwog

	* [r26773] Fix warnings

2009-06-07 12:38  uwog

	* [r26772] Update Slovenian translation (Martin Srebotnjak
	  <miles@filmsi.net>)

2009-06-07 12:15  msevior

	* [r26771] Don't print the author colours.

2009-06-07 12:00  msevior

	* [r26770] Really enable export of author properties.

2009-06-07 07:57  hub

	* [r26768] don't unref the GtkPrintSettings * unless allocated by _new()
	  don't hold the GtkPrintContext *.
	  Should fix bug 12102

2009-06-07 07:06  msevior

	* [r26767] Don't allow duplicated carets.

2009-06-07 05:51  hub

	* [r26766] add indent / unindent to the default toolbar

2009-06-07 05:41  hub

	* [r26765] fix the missing icons for the toolbar

2009-06-07 05:32  msevior

	* [r26764] Make a pp_Author.cpp file. for later expansion.
	  (Names, desrciption, author color). Win32 build will need to be
	  fixed by a win32 build expert.

2009-06-07 04:44  hub

	* [r26762] fix the make dist (broke for Maemo)

2009-06-07 03:58  msevior

	* [r26761] Make collorations with yourself always have a black caret.

2009-06-07 03:12  msevior

	* [r26760] Carets work again and don't do nasty things with caret dirt..
	  Remote carets are removed upon remote colloraborator exiting.
	  Collaborating with yourself doesn't make wierdness now.
	  Enable saving of author properties into *.abw.
	  Caret colours still don't always match the author colours. This
	  will be fixed
	  next.

2009-06-07 01:41  hub

	* [r26759] String updates for the changes in the Image dialog.

2009-06-07 01:36  hub

	* [r26758] fix the image dialog for Maemo
	  fix the image dialog for Gtk on small screens.

2009-06-06 18:11  hub

	* [r26756] really fix the format warnings.

2009-06-06 13:53  uwog

	* [r26755] Remove the caret belonging to a Buddy when the Buddy disconnects
	  (untested yet)

2009-06-06 13:47  uwog

	* [r26754] Just some UT_UTF8String reducage

2009-06-06 10:31  uwog

	* [r26751] Fix format warnings

2009-06-06 01:59  msevior

	* [r26748] Repair documents with invalid HdrFtr's.
	  This allows uwog's secret document to load correctly and be
	  editted correctly.

2009-06-05 13:15  msevior

	* [r26745] More abicollab caret fixes.

2009-06-05 12:47  msevior

	* [r26744] Code to fix abicollab caerts

2009-06-03 22:55  hub

	* [r26728] fit the option dialog better in maemo

2009-06-03 19:23  hub

	* [r26723] we really want to quit the app when the last frame is closed
	  on Maemo.

2009-06-03 07:31  hub

	* [r26716] set the dialogs straight on Maemo.
	  Enough to hate GtkBuilder.

2009-06-03 03:46  hub

	* [r26715] Option dialog for Hildon back to shape.

2009-06-03 03:05  msevior

	* [r26714] Fix the CairoGraphics class so that the the font doesn't change
	  during printing. Thanks for the tip Behdad!

2009-06-03 02:38  hub

	* [r26713] fix insert table dialog on maemo
	  use the GtkBuilder helper.

2009-06-03 02:38  hub

	* [r26712] remove some unused code
	  add some GtkBuilder helpers as needed

2009-06-03 00:06  hub

	* [r26711] don't mess with the "enable / disable" settings. libtool is here
	  for that.

2009-06-03 00:06  hub

	* [r26710] refactor the conditionnal files

2009-06-02 19:42  hub

	* [r26701] no need for a hack for static vs dynamic. that's why we have
	  libtool for.

2009-06-02 19:24  hub

	* [r26699] fix another format warnig

2009-06-02 19:23  hub

	* [r26698] remove unused ut_allocator.cpp,h

2009-06-02 12:44  msevior

	* [r26689] Lots of work towards fixing the caret during collaborations. Much
	  more to do.

2009-06-02 05:58  hub

	* [r26688] Fix the imput method.
	  Closes bug 11396

2009-06-02 04:50  hub

	* [r26686] std::string goodness

2009-06-02 04:49  hub

	* [r26685] another ASSERT removed

2009-06-01 12:51  msevior

	* [r26680] Fix intermittent crash on exit particularly with docs with lots
	  of maths. Increase table row limit to 2000

2009-06-01 08:46  hub

	* [r26679] add combo to select file type in file -> save as in Maemo
	  Closes bug 11142

2009-06-01 07:33  hub

	* [r26678] use simple toolbar and menus. This should close bug 11442
	  (the support was here, but a typo made it broken)

2009-06-01 05:25  hub

	* [r26677] various warning fixes and cleanup found on Maemo
	  (tested with plain Gtk)

2009-06-01 04:51  hub

	* [r26675] signedness (UT_Vector) and constness

2009-05-31 06:58  msevior

	* [r26654] Provide a keyboard binding for toggle subscript. I set it to
	  Alt="=" since toggle superscript is cntrl-"=".
	  
	  Can be safely backported.

2009-05-30 15:21  uwog

	* [r26634] Warning fixage

2009-05-30 15:19  uwog

	* [r26633] Fix warnings

2009-05-30 15:08  uwog

	* [r26630] Bye bye packaging directory; we loved you

2009-05-30 15:06  uwog

	* [r26628] We dist this stuff in ./src/wp/main/win now

2009-05-30 14:03  dom

	* [r26627] the plumbing needed to hook up the text-transform bits to the
	  font dialog. we still need to add this to the various font-end
	  dialogs. i wish that the gtk dialog were done using glade and not
	  C++ code :)

2009-05-30 14:01  dom

	* [r26626] couldn't set the background color from the font dialog, because
	  the bg color was wired to the ft color picker. please backport,
	  if we're still backporting stuff

2009-05-30 13:29  uwog

	* [r26625] Dist cocoa too

2009-05-30 13:18  uwog

	* [r26624] Dist the win32 toolbar icons

2009-05-30 13:09  uwog

	* [r26622] Bump version

2009-05-30 13:08  uwog

	* [r26621] Something to do with with mingw, blame Fridrich

2009-05-30 13:07  uwog

	* [r26620] Make Fridrich's gcc happy when crosscompiling

2009-05-30 13:04  uwog

	* [r26619] Dist the win32 rc and manifest files

2009-05-30 12:49  uwog

	* [r26618] Dist lt-compile-resource and compile-resource

2009-05-30 04:14  hub

	* [r26616] fix the win32 dist for Fridrich

2009-05-29 22:06  hub

	* [r26615] configure should now work find for Maemo, including dealing with
	  the lower version of gtk
	  (I think this drop Maemo 3 support)

2009-05-29 22:05  hub

	* [r26614] don't unref NULL
	  wrong path for the icon file.

2009-05-29 21:41  hub

	* [r26613] build with gtk 2.10.0 is needed
	  
	  (GPLv2+)

2009-05-29 21:40  hub

	* [r26612] first batch of fixed for AbiWord on Maemo.
	  configure changes are still missing.

2009-05-29 20:33  hub

	* [r26611] fix a sign/type issue

2009-05-29 20:31  sum1

	* [r26610] Fix the MinGW build (Fridrich Strba).

2009-05-29 18:54  hub

	* [r26609] enable -Wshadow is most of them are fixed
	  Add a makefile need only on Mac/Cocoa to make automake happy.

2009-05-29 15:54  sum1

	* [r26608] Fix a crash that would occur when inserting zero-length spans
	  (part of Bug 12108).

2009-05-28 00:34  hub

	* [r26599] fix some format warnings

2009-05-27 17:32  uwog

	* [r26593] svn ignore update

2009-05-27 17:28  uwog

	* [r26592] svn ignore update

2009-05-27 17:17  uwog

	* [r26591] Disable the ChangeLangWithKeyboard option by default; it is
	  confusing as hell for non en-US people

2009-05-27 16:28  uwog

	* [r26590] Fix uninstall of ompl and wikipedia plugins

2009-05-27 15:20  uwog

	* [r26589] Add --enable-templates and --enable-clipart options (robsta)

2009-05-27 15:02  uwog

	* [r26588] Work around the fact that the dictionary installers on
	  abisource.com still download to INST_PATH\dictionary

2009-05-27 14:42  uwog

	* [r26587] Don't install the clipart for now, but only if robsta will give
	  me a --with-clipart option

2009-05-27 14:39  uwog

	* [r26586] Make sure the dictionary is disted

2009-05-27 14:35  uwog

	* [r26585] Install the grammar dictionary when the grammar plugin is
	  selected

2009-05-27 14:15  uwog

	* [r26584] Someday I will test my stuff before committing

2009-05-27 14:11  uwog

	* [r26582] s/2.7.1/2.7.2

2009-05-27 13:57  uwog

	* [r26581] Install the enchant ispell and myspell providers

2009-05-27 13:02  sum1

	* [r26580] strdup -> g_strdup

2009-05-27 12:49  sum1

	* [r26579] malloc -> g_try_malloc

2009-05-27 12:47  uwog

	* [r26578] Fix warnings

2009-05-27 12:45  sum1

	* [r26577] FREEP -> free to avoid mismatches.

2009-05-27 12:28  uwog

	* [r26575] s/malloc/g_malloc

2009-05-27 12:27  sum1

	* [r26574] malloc -> g_try_malloc

2009-05-27 12:21  sum1

	* [r26573] malloc -> g_try_malloc

2009-05-27 12:08  uwog

	* [r26572] Ship the american.hash in our tarballs; this is only for being
	  able to build the full official win32 installer, nothing for the
	  unix people

2009-05-27 11:39  uwog

	* [r26571] Fix the binary location in the start menu

2009-05-27 11:36  uwog

	* [r26570] Update svn ignore

2009-05-27 10:10  uwog

	* [r26565] Use g_strdup when stuff is freed with FREEP

2009-05-27 09:14  uwog

	* [r26561] Path change

2009-05-27 05:41  hub

	* [r26560] fix some warnings in collab

2009-05-27 05:41  hub

	* [r26559] minor signedess fixing and const-ness

2009-05-26 15:27  uwog

	* [r26552] You can only package release builds (the msvc runtime is the
	  release runtime, and won't work with debug binaries)

2009-05-26 14:04  uwog

	* [r26550] Distribute the msvc runtime. Yes we can do that:
	  http://www.gnu.org/licenses/gpl-faq.html#WindowsRuntimeAndGPL .

2009-05-26 12:52  uwog

	* [r26549] Package libgmodule

2009-05-26 12:25  uwog

	* [r26548] Drop abisuite reference

2009-05-26 12:13  uwog

	* [r26547] Drop abisuite reference

2009-05-26 11:56  uwog

	* [r26546] Fix file associations

2009-05-26 11:55  uwog

	* [r26545] Fixup some paths

2009-05-26 11:49  uwog

	* [r26544] Fixup some paths

2009-05-25 19:46  uwog

	* [r26543] Fix collab plugin installation

2009-05-25 19:38  uwog

	* [r26542] We use 1 installed by default now, not 3 (which I've always found
	  a silly idea)

2009-05-25 19:37  uwog

	* [r26541] More plugin fixage

2009-05-25 19:26  uwog

	* [r26540] Fix up some tools plugins

2009-05-25 19:13  uwog

	* [r26539] Fix some plugin names, and disable the ones we don't build yet

2009-05-25 18:22  hub

	* [r26538] fix format warning....

2009-05-25 17:37  uwog

	* [r26537] This will actually produce an installer

2009-05-25 17:34  uwog

	* [r26536] remove empty dir

2009-05-25 17:33  uwog

	* [r26535] Move more stuff around

2009-05-25 17:32  uwog

	* [r26534] Move some stuff around, and remove outdated nsis files

2009-05-25 17:29  uwog

	* [r26533] A bunch of work to be able to package 2.7.x, and to make this
	  work from within msvc

2009-05-25 14:59  uwog

	* [r26528] Look for the system profiles in $libdir\profiles for msvc

2009-05-25 13:56  uwog

	* [r26527] Try again

2009-05-25 13:56  uwog

	* [r26526] fsckit

2009-05-25 13:40  uwog

	* [r26525] Drop empty dir

2009-05-25 13:39  uwog

	* [r26524] Move stuff a dir lower

2009-05-25 13:19  uwog

	* [r26523] Copy setup files from stable, as those are more up2date then
	  trunk :)

2009-05-25 13:18  uwog

	* [r26522] Drop setup files from trunk; will replace them with stable

2009-05-25 11:44  uwog

	* [r26521] Fix 8636: No subscript or superscript option in font dialog (this
	  is a slightly modified version of sum1's and Urmas patch)

2009-05-24 21:42  sum1

	* [r26518] Fix Bug 7453, add a keyboard shortcut for inserting bullets (we
	  use ctrl + shift + l to mimic Word).

2009-05-24 14:59  jbrefort

	* [r26513] fixed wrong test.

2009-05-24 14:42  hub

	* [r26512] remove UT_UTF8String where it is not needed
	  add const where needed
	  fix a case where it wouldn't work if the file hasn't been saved.

2009-05-24 11:58  uwog

	* [r26511] Hopefully fix 9961: Find dialog in russian (cp1251) - garbage in
	  text box (sum1, Urmas); untested

2009-05-24 10:04  uwog

	* [r26510] Make sure the colors used to draw selection handles don't
	  overflow 8 bits; fixes ugly colors on win32 mostly, but also on a
	  lot of gtk themes

2009-05-24 07:15  hub

	* [r26509] fix some format warnings

2009-05-24 07:15  hub

	* [r26508] fix a warning

2009-05-24 07:14  hub

	* [r26507] remove useless base class from UT_UTF8String

2009-05-24 01:48  msevior

	* [r26506] Set useful defaults for "print to file". File name defaults to
	  the same
	  directory as the source file document. The file name is
	  remembered after
	  being set.

2009-05-23 20:50  uwog

	* [r26504] Fix bogus assert

2009-05-23 20:07  uwog

	* [r26503] Fix dictionary loading (this way is the proper way according to
	  linas ;)

2009-05-23 16:19  hub

	* [r26500] fix formats

2009-05-23 10:45  uwog

	* [r26493] Tell enchant where to look for dictionaries when building with
	  msvc

2009-05-22 23:51  dom

	* [r26487] ::split() is really a cloning method. set the text-transform
	  attribute on the cloned run.

2009-05-22 22:56  dom

	* [r26486] text-transform=capitalize seems to work ok, at least for the few
	  simple cases i've tried. should be 0 performance impact in the
	  general case.

2009-05-22 14:46  uwog

	* [r26472] Fix build

2009-05-22 14:31  jbrefort

	* [r26471] Make the plugin compile with goffice HEAD

2009-05-22 12:44  sum1

	* [r26470] Fix format argument warnings and some strange code.

2009-05-22 10:23  uwog

	* [r26468] Install new templates

2009-05-22 10:20  uwog

	* [r26467] Install clipart

2009-05-22 10:15  uwog

	* [r26465] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26464] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26463] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26462] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26461] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26460] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26459] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26458] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26457] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26456] Copy template from abiword-extra to abiword

2009-05-22 10:15  uwog

	* [r26455] Copy template from abiword-extra to abiword

2009-05-22 10:11  uwog

	* [r26454] Move clipart into the main tree; part of the killing of
	  abiword-extras

2009-05-22 05:51  sum1

	* [r26453] Export text transformations to ODT and fix a comment in the
	  importer.

2009-05-21 21:54  hub

	* [r26450] more formats fixes

2009-05-21 21:18  hub

	* [r26448] fix more formats

2009-05-21 20:45  hub

	* [r26446] fix format usage.
	  a few left out because they are nasty

2009-05-21 20:41  hub

	* [r26445] use std::string when it make sense

2009-05-21 13:44  uwog

	* [r26441] Warning fixage

2009-05-21 12:48  uwog

	* [r26438] Use a more windingy layout when compiling with msvc

2009-05-21 12:47  uwog

	* [r26437] Warning fixage

2009-05-21 11:00  uwog

	* [r26436] Fix iterator fsckup

2009-05-21 08:49  sum1

	* [r26435] Import text transformations from OpenDocument files.

2009-05-21 04:02  hub

	* [r26434] death to GList

2009-05-21 03:25  hub

	* [r26433] fix some Gtk-warnings:
	  -make sure the toplevel is set to NULL when destroyed so that we
	  don't try to disconnect a signal from an invalid (freeed)
	  pointer.
	  -make sure the toplevel isn't NULL when disconnecting in the
	  LeftRuler
	  (like the TopRuler already did)

2009-05-21 03:00  hub

	* [r26432] fix the "no return" warning for good and well.

2009-05-20 22:21  sum1

	* [r26425] Fix the win32 build.

2009-05-20 22:08  hub

	* [r26424] death to UT_String

2009-05-20 22:04  hub

	* [r26423] fix build following changes in the XP code

2009-05-20 21:22  hub

	* [r26421] fix a serious memory corruption problem by using std::string
	  instead of C string in several places. Should fix bug #12093

2009-05-20 15:24  uwog

	* [r26417] Bring some sanity to the Add Account dialog

2009-05-20 11:43  uwog

	* [r26416] Remove outdated comment

2009-05-20 09:34  uwog

	* [r26414] Fix a wrong cast in our packet generation code (ICK, and thanks
	  MSVC DEBUGGER!), initialize some class members, and make some
	  members private

2009-05-20 06:07  sum1

	* [r26413] Fix the Cocoa build (I hope).

2009-05-20 05:47  sum1

	* [r26412] Fix the Hildon build (I hope).

2009-05-20 05:36  sum1

	* [r26411] More getVal changes.

2009-05-20 04:22  sum1

	* [r26409] Fix r26408 and make similar changes to the win32 lists dialog.

2009-05-20 03:56  sum1

	* [r26408] Use std::string to prevent logic_error aborts.

2009-05-20 03:42  sum1

	* [r26407] Fix a typo to register font dialog changes.

2009-05-20 03:27  sum1

	* [r26406] Fix the win32 build.

2009-05-20 02:39  sum1

	* [r26405] Make getVal() return a std::string.

2009-05-20 02:13  sum1

	* [r26404] More std::string work and some CLONEP() removal.

2009-05-20 01:25  sum1

	* [r26403] Use std::string throughout the font and style dialogs to prevent
	  std::logic_error aborts (Bug 12089). Some dialog code relies on
	  NULL values, so more work is needed.

2009-05-19 21:50  sum1

	* [r26402] Use ABI_EXPORT, fix typos, and return empty strings instead of
	  false.

2009-05-19 21:43  sum1

	* [r26401] Fix a warning and use tabs to indent.

2009-05-19 21:29  uwog

	* [r26400] Fix debug check

2009-05-19 19:57  hub

	* [r26399] don't make these functions inline....

2009-05-19 19:06  hub

	* [r26398] fix build on gcc 4.4

2009-05-19 18:42  uwog

	* [r26396] Allow long email addresses and passwords to be entered in the new
	  account dialog

2009-05-19 18:05  uwog

	* [r26394] Show scrollbars in the document list

2009-05-19 18:05  uwog

	* [r26393] Warning fixage

2009-05-19 14:55  uwog

	* [r26391] There should only be 1 default button in a dialog

2009-05-19 14:37  uwog

	* [r26390] There should only be 1 default button in a dialog

2009-05-19 13:07  uwog

	* [r26388] Fix View -> In webbrowser crash

2009-05-19 12:15  sum1

	* [r26387] Randomize print preview file names.

2009-05-19 10:22  uwog

	* [r26386] Fix crash on print preview; You can't pass filedescriptors from
	  glib to 'msvc' because, and I quote TML "File descriptors (the
	  small numbers returned by open() and fileno()) are implemented in
	  the C library. They are not known by the kernel."

2009-05-19 09:55  uwog

	* [r26385] Remove useless plugin on sum1's command

2009-05-19 09:48  sum1

	* [r26384] Remove some const casts and make some strings constant.

2009-05-19 09:36  sum1

	* [r26383] Add overline support to the ODT importer (part of Bug 11921).

2009-05-19 09:26  uwog

	* [r26382] Fix memory corruption

2009-05-19 09:20  sum1

	* [r26381] Simplify the underline and strikethrough code to prepare for
	  overline support.

2009-05-19 09:10  uwog

	* [r26380] Fix cute little memory leak i created yesterday; backport this
	  one too

2009-05-19 03:46  sum1

	* [r26378] Add support for the text-transform property to the XSL-FO
	  importer and exporter.

2009-05-19 03:15  sum1

	* [r26377] Add support for the text-transform property to the HTML importer.

2009-05-19 02:33  dom

	* [r26376] Implement the CSS text-transform style. This means that AbiWord
	  can now have
	  all-caps and all-lowercase text styles. This is currently
	  exported to HTML.
	  There's no GUI hooked up to this yet. I imagine that I'll add
	  something to
	  the GTK+ font dialog. Part of bug 1851.

2009-05-18 21:47  sum1

	* [r26375] Add 1 to the string length when calling UT_convert_cd (see also
	  r26373).

2009-05-18 21:28  uwog

	* [r26374] Fix bug 11346: Toolbar icons corrupted at less than 32 bit color.
	  Please backport.

2009-05-18 19:24  uwog

	* [r26373] Fix UT_convert_cd usage (dom)

2009-05-18 18:53  uwog

	* [r26371] Some warning fixage

2009-05-18 15:31  uwog

	* [r26366] Fix wrong free() call

2009-05-18 12:01  uwog

	* [r26356] Fix win32 build error: POINT is already defined by some win32
	  include

2009-05-18 10:52  uwog

	* [r26353] Warning fixage

2009-05-18 10:40  uwog

	* [r26352] Remove redundant warning disabling

2009-05-17 11:01  uwog

	* [r26346] Fix warning because msvc can't parse

2009-05-17 10:55  uwog

	* [r26343] Fix warning because msvc can't parse

2009-05-16 22:05  sum1

	* [r26342] Use g_strdup instead of strdup and remove some const casts.

2009-05-16 21:02  uwog

	* [r26340] Fix warning because msvc can't parse

2009-05-16 20:52  uwog

	* [r26338] Fix warning because msvc can't parse

2009-05-16 19:44  uwog

	* [r26334] Add a static version of the sidebar, as we can't easily
	  autogenerate it for the msvc build (read: i don't care to figure
	  out how to do that)

2009-05-16 15:47  uwog

	* [r26333] strings retrieved using xmlGetProp need to be freed using xmlFree

2009-05-16 15:47  uwog

	* [r26332] Use a reference to avoid vector copying

2009-05-16 14:33  uwog

	* [r26331] time_t's are 64bit in msvc, so be careful not to use them as %d
	  in varargs

2009-05-16 13:49  uwog

	* [r26330] Make sure that toolbar and menu functions are exported for use in
	  plugins

2009-05-16 13:38  uwog

	* [r26329] Updated Russian translation (patch from eskaer_spamsink@ngs.ru)

2009-05-16 12:17  uwog

	* [r26327] Fix a bunch of warnings and msvc compile errors

2009-05-16 09:29  uwog

	* [r26322] Fix warning caused by a MSVC parse error

2009-05-15 22:23  sum1

	* [r26319] Import margin-top and margin-bottom properties from inline
	  paragraph styles (patch from Urmas).

2009-05-15 15:34  uwog

	* [r26317] Define WIN32_LEAN_AND_MEAN to prevent winsock2 to be included
	  twice

2009-05-15 15:34  uwog

	* [r26316] MSVC does not know pid_t

2009-05-15 15:07  uwog

	* [r26314] Fix warnings

2009-05-15 15:05  uwog

	* [r26313] Define WIN32_LEAN_AND_MEAN to prevent winsock2 to be included
	  twice

2009-05-15 15:04  uwog

	* [r26312] Fix ssize_t typedef

2009-05-15 14:07  uwog

	* [r26311] Fix function declaration

2009-05-15 13:54  uwog

	* [r26310] Remove duplicate classname

2009-05-15 13:54  uwog

	* [r26309] MSVC does not know strings.h

2009-05-15 13:53  uwog

	* [r26308] Change line endings

2009-05-15 12:57  uwog

	* [r26305] Typo

2009-05-15 12:54  uwog

	* [r26303] MSVC does not know strings.h

2009-05-15 12:47  uwog

	* [r26302] Make MSVC happy

2009-05-15 12:38  uwog

	* [r26301] Fix include

2009-05-15 12:37  uwog

	* [r26300] Define some standard integer types because msvc does not know
	  stdint.h

2009-05-15 10:27  uwog

	* [r26296] Add a button with a link to where people can get abicollab.net
	  accounts

2009-05-14 23:45  sum1

	* [r26294] TOOLKIT_WIN32 -> TOOLKIT_WIN to fix the build.

2009-05-14 16:15  uwog

	* [r26288] Remove 1 more template export, and change some C++ casts into C
	  casts to make MSVC happy (whuh?!)

2009-05-14 15:40  uwog

	* [r26285] Move some code from the the header to the cpp file, as it makes
	  linking with msvc a bit more easy

2009-05-14 15:35  uwog

	* [r26284] Don't ABI_EXPORT templates, as that makes no sense (and makes
	  msvc cry)

2009-05-14 12:36  dom

	* [r26283] use glib's conversion facilities. the rest of ut_iconv is just a
	  shallow wrapper around glib anyway. less code to maintain.

2009-05-13 19:18  uwog

	* [r26278] Fix MSVC build

2009-05-12 14:33  uwog

	* [r26263] Change some includes to make msvc happy

2009-05-12 14:30  uwog

	* [r26262] Change some includes, to make msvc happy

2009-05-12 05:41  sum1

	* [r26254] Include ut_color.h to fix the VC++ build.

2009-05-11 20:32  hub

	* [r26253] fix a problem with loading the preference dialog.

2009-05-11 15:07  dom

	* [r26251] Fix cross-compilation. A control was missing a comma.

2009-05-09 20:23  uwog

	* [r26233] 2.7.0 -> 2.7.1

2009-05-09 18:30  uwog

	* [r26229] Fix a ton of time_t related warnings when compiling with msvc

2009-05-09 15:07  dom

	* [r26226] fix for cross-building

2009-05-09 13:50  uwog

	* [r26225] Fix warning

2009-05-09 00:13  sum1

	* [r26221] Fix Bug 5749, prevent the insertion of empty style names to avoid
	  asserts. Safe to backport.

2009-05-08 20:46  hub

	* [r26219] fix the detection of curses. Failed not openSUSE 11 and now
	  works. Tested
	  on Fedora too.

2009-05-08 18:21  sum1

	* [r26218] Fix Bug 12013, Use Windows theme settings when displaying text in
	  the toolbar comboboxes (patch from Urmas).

2009-05-08 17:55  hub

	* [r26217] fix make dist. close bug 12072

2009-05-08 04:41  sum1

	* [r26215] Redo the fix from r26214 (unused variable warning).

2009-05-08 03:21  sum1

	* [r26214] Fix an unused variable warning.

2009-05-08 03:18  sum1

	* [r26213] Remove countCons casts.

2009-05-08 03:03  sum1

	* [r26212] Remove unneeded casts in plugins/.

2009-05-08 02:35  sum1

	* [r26211] Finish the getItemCount cast clean-up in src/.

2009-05-08 01:55  sum1

	* [r26210] Remove more redundant casts for getItemCount.

2009-05-08 01:24  sum1

	* [r26209] Remove redundant casts for getItemCount in wp/impexp.

2009-05-08 00:40  sum1

	* [r26208] Remove redundant casts for getItemCount in af/gr/xp.

2009-05-07 21:45  sum1

	* [r26207] Use reserve() in various exporters.

2009-05-07 20:49  sum1

	* [r26206] Use reserve() to prevent numerous calls to
	  UT_UTF8Stringbuf::grow().

2009-05-07 06:52  sum1

	* [r26204] Only use one UT_LocaleTransactor in
	  IE_Imp_RTF::ApplySectionAttributes.

2009-05-07 06:11  sum1

	* [r26203] Speed up PP_AttrProp::setProperty and PP_AttrProp::setAttribute
	  by avoiding unnecessary calls to UT_validXML.

2009-05-06 20:37  sum1

	* [r26201] Don't keep looking for importers when we already have perfect
	  suffix and content confidence.

2009-05-06 17:54  sum1

	* [r26200] Speed up UT_UTF8Stringbuf::appendUCS4() by caching byte lengths
	  and reserve string space in s_AbiWord_1_Listener::_outputData to
	  make saving faster.

2009-05-06 15:18  uwog

	* [r26196] Make distcheck & building with -jX happy (robsta)

2009-05-06 15:17  uwog

	* [r26195] Revert the previous commit

2009-05-06 15:16  uwog

	* [r26194] Make distcheck & building with -jX happy (robsta)

2009-05-06 14:17  uwog

	* [r26192] Fix typo

2009-05-06 13:53  uwog

	* [r26191] Make distcheck happen: clean doltcompile and doltlibtool

2009-05-06 12:44  uwog

	* [r26190] Fix make distcheck

2009-05-05 21:08  uwog

	* [r26189] Always list all documents that are shared by friends

2009-05-05 20:48  uwog

	* [r26188] Just some code cleanup

2009-05-05 19:40  uwog

	* [r26187] Updated Slovak translation (Jaroslav Rynik <jrynik@yahoo.co.uk>)

2009-05-03 19:48  uwog

	* [r26184] Fix a bogus assert

2009-05-03 11:15  uwog

	* [r26183] Don't stuff empty author objects in the document

2009-05-03 10:13  uwog

	* [r26182] Make saving in the abicollab.net backend work when you have more
	  than 1 active account at the same time. Also make the saving code
	  more thread safe (not perfect, but almost there)

2009-05-02 09:17  uwog

	* [r26179] Fix bug where it *wrongly* reported that the document was *not*
	  saved to the webservice

2009-05-01 22:06  hub

	* [r26176] fix build

2009-05-01 15:52  uwog

	* [r26175] Update the service backend to the new realm protocol, so we can
	  finally recognize ourselves when we rejoin a shared document!

2009-04-30 11:44  jbrefort

	* [r26170] Fixed after one more goffice API change.

2009-04-29 13:58  uwog

	* [r26168] Reduce nesting insanity

2009-04-29 13:43  uwog

	* [r26167] Fix AbiCollab profile writing... hardly elegant, but it works

2009-04-29 12:42  uwog

	* [r26166] We don't ever use Author UUIDs now we have the Author ID, so
	  remove them

2009-04-29 10:47  uwog

	* [r26165] Remove unused author functions

2009-04-28 21:01  uwog

	* [r26164] A bunch more author recognision work... I dare say it's almost
	  done (one real issue left)!

2009-04-28 21:00  uwog

	* [r26163] Expose the full author list

2009-04-28 14:48  uwog

	* [r26161] Works towards recognizing buddy's when rejoining a shared
	  document; also bumps the protocol version (enough to give some
	  room to the stable branch to increase its number as well, should
	  that be needed)

2009-04-28 11:23  uwog

	* [r26160] Build fix

2009-04-28 11:23  uwog

	* [r26159] Warning fixes

2009-04-28 11:16  uwog

	* [r26158] Code reorganisation & warning fixes

2009-04-28 10:42  uwog

	* [r26157] Code reorganisation & warning fixes

2009-04-27 21:22  uwog

	* [r26156] Warning fixes

2009-04-27 21:19  uwog

	* [r26155] Don't needlessly construct accounts we don't need during the
	  reading of the AbiCollab profile

2009-04-27 19:24  uwog

	* [r26154] Reduce the nesting insanity in the AbiCollab profile reading code
	  a bit

2009-04-27 19:22  uwog

	* [r26153] Remove unused function prototype

2009-04-26 20:06  uwog

	* [r26148] Build fixes

2009-04-26 19:37  uwog

	* [r26147] Port the 'fake' backend to the new backend API introduced by the
	  session takeover work

2009-04-26 13:59  sum1

	* [r26146] strcpy -> strncpy. Please backport.

2009-04-26 13:48  uwog

	* [r26145] And one more fix to the sugar backend

2009-04-26 13:39  sum1

	* [r26144] Minor typo.pl clean-up in wp/impexp/xp.

2009-04-26 13:25  sum1

	* [r26143] Clear the string instead of doing a useless comparison. Please
	  backport.

2009-04-26 13:11  sum1

	* [r26142] Use an explicit return instead of falling through.

2009-04-26 13:06  uwog

	* [r26141] Add another missing break (sum1)

2009-04-26 12:53  uwog

	* [r26140] Port the sugar backend to the new backend API introduced by the
	  session takeover work

2009-04-26 12:07  uwog

	* [r26139] Warning fixes

2009-04-26 11:28  uwog

	* [r26138] Do not support libsoup 2.2 anymore. Everyone that can compile
	  trunk will have 2.4 anyway

2009-04-25 22:29  msevior

	* [r26136] Fix 12054 Table does not render across page break.
	  Nested tasbles now print properly across a page break. This
	  doesn't work for a nest table spanning 3 pages but it is much
	  better than we currently have.
	  
	  Please backport.

2009-04-25 16:12  uwog

	* [r26135] Fix build

2009-04-25 14:48  uwog

	* [r26134] Moving code around, because the new structure makes more sense
	  then the old

2009-04-25 14:42  uwog

	* [r26133] Any libsoup 2.4 will do

2009-04-24 23:09  sum1

	* [r26130] Add a break to the PCT_JoinSessionRequestEvent case. Might be
	  worth backporting.

2009-04-24 22:56  sum1

	* [r26129] & -> &&. Please backport.

2009-04-24 22:53  sum1

	* [r26128] Minor typo.pl clean-up in wp/ap/xp.

2009-04-24 22:38  sum1

	* [r26127] strcpy -> strncpy. Please backport.

2009-04-24 22:33  sum1

	* [r26126] typo.pl clean-up in af/xap/xp.

2009-04-24 22:26  sum1

	* [r26125] Make getInsertedFont() more robust (strcpy -> strncpy; UT_ASSERT
	  -> UT_return_val_if_fail). Please backport.

2009-04-24 22:14  sum1

	* [r26124] Fix a crash that would occur with long file names. Please
	  backport.

2009-04-24 21:47  sum1

	* [r26123] Fix double semicolons and unnecessary NULL checks (sort of) to
	  make typo.pl's output more useful.

2009-04-22 19:41  sum1

	* [r26122] Fix a warning.

2009-04-22 19:35  sum1

	* [r26121] Fix a debug message and two warnings.

2009-04-22 18:33  sum1

	* [r26118] Remove unmaintained feature and locale matrices.

2009-04-22 18:19  sum1

	* [r26117] Fix make dist.

2009-04-22 16:14  sum1

	* [r26116] Fix the loading of XML mail merge files. Please backport.

2009-04-19 13:22  uwog

	* [r26103] Fix warning

2009-04-19 13:02  uwog

	* [r26102] Fix warnings

2009-04-17 02:16  msevior

	* [r26097] Improvements in printing.

2009-04-16 12:37  jordimas

	* [r26095] Update Catalan translation

2009-04-15 02:59  msevior

	* [r26092] Fix build by including "ut_assert.h" in soa_soup.cpp

2009-04-14 04:58  hub

	* [r26081] some minor signedness

2009-04-13 10:45  uwog

	* [r26071] Fix warnings

2009-04-12 19:06  uwog

	* [r26070] Fix warnings

2009-04-10 13:35  msevior

	* [r26063] Some code needed to import page-reference images and textboxes

2009-04-09 14:19  uwog

	* [r26061] Fix almost all remaining warnings

2009-04-09 12:41  uwog

	* [r26060] Sync soa

2009-04-08 11:44  uwog

	* [r26055] Fix warnings

2009-04-08 11:05  uwog

	* [r26054] Warning fixes

2009-04-08 11:05  uwog

	* [r26053] Fix include

2009-04-08 10:41  uwog

	* [r26051] Sync with soa upstream

2009-04-07 17:27  uwog

	* [r26039] Warning fixes

2009-04-07 16:28  uwog

	* [r26038] Fix some warnings in debug code

2009-04-07 16:08  uwog

	* [r26037] Warning fixes

2009-04-07 15:01  uwog

	* [r26036] Warning fixes

2009-04-07 14:50  uwog

	* [r26035] Some warning fixes

2009-04-07 13:37  uwog

	* [r26034] We explicitely *don't* want the boost version of asio

2009-04-07 13:11  uwog

	* [r26032] merge -r24782:24933 from the abicollabsessiontakeover branch

2009-04-07 10:44  jbrefort

	* [r26031] Updated after renaming in goffice. Things will not compile with
	  goffice < 0.7.5

2009-04-04 23:32  sum1

	* [r26019] Fix Bug 12035, OpenXML importer doesn't handle text with
	  subscript or superscript formatting (Maciej A. Kaminski).
	  Please backport.

2009-04-02 22:15  sum1

	* [r26012] Update a comment in light of r26011.

2009-04-02 22:08  sum1

	* [r26011] Use getDataItemFileExtension instead of custom code.

2009-04-02 22:07  sum1

	* [r26010] Add a getDataItemFileExtension function to make it easier to
	  handle multiple image formats in various exporters.

2009-04-02 02:07  sum1

	* [r26000] Make sure <revhistory> is always exported to prevent possible tag
	  mismatches. Can be backported.

2009-04-02 01:20  xsun

	* [r25999] fix 'control reaches end of non-void function' warnings; noted by
	  sum1

2009-04-01 22:53  sum1

	* [r25998] Remove two outdated comments.

2009-04-01 21:58  sum1

	* [r25997] Add a note to createImageSegment regarding inline -> positioned
	  image conversions.

2009-04-01 21:25  sum1

	* [r25996] Handle SVGs in the WML exporter.

2009-04-01 11:32  xsun

	* [r25992] update to item2MML 1.3.8 (the maintainer names it 1.3.7, but the
	  source files say 1.3.8). Some Unicode improvements. OK to
	  backport

2009-03-30 18:47  sum1

	* [r25973] Handle SVGs in the OpenXML exporter. Might be worth backporting.

2009-03-28 20:58  sum1

	* [r25939] Fix some unused parameter warnings.

2009-03-28 20:37  hub

	* [r25938] remove another const_cast<>

2009-03-28 20:16  hub

	* [r25937] avoid an unecessary const_cast

2009-03-28 20:15  hub

	* [r25936] more const-ness

2009-03-28 20:04  sum1

	* [r25935] Prevent some asserts when exporting annotations to WML.

2009-03-27 21:45  uwog

	* [r25932] Patch from 11731 - AbiWord crashes on "Insert Symbol" (Patrik
	  Fimml)

2009-03-26 03:40  sum1

	* [r25930] Remove some outdated comments and some needless asserts. Don't
	  backport.

2009-03-26 03:18  sum1

	* [r25929] Don't abuse the DocBook condition attribute to import/export
	  abi-specific properties. Don't backport.

2009-03-24 12:56  dom

	* [r25926] bug 12020 - we didn't import MSWord mail merge fields. Can be
	  backported.

2009-03-12 22:26  sum1

	* [r25921] Remove an assert that was triggered by an empty mimetype file and
	  fix a leak. Can be backported.

2009-03-12 10:26  msevior

	* [r25919] A much better fix for 11982. "AbiMathView rendering problems".
	  Please backport

2009-03-12 03:06  msevior

	* [r25918] Various fixes for drawing tables that span more than one page.
	  Please backport.

2009-03-11 12:04  msevior

	* [r25912] fix bug 11932
	  text following an equation is not always printed at the right
	  place.
	  
	  Please backport.

2009-03-09 22:59  sum1

	* [r25904] Clarify the --verbose command line option (part of Bug 8120).
	  Please backport.

2009-03-09 21:04  sum1

	* [r25903] Fix part of Bug 7097, font dialog does not recognize hidden text.
	  Please backport.

2009-03-09 19:39  sum1

	* [r25902] Make the Image and Screen Color dialogs show up in front of the
	  AbiWord window in fullscreen mode. Please backport.

2009-03-09 19:01  hub

	* [r25901] remove excessive casts.

2009-03-09 18:30  hub

	* [r25900] remove unecessary casts

2009-03-09 18:29  hub

	* [r25899] fix some Wshadow warnings

2009-03-09 17:03  uwog

	* [r25892] Shut up g++ 4.4.x

2009-03-09 16:44  sum1

	* [r25891] Fix part of Bug 5119, setting meta data does not dirty the
	  document. Can be backported.

2009-03-09 15:42  sum1

	* [r25890] Don't show web preview files in the recent files list. Please
	  backport.

2009-03-09 04:31  sum1

	* [r25877] Add a "(Read-Only)" indicator to the title bar (part of Bug
	  8487). Don't backport.

2009-03-09 02:47  sum1

	* [r25876] Fix Bug 11822, auto save no longer works. Please backport.

2009-03-08 23:28  sum1

	* [r25875] Change a reference to a "CRASHED" extension (we use .saved now).

2009-03-08 22:40  sum1

	* [r25874] Fix Bug 9329, AbiWord uses the old auto save interval instead of
	  the new one. Please backport.

2009-03-08 21:58  sum1

	* [r25873] Standardize auto-save-on-crash behavior: Use a .saved extension
	  on all platforms and fix the Mac port to handle untitled
	  documents.

2009-03-08 19:45  dom

	* [r25872] bug 11930 - SEGV when trying to read a particular word doc. safe
	  to backport.

2009-03-08 17:06  dom

	* [r25871] Bug #11983 - there will be no more command-line printing for the
	  GTK+
	  platform. Instead, use something like '--to=ps --to-name=fd://1 |
	  lpr
	  -PmyPrinterName' to achieve the desired effect. Document this in
	  a
	  little translatable string that gets printed to the console when
	  someone does 'abiword --print=myPrinterName'.

2009-03-08 15:48  hub

	* [r25870] don't use $(builddir) as it is not defined in older automake
	  fixes bug #12002

2009-03-08 15:41  hub

	* [r25869] remove as per robsta recommendation

2009-03-08 04:24  hub

	* [r25868] remove config.h.in

2009-03-08 03:50  dom

	* [r25867] import WMFs as SVGs instead as of PNGs if TOOLKIT_GTK is defined.
	  this
	  means that MS Word Art is now all vectorized.
	  
	  WordPerfect graphics are already imported as SVGs, so there's
	  nothing to
	  do there.

2009-03-08 02:56  msevior

	* [r25866] Fix printing of equations in TRUNK with the cairo graphics class.

2009-03-07 20:01  dom

	* [r25865] Printing of SVGs and PNGs seems to work. The printing class never
	  implemented createNewImage() but inherited drawImage(), which
	  expected
	  instances of certain cairo-derived classes.
	  
	  The SVGs look purty too.

2009-03-07 19:16  dom

	* [r25864] SVG images, drawing directly onto cairo. Images scale nicely and
	  whatnot. Only seems to work for the display graphics class.
	  Printing
	  crashes. But printing PNG images just produces blue squares for
	  me, so
	  that's not much of a regression. We'll see if we can't get that
	  figured
	  out soonish.
	  
	  Introduces a dependency on librsvg. Only for the GTK+ port.
	  
	  I'd like to get rid of the AbiRsvg plugin, since that only
	  converted
	  SVGs to PNGs, so the display was awful. Any objections?

2009-03-07 15:03  dom

	* [r25863] Bug 11997
	  pdf export adds 1 empty page at the beginning of the document

2009-03-06 19:28  uwog

	* [r25857] Updated Slovak translation (Jaroslav Rynik)

2009-03-05 01:49  hub

	* [r25856] more warning fixeage

2009-03-05 00:12  hub

	* [r25855] fix -Wshadow warnings

2009-03-04 23:47  hub

	* [r25854] fix -Wshadow warnings

2009-03-04 23:46  hub

	* [r25853] fix -Wshadow warnings

2009-03-04 23:45  hub

	* [r25852] make the code safer

2009-03-04 23:30  hub

	* [r25851] get rid of m_pApp usage

2009-03-04 19:17  uwog

	* [r25845] Remove totally useless code. Much better fix than r25728: Prevent
	  an assertion crash.

2009-03-03 21:32  hub

	* [r25830] fix bug #10001

2009-03-03 20:34  hub

	* [r25829] warning cleanup
	  dead code removal
	  sanitize Obj-C construction

2009-03-03 19:14  uwog

	* [r25828] Relicense ut_go_file.h and ut_go_file.c to be GPLv2+.
	  
	  These files originated from goffice's go_file.h and go_file.c
	  files, and before that from gnumeric. All contributors to these
	  files have given me written permission (by email) to relicense
	  their contributions to these files to GPLv2+:
	  
	  Dominic Lachowicz
	  Stepan Kasal
	  Jean Bréfort
	  Jon K Hellan
	  Morten Welinder
	  Ivan Yat-Cheung Wong
	  Eduardo Lima
	  Jody Goldberg
	  Robert Staudinger
	  "sum1"
	  
	  The RedHat copyright on these files covers code that was released
	  under the LGPLv2+ license, and is thus compatible with the GPLv2+
	  licence.

2009-03-03 18:38  hub

	* [r25827] remove a boatload of warnings on MacOS

2009-03-03 18:32  hub

	* [r25826] fix a crash with free()
	  fix a warning

2009-03-03 18:21  hub

	* [r25825] really fix the use of install_name_tool.
	  Case sensitive the arguments are.

2009-03-03 18:12  uwog

	* [r25824] Remove Yukihiro, as per r25823

2009-03-03 17:07  uwog

	* [r25823] Remove the unused functions UT_go_url_decode and
	  UT_go_url_encode, which came from the patch attached to
	  http://bugzilla.gnome.org/show_bug.cgi?id=148550; these are the
	  only remaining contributions of Yukihiro Nakai, so dropping him
	  from the copyright list.

2009-03-03 01:52  hub

	* [r25817] fix a warning

2009-03-02 23:32  hub

	* [r25816] revert bad change

2009-03-02 22:09  hub

	* [r25815] use shave by passing --enable-shave to configure, and
	  enjoy the clean build output

2009-03-02 20:25  hub

	* [r25788] make sure it does not ignore other toolkits

2009-03-02 10:38  robsta

	* [r25782] Use AS_HELP_STRING consistently.

2009-03-02 01:42  hub

	* [r25781] definitely disable abicommand on no Gtk
	  fix wpd, wpg and wmf on Mac

2009-03-01 22:54  sum1

	* [r25780] Convert a needless assert to code. Can be backported.

2009-03-01 21:23  sum1

	* [r25779] Fix Bug 11987, OpenXML exporter saves invalid XML characters.
	  Please backport.

2009-03-01 00:26  hub

	* [r25778] fix a memory leak
	  Please backport.

2009-02-28 18:31  hub

	* [r25776] gdict is really only for GTK

2009-02-28 18:20  hub

	* [r25775] fix the build on Mac to build plugins
	  Make some of the installable files Gtk only
	  Force the linker to use the C++ driver for the plugins
	  Disable (on Mac) 3 plugins that are broken on Mac.

2009-02-28 18:18  hub

	* [r25774] pass on implement the offscreen for Mac. Will be fixed when
	  switching to
	  Cairo

2009-02-27 23:09  msevior

	* [r25769] Make sure iPage is >=0

2009-02-27 23:00  msevior

	* [r25768] Make abi_widget_render_page_to_image count from "1" rather than
	  0.

2009-02-27 19:59  hub

	* [r25766] run the install_name stuff for MacOS X to have libabiword
	  embedable

2009-02-27 19:30  hub

	* [r25765] check for ImageMagick's convert on MacOS (for the toolbaricons)

2009-02-27 17:24  hub

	* [r25764] fix build of FormatFootnotes and FormatTOC due
	  to the changes introduced in trunk.

2009-02-27 15:29  sum1

	* [r25763] Fix a crash in the set language dialog that would occur if you
	  built AbiWord without spelling support.

2009-02-27 15:18  sum1

	* [r25762] Fix some win32 warnings (in trunk only).

2009-02-27 01:40  hub

	* [r25761] successfuly build an Application bundle

2009-02-26 23:56  hub

	* [r25760] don't rebuild abiword unncessarily if we didn't
	  change the list of built-in plugins.

2009-02-26 22:07  sum1

	* [r25759] Fix the rest of Bug 11938. Background colors are now inherited
	  from parent styles if the child one is empty. Should
	  be safe to backport.

2009-02-26 20:56  sum1

	* [r25758] Fix most of Bug 11938, ODT text box formatting not correctly
	  imported. Text box border thicknesses are now imported and nested
	  positioned images are now converted to inline images to retain
	  the content. Should be safe to backport.

2009-02-26 20:54  hub

	* [r25757] fix build on Mac
	  
	  refactor the dealing of the plugins to be XP
	  to avoid duplicated code.

2009-02-26 19:39  hub

	* [r25756] typos (brekage) and warnings

2009-02-26 19:38  hub

	* [r25755] fixes for API changes

2009-02-26 19:23  hub

	* [r25754] really fix Makefile.am for Mac

2009-02-26 16:47  hub

	* [r25753] fix warning

2009-02-26 16:45  hub

	* [r25752] fix build system to work on Mac.
	  Don't confuse CXXFLAGS and CPPFLAGS, it can be nasty

2009-02-26 05:37  hub

	* [r25751] add --with-darwinports and --with-fink to allow
	  building with these (Mac only)

2009-02-25 18:58  hub

	* [r25749] fix some warnings

2009-02-25 04:22  hub

	* [r25745] cairo is now more XP. It use Gdk for the "images"
	  on Gtk

2009-02-25 02:49  msevior

	* [r25743] Enable selection within cells that span a whole page of more.
	  Don't bother backporting. Will do myself.

2009-02-25 02:18  sum1

	* [r25742] Store the property instead of the label (fixes a regression
	  introduced in r25741).

2009-02-25 01:59  sum1

	* [r25741] Fix the win32 build.

2009-02-24 23:58  sum1

	* [r25739] Partially fix the win32 build.

2009-02-24 22:19  hub

	* [r25738] fix include breakage

2009-02-24 20:55  hub

	* [r25737] move UT_Color to is own file.

2009-02-24 19:09  hub

	* [r25736] remove some unused code

2009-02-24 17:33  hub

	* [r25735] re-fix a warning fix

2009-02-23 09:55  jbrefort

	* [r25733] protect against unended paths (possible when cairo_move_to is
	  used for
	  positioning glyphs). Curiously, the issue affected only printing,
	  not
	  on-screen rendering.

2009-02-22 21:33  sum1

	* [r25732] Fix a few warnings.

2009-02-22 20:36  sum1

	* [r25731] Fix a warning.

2009-02-22 17:44  sum1

	* [r25729] UT_ASSERT -> UT_return_if_fail. Please backport.

2009-02-22 17:42  sum1

	* [r25728] Prevent an assertion crash. Can be backported.

2009-02-22 17:40  sum1

	* [r25727] Fix a debug message to prevent uninitialized value errors in
	  valgrind. Can be backported.

2009-02-22 14:13  uwog

	* [r25726] Fix typo in comment

2009-02-21 18:18  uwog

	* [r25725] Fix warnings

2009-02-20 23:57  hub

	* [r25723] fix one more memory leak.

2009-02-20 23:54  hub

	* [r25722] don't call code needlessly when not used in non-debug.
	  Also check the return of the png probing...

2009-02-20 23:52  hub

	* [r25721] adding an empty string to UT_UTF8String IS valide.
	  Don't assert needlessly.

2009-02-20 02:12  sum1

	* [r25720] A simpler fix for Bug 11975. Please backport.

2009-02-20 01:40  sum1

	* [r25719] Fix Bug 11975, file names are repeatedly escaped when changing
	  file type in the save as dialog. Please backport.

2009-02-20 00:22  hub

	* [r25718] fix a memory leak in the list handling for RTF.
	  (bug 9643)
	  please backport

2009-02-19 20:31  hub

	* [r25717] fix regression introduced by r24568: document was NEVER
	  saved after click OK when asking to save
	  close bug 11931
	  backport only if you backport r24568

2009-02-19 18:44  dom

	* [r25716] possibly fix 11974 - crash when saving to ps/pdf. don't know how
	  passing a C++ function with a default argument to a C
	  callback works.

2009-02-19 08:19  hub

	* [r25714] fix more leaks.

2009-02-19 07:51  hub

	* [r25713] plug huge memory leaks

2009-02-19 00:37  hub

	* [r25712] suppress a warning and simplify code

2009-02-19 00:20  hub

	* [r25711] Fix some memory leaks.
	  Please, BACKPORT.

2009-02-18 21:32  sum1

	* [r25710] Import inline style information from <pre> elements (part of Bug
	  11971). Can be backported.

2009-02-18 18:40  uwog

	* [r25708] Remove useless empty class

2009-02-18 17:56  hub

	* [r25707] fix a memory corruption problem
	  
	  please BACKPORT

2009-02-18 17:52  sum1

	* [r25706] Fix part of Bug 11971, import line-height values from XHTML
	  files. Can be backported.

2009-02-18 13:44  sum1

	* [r25705] Add the min-row-height property to the overloaded equal to and
	  comparison operators (follow-up to r25700). Please backport.

2009-02-18 05:48  hub

	* [r25704] sanitize the association between footnote type (actually
	  numbering style) and the UI.
	  This is after fixing bug 11972.

2009-02-18 00:19  hub

	* [r25703] fix bug 11972
	  
	  please BACKPORT

2009-02-17 20:56  hub

	* [r25702] port to gucharmap-2. closes bug #11493

2009-02-17 20:30  uwog

	* [r25701] Just some copyright updates

2009-02-17 20:24  uwog

	* [r25700] Fix 11863: Document containing 2 simple tables exports wrong.
	  Please backport.

2009-02-17 05:09  hub

	* [r25699] remove more deprecated GTK

2009-02-17 00:43  hub

	* [r25698] remove deprecated Gtk calls
	  
	  turn some properties story into a std::map to
	  avoid ownership problems caused by the Gtk
	  changes.
	  
	  (might break other platforms, sorry)

2009-02-16 23:03  hub

	* [r25697] remove more Gtk deprecated calls

2009-02-16 18:10  hub

	* [r25696] fix build for gtk 2.12

2009-02-16 17:59  hub

	* [r25695] remove unused X11 headers (bug 11793

2009-02-16 15:55  sum1

	* [r25694] Fix a few warnings.

2009-02-16 08:03  hub

	* [r25693] remove deprecated GTK

2009-02-16 05:15  hub

	* [r25692] remove deprecated GTK

2009-02-16 04:03  hub

	* [r25691] remove more deprecated Gtk.
	  more helpers

2009-02-16 00:35  hub

	* [r25689] FormatTOC is deprecated free.
	  Refactor the helpers a bit.

2009-02-15 19:50  uwog

	* [r25688] Fix 11941: Cell border colors are not exported (always black).
	  Please backport.

2009-02-15 17:12  sum1

	* [r25686] Prevent an assert when using SCIM (part of Bug 11764). Can be
	  backported.

2009-02-15 16:38  uwog

	* [r25685] Some libtool undef; who knows what it does.

2009-02-15 16:34  uwog

	* [r25684] Make sure g_thread_init is called before any other glib function,
	  and remove a redundant gtk_init call

2009-02-15 14:47  uwog

	* [r25683] glade-3 edits GtkBuilder files just fine these days; delete the
	  glade files

2009-02-15 07:45  hub

	* [r25682] remove unused code

2009-02-15 07:07  hub

	* [r25681] remove deprecated GTK

2009-02-15 07:02  hub

	* [r25680] silent gtk if for some reason toplevel is null

2009-02-15 05:29  hub

	* [r25679] remove more deprecated GTK.
	  Add a few combobox helpers.

2009-02-15 04:04  hub

	* [r25678] build with GTK_DISABLE_DEPRECATED

2009-02-15 02:23  hub

	* [r25677] remove reference to GTK_DISABLE_DEPRECATED

2009-02-15 02:21  hub

	* [r25676] remove deprecated Gtk calls

2009-02-14 22:03  hub

	* [r25675] remove mre gtk deprecated.
	  
	  fix signedness

2009-02-14 21:07  hub

	* [r25674] remove some unused code in xap_UnixDialogHelper.cpp
	  
	  rewrite code using deprecated code in the Foonotes and List
	  dialogs
	  
	  Add a few C++ helpers for that purpose.

2009-02-14 20:56  uwog

	* [r25673] Fix warning

2009-02-14 20:09  uwog

	* [r25672] Warning fix

2009-02-14 18:35  hub

	* [r25671] missing include

2009-02-14 16:58  hub

	* [r25670] another missing include

2009-02-14 00:45  hub

	* [r25669] missing include

2009-02-12 19:43  uwog

	* [r25647] Warning fixes

2009-02-11 15:30  sum1

	* [r25646] UT_return_val_if_fail -> UT_continue_if_fail in two for loops.
	  Please backport.

2009-02-11 15:14  uwog

	* [r25644] We don't support builtin plugins in the MSVC build for now, so
	  make the call to register_builtin_plugins conditional

2009-02-09 17:32  hub

	* [r25638] remove more deprecated Gtk code

2009-02-09 05:26  hub

	* [r25637] remove some deprecated Gtk code

2009-02-09 04:21  hub

	* [r25636] remove deprecated Gtk usage.

2009-02-07 22:02  sum1

	* [r25635] Fix Bug 11959, AbiWord crashes when opening the Select Revisions
	  dialog. Please backport.

2009-02-05 19:00  uwog

	* [r25632] Respect ENABLE_SPELL

2009-02-05 18:52  uwog

	* [r25631] Respect ENABLE_SPELL

2009-02-05 18:51  uwog

	* [r25630] Add missing include

2009-02-05 18:49  uwog

	* [r25629] Add missing include

2009-02-05 18:14  uwog

	* [r25628] Remove a totally unused class, since 1) we don't need it 2) msvc
	  does not like it ;)

2009-02-05 16:43  uwog

	* [r25627] MSVC build fix

2009-02-05 16:21  uwog

	* [r25626] MSVC warning fixes

2009-02-05 16:20  uwog

	* [r25625] Conditionally include config.h

2009-02-04 17:57  uwog

	* [r25618] Fix warning

2009-02-04 16:54  uwog

	* [r25617] Fix warning and fix indentation

2009-02-04 16:49  uwog

	* [r25616] Don't assume we have GNOMEVFS on win32, and define S_ISDIR
	  ourselves when compiling with MSVC

2009-02-04 15:06  uwog

	* [r25615] Respect ENABLE_SPELL

2009-02-04 14:59  uwog

	* [r25614] s/m_pApp/XAP_App::getApp

2009-02-04 14:56  uwog

	* [r25613] Fix warning

2009-02-04 14:31  uwog

	* [r25612] Disable stupid MSVC warning

2009-02-03 19:48  uwog

	* [r25606] Make MS compilers happy

2009-02-03 16:50  uwog

	* [r25604] Conditionally include config.h

2009-01-30 03:46  msevior

	* [r25581] Subtract the top margin when generating an image in Normal View

2009-01-29 09:47  jbrefort

	* [r25570] Don't unref used scalar data... Please backport.

2009-01-28 09:38  msevior

	* [r25565] Patch from tomeu to allow GR_UnixPangoPixmapGraphics to accept a
	  window in it's constructor.

2009-01-23 14:38  msevior

	* [r25539] Fiz a mistake int he last commit.

2009-01-23 14:23  msevior

	* [r25538] Implement a new feature for abiwidget at the request of tomeu.
	  Generate an
	  GdkPixbuf image of a requested page.
	  
	  extern "C" GdkPixbuf *
	  abi_widget_render_page_to_image(AbiWidget *abi, int iPage)

2009-01-18 14:04  uwog

	* [r25533] Fix 11358: OpenDocument plugin does not exports default
	  table-cell properties. Please backport.

2009-01-17 10:07  jbrefort

	* [r25532] UCS_RQUOTE is better as apostrophe in french locale.

2009-01-15 00:27  sum1

	* [r25527] Update dolt.

2009-01-14 23:48  msevior

	* [r25526] Update comments

2009-01-14 23:47  msevior

	* [r25525] Fix off by one bugs in positioning text in cairo.

2009-01-14 23:02  msevior

	* [r25524] Consolidate the #defines that define the initial y-offset for
	  containers.

2009-01-14 13:00  msevior

	* [r25523] Improve draws during loading. A bit of flicker reduction.

2009-01-14 02:10  sum1

	* [r25522] Fix a few warnings.

2009-01-13 00:54  hub

	* [r25513] fix some constness. again

2009-01-12 23:46  msevior

	* [r25512] Fix printing of maths with cairoGraphics

2009-01-12 23:31  msevior

	* [r25511] Fix printing of Maths with CairoGraphics

2009-01-12 03:21  hub

	* [r25510] fix AbiCommand following the last changes

2009-01-12 03:09  hub

	* [r25509] missing HAVE_CAIRO (autoheader should take care of it).

2009-01-11 22:29  hub

	* [r25508] move the CairoGraphics class to XP.
	  remove more Gtk/Gdk dependencies (like init3dColors)

2009-01-11 21:01  uwog

	* [r25507] Add some comments

2009-01-11 20:59  hub

	* [r25506] First step towards an XP Cairo Graphics.
	  No new feature. Just more portable code.

2009-01-11 03:15  sum1

	* [r25505] Fix some warnings.

2009-01-11 01:54  sum1

	* [r25504] Fix an assert introduced with r25442 and a typo. Don't backport.

2009-01-10 22:23  uwog

	* [r25503] Typo in comment

2009-01-10 21:07  uwog

	* [r25502] Indentation fixes

2009-01-10 19:14  hub

	* [r25501] avoid unnecessary include in a .h

2009-01-10 16:32  uwog

	* [r25496] Updated sk-SK translation (Jaroslav Rynik)

2009-01-10 00:05  msevior

	* [r25483] Fix for Horizontal scroll too.
	  
	  PLEASE BACKPORT!!

2009-01-10 00:03  msevior

	* [r25482] Fix really annoying *backwards* scrolling that happens whenever
	  fast scroll in one direction occurs. Also makes certain caret
	  doesn't go offscreen after a paste.
	  
	  PLEASE BACKPORT!!!

2009-01-09 23:04  msevior

	* [r25481] Fix French Smart Quote bug. apostrophe was converted to a double
	  quote.

2009-01-09 21:15  hub

	* [r25480] remove libgnomeui.
	  
	  note about ut_go_file.cpp: I hereby license my changes
	  under GPLv2 or later.

2009-01-09 03:50  msevior

	* [r25479] Fix command plugin build

2009-01-09 03:01  hub

	* [r25478] finish killing libgnomeprint.

2009-01-09 02:32  hub

	* [r25477] constify

2009-01-09 02:32  hub

	* [r25476] revert previous commit
	  SORRY

2009-01-09 02:28  hub

	* [r25475] constify these new changes

2009-01-09 00:44  msevior

	* [r25474] Fix all warnings for fl_BlockLayout

2009-01-09 00:32  msevior

	* [r25473] Fix all warnings for fv_View_protected

2009-01-09 00:21  msevior

	* [r25472] Remove unneeded header files for gnomeprint

2009-01-09 00:18  msevior

	* [r25471] Fix all warnings for fp_Run and fp_TextRun

2009-01-08 23:53  msevior

	* [r25470] Kill m_pG in fp_Run.h

2009-01-08 23:03  uwog

	* [r25469] Fix mismatched new/free

2009-01-08 22:56  uwog

	* [r25468] Start kicking some sense into the totally broken
	  replaceGraphics() function

2009-01-08 22:55  uwog

	* [r25467] Remove the use of store gr pointers; it will only result in
	  dangling stuff

2009-01-08 13:48  uwog

	* [r25466] Indentation fixes

2009-01-08 05:26  hub

	* [r25465] constify text/fmt/xp/fl_BlockLayout.*

2009-01-07 23:15  uwog

	* [r25464] Override setLineProperties as well, otherwise any user of the
	  null graphics class with crash now with the new cairo gr class

2009-01-07 10:13  msevior

	* [r25463] Don't include top page seperator or left page seperator during a
	  quick print.

2009-01-07 09:46  msevior

	* [r25462] Clear out any dangling pointers after a quickprint. Prevents
	  crashes following
	  Printing.

2009-01-07 08:12  msevior

	* [r25461] Remove all gnome-print dependencies from the code. We may need to
	  play with the build system to tottaly remove it.

2009-01-07 00:20  sum1

	* [r25460] 2008 -> 2009 in the about dialog.

2009-01-06 01:14  hub

	* [r25456] constify more

2009-01-04 22:32  hub

	* [r25455] more constification

2009-01-04 20:34  hub

	* [r25454] remove some more XAP_App* copies
	  constify pt_PieceTable and pd_Document

2009-01-04 18:27  hub

	* [r25453] fixed regression: don't try to be smarter than the spaghetti
	  code.

2009-01-04 00:42  hub

	* [r25449] fix some const-ness (or lack thereof)

2009-01-03 23:51  msevior

	* [r25448] Fix pixel dirt during visual drag and drop of text.

2009-01-03 21:35  hub

	* [r25447] fix platform code (untested)

2009-01-03 21:23  hub

	* [r25446] remove m_pApp from xap_Prefs
	  remove the pApp parameter from the PrefsListener
	  fix include for XAP::getApp() usage and xap_App.h is less
	  used.
	  May break build on other platforms.

2009-01-03 19:54  uwog

	* [r25443] Fix bug 11898: docx exporter conflicts with other export filters;
	  please backport

2009-01-03 18:16  hub

	* [r25442] warning fixes.

2009-01-03 12:18  msevior

	* [r25330] Fix off-by-one positioning bug in ployline that was causing pixel
	  diret when editting red-squiggled text.

2009-01-03 12:13  msevior

	* [r25329] Framework for "PrintDirectly" - Dom can use this for his command
	  line printing

2009-01-03 04:18  msevior

	* [r25328] Fix printing from Normal and Web Mode.

2009-01-03 03:08  msevior

	* [r25327] Fix font issues after print. Tweak the XORLine implementation for
	  more
	  robustness.

2009-01-02 23:34  msevior

	* [r25326] Make XOR Line work as it has previously. This is a hack. We
	  should find another
	  method to draw temporary lines across the screen.

2009-01-02 17:17  hub

	* [r25325] fix a warning

2009-01-02 10:22  msevior

	* [r25324] Initial printing support for Cairo Graphics class. Things
	  basically work now.

2009-01-01 14:49  dom

	* [r25318] bug 11896 - non-breaking spaces not imported

2009-01-01 11:08  msevior

	* [r25317] Some work towards making the cairo graphics class actually print.

2009-01-01 06:46  dom

	* [r25316] bug 11852 - font family not imported

2009-01-01 06:36  dom

	* [r25315] bug 11854 - Single document content document does not import.
	  Based on a patch from Sum1. Safe to backport.

2009-01-01 04:10  msevior

	* [r25314] Fix selection dirt in new graphics. The bug was caused by off by
	  one
	  positioning errors in setting rectangles.

2009-01-01 02:45  msevior

	* [r25313] We need to reset the cairo clip to the whole drawing area because
	  setting
	  a clip rectangle can only reduce the size of the clipped region.

2008-12-27 21:51  uwog

	* [r25302] svn merge -r24547:HEAD
	  svn+ssh://svn.abisource.com/svnroot/abiword/branches/gsoc2008cairo-integration
	  .

2008-12-15 23:40  msevior

	* [r25202] Re-enable right align toolbar button for gtk for LTR countries.
	  Already committed to stable, don;t backport.

2008-12-14 20:45  sum1

	* [r25198] Fix Bug 11845: Mismatched delete used in win32 graphics code.
	  Please backport.

2008-11-27 20:54  uwog

	* [r25154] Some code hardening; feel free to backport

2008-11-27 20:52  uwog

	* [r25153] Fix a crash when a landscape document is loaded with no width and
	  height specified. Please backport

2008-11-24 04:28  msevior

	* [r25136] Keep current page on screen when changing the number of pages per
	  screen.
	  Fix some asserts and a warning.

2008-11-24 03:39  hub

	* [r25135] revert some excessive changes

2008-11-23 16:17  hub

	* [r25126] disable -Wshadow FOR NOW.

2008-11-23 14:11  uwog

	* [r25124] Update Danish translation (Morten Juhl-Johansen Zölde-Fejér
	  <morten@technographer.net>)

2008-11-23 03:09  hub

	* [r25123] more warning fixeage

2008-11-23 02:00  uwog

	* [r25120] .. forgot 2 name changes. please backport

2008-11-23 00:53  uwog

	* [r25115] s/OpenXML/Office Open XML. Please backport.

2008-11-22 22:21  uwog

	* [r25109] Fix typo (sum1)

2008-11-22 21:42  uwog

	* [r25107] Remove the non-functioning customizable toolbars option (Benno
	  Schulenberg). Might be backported.

2008-11-22 20:53  uwog

	* [r25106] Forwardport r24915: Updated Romanian translation, and added
	  templates and system profiles for ro_RO
	  By Lucian Constantin <struct_bylighting@yahoo.com>

2008-11-22 20:44  uwog

	* [r25105] Forwardport r24917: Updated asturian translation (ast-ES)
	  By Marcos <marcoscostales@gmail.com>

2008-11-22 20:42  uwog

	* [r25104] Forwardport r24945: sk-SK translation update by Jaroslav
	  Ryn?\195?\173k <jrynik@yahoo.co.uk>
	  The version of this translation in STABLE is newer thank in
	  Trunk, and in trunk are no trunk-specific
	  translations; we don't want to possibly 'loose' these strings.

2008-11-22 20:12  uwog

	* [r25103] Fix 11749: Basque (eu-ES, eu-FR,...) translation update (Mikel
	  Pascual)

2008-11-22 17:47  hub

	* [r25101] UT_GenericVector<> now use UT_sint32 consistently
	  to eliminate a lot of warnings

2008-11-21 19:40  uwog

	* [r25097] Fix the crash mentioned in bug 10969: Crash in insert symbol
	  dialog. Please backport.

2008-11-18 16:47  hub

	* [r25058] svn:ignore

2008-11-18 16:46  hub

	* [r25057] svn:ignore

2008-11-18 03:54  msevior

	* [r25053] Fix Ubuntu bug [215845] "Fast scrolling with the wheel induces
	  "jump" backward"
	  
	  Please backport to stable.

2008-11-16 13:36  uwog

	* [r25045] Fix 11731: AbiWord crashes on "Insert Symbol". Please backport.

2008-11-16 13:30  msevior

	* [r25044] Fixes for Normal Mode with multipage view.

2008-11-15 14:39  uwog

	* [r25043] Merge the gsoc2008multipage branch back into trunk (frem,
	  msevior)

2008-11-14 20:20  uwog

	* [r25040] Fix bug 11647: Random crashes on save on Ubuntu Linux. Please
	  backport.

2008-11-14 18:55  uwog

	* [r25038] Fix 11810: No icons in toolbar for Asturian language (ast-ES)
	  (sum1). Please backport

2008-11-10 15:43  uwog

	* [r24979] Fix 11709: localizing the title of the Preferences dialog (Benno
	  Schulenberg); Please backport;

2008-11-07 10:16  jbrefort

	* [r24974] Fixes loading of some png images (gtk). Fixes #10919. Please
	  backport.

2008-11-02 03:59  sum1

	* [r24972] Fix the OTS build (breakage caused by the GtkBuilder changes, it
	  seems).

2008-11-01 14:50  uwog

	* [r24959] Merge -r23933:24882
	  svn+ssh://svn.abisource.com/svnroot/abiword/branches/gsoc2008ooxml

2008-11-01 03:33  msevior

	* [r24958] Fix 11665 runs break within words. Please backport to 2.6

2008-10-31 02:17  msevior

	* [r24957] Fix drawing of equations in TRUNK. Not applicable to 2.6

2008-10-26 21:05  sum1

	* [r24952] Fix Bug 11789, AbiWord crashes when opening the styles dialog on
	  Ubuntu 8.10 (patch from Alberto Milone). Please backport.

2008-10-18 16:49  sum1

	* [r24943] Prevent some potential crashes in the ODT table export code and
	  fix an unused variable warning caused by r24942. Please backport.

2008-10-18 16:33  sum1

	* [r24942] Fix Bug 11790, AbiWord crashes when saving an imported
	  OpenDocument file that has had rows added to it. Please backport.

2008-10-16 07:18  msevior

	* [r24937] Fix merging runs to allow liguatures to work. This could
	  substantially help
	  Arabic and complex script rendering. Please backport to 2.6

2008-10-13 18:20  sum1

	* [r24932] Prevent a crash that could occur when automatically saving
	  documents from multiple AbiWord frames and update a comment.
	  Please backport.

2008-10-04 19:28  uwog

	* [r24919] Delete useless script(s)

2008-09-25 06:38  msevior

	* [r24916] Fix 11773 crash when starting a list. Please backport.

2008-08-30 12:45  xsun

	* [r24874] LaTeX exporter: update Copyright

2008-08-29 12:47  xsun

	* [r24873] LaTeX exporter: nest the _close* methods, so that one doesn't
	  have to remember their order

2008-08-29 12:06  xsun

	* [r24872] LaTeX exporter: add missing package

2008-08-28 15:38  xsun

	* [r24871] LaTeX exporter: preserve previous justification when dealing with
	  footnote

2008-08-28 13:23  xsun

	* [r24870] reset m_bInScript in _closeSpan()

2008-08-26 20:07  foddex

	* [r24866] Updated pt_BR translation by Daniel Oliveira Costa Lemos
	  <xspager@gmail.com>

2008-08-23 08:33  xsun

	* [r24842] LaTeX exporter: more accurate font-size handling

2008-08-22 10:17  xsun

	* [r24840] LaTeX exporter: default font size cleanup

2008-08-22 07:51  xsun

	* [r24839] fix build when builddir != srcdir

2008-08-21 10:20  uwog

	* [r24833] Possibly fix
	  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495766 ; kudos
	  to xsun for the catch

2008-08-21 03:33  xsun

	* [r24829] fix a memory leak (pszNew) and a potential double-free (pszChars)

2008-08-20 08:16  xsun

	* [r24810] rearrange the code more

2008-08-20 08:03  xsun

	* [r24809] rearrange the code a bit

2008-08-20 07:30  xsun

	* [r24808] indentation fix

2008-08-20 06:36  xsun

	* [r24807] remove unnecessary variable bMustEmitMulticol

2008-08-19 09:39  xsun

	* [r24796] fix a memory leak

2008-08-19 07:32  xsun

	* [r24795] use FL_ListType instead of #defines and typedefine; replace
	  UT_NumerStack with std::stack

2008-08-17 15:37  hub

	* [r24771] fix more warnings

2008-08-17 15:36  hub

	* [r24770] fix some warnings: hint: this is not python. don't be stingy on
	  the
	  braces

2008-08-17 15:35  hub

	* [r24769] some warning squashing

2008-08-17 14:46  dom

	* [r24768] bug 11290 - remove cursor blink setting from the ui; can be
	  backported

2008-08-17 13:56  dom

	* [r24767] --to-name is no longer required; --to=foo.html works perfectly
	  fine
	  again. backport if you'd like.

2008-08-16 16:12  hub

	* [r24757] remove an unused UT_Vector and UT_Stack.

2008-08-16 15:21  hub

	* [r24751] fix duplicate warning squash (dom and I crossed it)

2008-08-16 14:50  hub

	* [r24749] fix warnings

2008-08-16 14:38  dom

	* [r24748] make the find and replace dialogs work after the gtkbuilder
	  change by replacing deprecated widgets

2008-08-16 07:13  dom

	* [r24747] don't leak GtkBuilder objects

2008-08-16 01:19  sum1

	* [r24745] Fix a warning and remove an assert by rewriting some code. Can be
	  backported.

2008-08-16 00:13  hub

	* [r24744] fix warnings.

2008-08-16 00:03  hub

	* [r24743] fix a warning

2008-08-16 00:03  hub

	* [r24742] remove the dashboad plugin. R.I.P. Dashboard

2008-08-15 23:45  hub

	* [r24741] fix build with SOUP24. May need to be backported.
	  Not sure

2008-08-15 21:52  hub

	* [r24737] more warning fixes

2008-08-15 21:31  hub

	* [r24735] more warning removal

2008-08-15 21:03  hub

	* [r24734] more warning fix

2008-08-15 20:32  hub

	* [r24733] kill some warnings and const goodness

2008-08-15 20:28  uwog

	* [r24732] Force glade to generate cell renderers by adding some fake
	  content ;-/ Dialog works again now.

2008-08-15 20:09  uwog

	* [r24731] Make the page setup dialog not crash; page size combo still
	  fscked though

2008-08-15 14:35  uwog

	* [r24726] Indentation fixes

2008-08-15 13:03  uwog

	* [r24725] Remove the last of the UT_Stack code in ie_Table;

2008-08-15 12:55  uwog

	* [r24724] Replace some UT_Stack code with std::stack code; fixes a bunch of
	  warnings and makes the code typesafe

2008-08-15 11:33  uwog

	* [r24723] Readd glade files until glade3 can properly write GtkBuilder
	  files; until then, edit the glade file with glade3, and run
	  gtk-builder-convert

2008-08-15 10:44  uwog

	* [r24722] Unbreak Goto dialog since the GtkBuilder move

2008-08-15 00:36  hub

	* [r24713] these warning need a different fixage... unbreak
	  the previous commits

2008-08-15 00:00  hub

	* [r24712] svn:ignore

2008-08-15 00:00  hub

	* [r24711] the first batch of warning fixes. the trivial one.

2008-08-14 23:45  hub

	* [r24710] fix warning. this is a C struct.

2008-08-14 20:43  sum1

	* [r24708] Fix some warnings.

2008-08-14 19:36  hub

	* [r24707] fix a couple o warnings

2008-08-14 19:23  sum1

	* [r24706] Fix a warning.

2008-08-14 19:13  sum1

	* [r24705] Fix some warnings.

2008-08-14 18:56  sum1

	* [r24704] Fix three "unused parameter" warnings.

2008-08-14 18:42  sum1

	* [r24703] Fix some typos: "collap" -> "collab".

2008-08-14 18:15  uwog

	* [r24702] I gave birth to libglade in abiword land (despite MPritchett's
	  objections, I fondly remember). Now, it's time to take that live
	  away again. All hail GtkBuilder, our new king!
	  
	  merge -r24658:24694
	  svn+ssh://svn.abisource.com/svnroot/abiword/branches/gtkbuilder/
	  into trunk

2008-08-14 14:44  uwog

	* [r24701] Fix build breakage when the latex plugin is not enabled

2008-08-14 01:12  uwog

	* [r24696] Port from gsoc2008latex, r24329:
	  
	  s/enumDataItems/getDataItemDataByName (Xun Sun)

2008-08-13 17:19  uwog

	* [r24649] Fix build & the mess I just created

2008-08-13 17:19  uwog

	* [r24648] Warning fixes; feel free to backport

2008-08-13 15:58  uwog

	* [r24645] Merge Xun Sun's SoC project: r23916:24497 from
	  /abiword/branches/gsoc2008latex

2008-08-12 20:02  uwog

	* [r24626] Warning fixes

2008-08-12 19:32  uwog

	* [r24623] Indentation cleanup

2008-08-12 13:28  uwog

	* [r24618] Warning fixes

2008-08-12 13:26  uwog

	* [r24617] Warning fixes

2008-08-12 13:17  hub

	* [r24616] fix configure to not say it support gsf gio if no gio is detected

2008-08-09 20:34  sum1

	* [r24608] Don't crash when a text box is missing a wrap-mode property.
	  Please backport.

2008-08-09 19:05  sum1

	* [r24607] Use UT_colorToHex() to make sure we get sane RGB colors in the
	  OpenDocument exporter. Don't backport.

2008-08-09 18:04  sum1

	* [r24606] Use UT_colorToHex() to make sure we get sane RGB color values in
	  the HTML exporter. Don't backport.

2008-08-09 02:51  msevior

